commit 6a03dab04007c907485201e6aab58b89863ce1f2 (HEAD -> master)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 5 16:44:17 2016 +0200

    1.7

 NEWS         | 33 +++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 34 insertions(+), 1 deletion(-)

commit 512d457807333b33e443c76ab66a508d2c3b5f20 (origin/master, origin/HEAD)
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Wed Aug 3 22:24:40 2016 +0200

    Add application/x-sega-pico-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97200

 freedesktop.org.xml.in |   9 +++++++++
 tests/list             |   1 +
 tests/pico-rom.bin     | Bin 0 -> 1024 bytes
 3 files changed, 10 insertions(+)

commit bd2a8c0f9a85014dda6486ab54bf84ed21657a2d
Author: Stefan Pöschel <github@basicmaster.de>
Date:   Tue Aug 2 20:30:23 2016 +0200

    Fix MPEG-2 TS magic
    
    The MPEG-2 TS magic made assumptions which do not hold for the first
    packet of every MPEG-2 TS, e.g. that the Continuity Counter is 0 or
    the Payload Unit Start Indicator is set.
    
    This alternative approach exploits the fixed packet size of 188 bytes
    (192 bytes with BDAV MPEG-2 TS) and checks the first five packets for
    the Sync Byte 0x47.
    The used offsets partly seem to be a bit high in contrast to other
    formats, but MPEG-2 TS files are usually much bigger than that.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51118

 freedesktop.org.xml.in | 19 ++++++++++++++++++-
 1 file changed, 18 insertions(+), 1 deletion(-)

commit 82caef0b2b583b1c782cd03866be5947961402c0
Author: Stefan Pöschel <github@basicmaster.de>
Date:   Tue Aug 2 20:52:40 2016 +0200

    Add another MPEG-2 TS test
    
    Add test case with a new file that will fail.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51118

 tests/list    |   2 ++
 tests/test.ts | Bin 0 -> 37600 bytes
 2 files changed, 2 insertions(+)

commit 14b348fea44376a765171a422bdb05ea6b8f5616
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Aug 30 00:52:09 2015 +0200

    Add application/x-gamegear-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91813

 freedesktop.org.xml.in  |  13 +++++++++++++
 tests/game-gear-test.gg | Bin 0 -> 1024 bytes
 tests/list              |   2 ++
 3 files changed, 15 insertions(+)

commit e782480a3b193700d02696ff011ec5e1a8554cb7
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Aug 30 00:51:33 2015 +0200

    Add application/x-sg1000-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91813

 freedesktop.org.xml.in |   5 +++++
 tests/list             |   2 ++
 tests/sg1000-test.sg   | Bin 0 -> 1024 bytes
 3 files changed, 7 insertions(+)

commit 97f2cde8d373f21e91549c7311425f75071cf4a8
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 19:21:12 2015 +0200

    Make application/x-sms-rom rules more precise
    
    Check a byte to know if it actually is a Master System ROM.
    
    Also remove the *.sg and *.gg glob patterns which are for the
    application/x-sg1000-rom and application/x-gamegear-rom types which will
    be added in next commits.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91813

 freedesktop.org.xml.in |   9 ++++++---
 tests/list             |   2 ++
 tests/sms-test.sms     | Bin 0 -> 1024 bytes
 3 files changed, 8 insertions(+), 3 deletions(-)

commit 562a9dc3f68cb6ca3dfea22378ebb3ba372a7045
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 2 15:37:46 2016 +0200

    build: Make check-translations easier to use
    
    It will only exit once it's printed all the missing languages in
    po/LINGUAS now, rather than stopping after the first one.

 Makefile.am | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 8156d72ac9cf2a18e09bc7a86d2975454d46c8c0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 2 15:36:07 2016 +0200

    Update translations from Transifex

 po/ar.po          |  918 ++++++++++++++++++-----------------
 po/as.po          |  918 ++++++++++++++++++-----------------
 po/az.po          |  918 ++++++++++++++++++-----------------
 po/bg.po          |  918 ++++++++++++++++++-----------------
 po/bn_IN.po       |  918 ++++++++++++++++++-----------------
 po/ca.po          |  930 ++++++++++++++++++------------------
 po/ca@valencia.po |  918 ++++++++++++++++++-----------------
 po/cs.po          |  920 +++++++++++++++++------------------
 po/cy.po          |  918 ++++++++++++++++++-----------------
 po/da.po          |  920 +++++++++++++++++------------------
 po/de.po          |  922 +++++++++++++++++------------------
 po/el.po          |  920 +++++++++++++++++------------------
 po/en_GB.po       |  920 +++++++++++++++++------------------
 po/eo.po          |  918 ++++++++++++++++++-----------------
 po/es.po          |  937 ++++++++++++++++++------------------
 po/et.po          |  918 ++++++++++++++++++-----------------
 po/eu.po          |  960 +++++++++++++++++++------------------
 po/fa.po          |  918 ++++++++++++++++++-----------------
 po/fi.po          |  944 ++++++++++++++++++------------------
 po/fo.po          |  918 ++++++++++++++++++-----------------
 po/fr.po          |  918 ++++++++++++++++++-----------------
 po/ga.po          |  918 ++++++++++++++++++-----------------
 po/gl.po          |  918 ++++++++++++++++++-----------------
 po/gu.po          |  918 ++++++++++++++++++-----------------
 po/he.po          |  918 ++++++++++++++++++-----------------
 po/hi.po          |  918 ++++++++++++++++++-----------------
 po/hr.po          | 1381 +++++++++++++++++++++++++++--------------------------
 po/hu.po          |  921 +++++++++++++++++------------------
 po/ia.po          |  920 +++++++++++++++++------------------
 po/id.po          |  976 ++++++++++++++++++-------------------
 po/it.po          |  918 ++++++++++++++++++-----------------
 po/ja.po          |  918 ++++++++++++++++++-----------------
 po/ka.po          |  918 ++++++++++++++++++-----------------
 po/kk.po          |  920 +++++++++++++++++------------------
 po/kn.po          |  918 ++++++++++++++++++-----------------
 po/ko.po          |  920 +++++++++++++++++------------------
 po/lt.po          |  918 ++++++++++++++++++-----------------
 po/lv.po          |  918 ++++++++++++++++++-----------------
 po/ml.po          |  918 ++++++++++++++++++-----------------
 po/mr.po          |  918 ++++++++++++++++++-----------------
 po/ms.po          |  918 ++++++++++++++++++-----------------
 po/nb.po          |  918 ++++++++++++++++++-----------------
 po/nl.po          |  918 ++++++++++++++++++-----------------
 po/nn.po          |  918 ++++++++++++++++++-----------------
 po/oc.po          |  930 ++++++++++++++++++------------------
 po/or.po          |  918 ++++++++++++++++++-----------------
 po/pa.po          |  918 ++++++++++++++++++-----------------
 po/pl.po          |  920 +++++++++++++++++------------------
 po/pt.po          |  920 +++++++++++++++++------------------
 po/pt_BR.po       |  920 +++++++++++++++++------------------
 po/ro.po          |  918 ++++++++++++++++++-----------------
 po/ru.po          |  926 +++++++++++++++++------------------
 po/ru_RU.po       |  920 +++++++++++++++++------------------
 po/sk.po          |  922 +++++++++++++++++------------------
 po/sl.po          |  918 ++++++++++++++++++-----------------
 po/sq.po          |  918 ++++++++++++++++++-----------------
 po/sr.po          |  974 ++++++++++++++++++-------------------
 po/sr@latin.po    |  918 ++++++++++++++++++-----------------
 po/sv.po          |  921 +++++++++++++++++------------------
 po/ta.po          |  918 ++++++++++++++++++-----------------
 po/te.po          |  918 ++++++++++++++++++-----------------
 po/th.po          |  918 ++++++++++++++++++-----------------
 po/tr.po          |  970 +++++++++++++++++++------------------
 po/uk.po          |  920 +++++++++++++++++------------------
 po/vi.po          |  918 ++++++++++++++++++-----------------
 po/wa.po          |  918 ++++++++++++++++++-----------------
 po/zh_CN.po       |  925 +++++++++++++++++------------------
 po/zh_HK.po       |  918 ++++++++++++++++++-----------------
 po/zh_TW.po       |  920 +++++++++++++++++------------------
 69 files changed, 32623 insertions(+), 31514 deletions(-)

commit ca90e3454914d6fad5cc6603a2cfcf8e0a62d1b3
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Jul 31 16:28:15 2016 +0200

    Add a Genesis 32X MIME type
    
    Allow to disambiguate Genesis 32X ROMs from Genesis ones.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97155

 freedesktop.org.xml.in   |  12 +++++++++++-
 tests/32x-rom.32x        | Bin 0 -> 1024 bytes
 tests/list               |   2 ++
 tests/mega-drive-rom.gen | Bin 0 -> 1024 bytes
 4 files changed, 13 insertions(+), 1 deletion(-)

commit 42860bc21fb6f694184f496259ca52c019b5b36a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 2 15:27:57 2016 +0200

    Revert "mimetypes added: pot,xlt; testfiles: xls,xlt,ppt,pot; alias for dot added; magic numbe for xls removed for invalidity"
    
    This reverts commit e9b7d1202a13733b3dfb94ed234939d42f1ed465.

 freedesktop.org.xml.in |  23 +++++------------------
 tests/list             |   4 ----
 tests/sample.pot       | Bin 164352 -> 0 bytes
 tests/sample.ppt       | Bin 127488 -> 0 bytes
 tests/sample.xls       | Bin 5632 -> 0 bytes
 tests/sample.xlt       | Bin 5632 -> 0 bytes
 6 files changed, 5 insertions(+), 22 deletions(-)

commit eeb5c33016a04f8e3981339f3e17c2022f6d84a0
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Mon Aug 1 09:59:42 2016 +0200

    Add a Game Boy Color MIME type
    
    Allow to disambiguate Game Boy Color ROMs from Game Boy ones.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97161

 freedesktop.org.xml.in | 15 +++++++++++++--
 tests/list             |  2 +-
 2 files changed, 14 insertions(+), 3 deletions(-)

commit e9b7d1202a13733b3dfb94ed234939d42f1ed465
Author: Yan Pashkovsky <yanpaso@gmail.com>
Date:   Mon Oct 5 18:58:41 2015 +0300

    mimetypes added: pot,xlt; testfiles: xls,xlt,ppt,pot; alias for dot added; magic numbe for xls removed for invalidity
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92180

 freedesktop.org.xml.in |  23 ++++++++++++++++++-----
 tests/list             |   4 ++++
 tests/sample.pot       | Bin 0 -> 164352 bytes
 tests/sample.ppt       | Bin 0 -> 127488 bytes
 tests/sample.xls       | Bin 0 -> 5632 bytes
 tests/sample.xlt       | Bin 0 -> 5632 bytes
 6 files changed, 22 insertions(+), 5 deletions(-)

commit 2deea044fa87ea2f2b824c86b05afb2b8dca7fbc
Author: Alistair Thomas <astavale@yahoo.co.uk>
Date:   Tue May 17 14:46:00 2016 +0100

    Add Gherkin feature specifications mime-type
    
    Add mime-type text/x-gherkin for feature specifications
    in the Gherkin format.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95455

 freedesktop.org.xml.in | 5 +++++
 tests/list             | 2 ++
 tests/test.feature     | 4 ++++
 3 files changed, 11 insertions(+)

commit 238d9a49ae2683a41cbd45b702fd590270dc9f9a
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jul 29 23:11:21 2016 +0300

    application/vnd.framemaker: Use IANA registered type, add *.fm
    
    http://www.iana.org/assignments/media-types/application/vnd.framemaker

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit e3649d678b252c6ed77739898a40d243b5373437
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jul 29 22:02:49 2016 +0300

    Add application/x-bsdiff
    
    http://www.daemonology.net/papers/bsdiff.pdf
    http://openpreservation.org/system/files/bsdiff-4.0-documentation-colin-percival-bsd-licensed.pdf

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   2 ++
 tests/test.bsdiff      | Bin 0 -> 131 bytes
 3 files changed, 10 insertions(+)

commit dc9377eb3f42b103a3eade3c1b52dcf1ca466cfd
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Thu Jul 28 14:01:45 2016 +0200

    Add a Sega CD/Mega-CD MIME type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=97107

 freedesktop.org.xml.in |  17 +++++++++++++++++
 tests/list             |   2 ++
 tests/sega-cd-test.iso | Bin 0 -> 1024 bytes
 3 files changed, 19 insertions(+)

commit 2002c05bb1e85e6e3f0be1427d727e896ebbaf10
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Mon Jul 18 23:47:09 2016 +0300

    application/vnd.rar: Use official IANA registered type
    
    http://www.iana.org/assignments/media-types/application/vnd.rar

 freedesktop.org.xml.in | 5 +++--
 tests/list             | 2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

commit ecb58670065c9a1cb8a7605703884450f4b5ee18
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 13 22:27:13 2016 +0300

    tests/list: Spelling fix

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 17ab559e9d986242ce0582e6604f79a514144895
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 13 22:25:00 2016 +0300

    application/vnd.comicbook+zip: Use official IANA registered type
    
    http://www.iana.org/assignments/media-types/application/vnd.comicbook+zip

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit add75df876f37a68856fbd57992dcb45294521ec
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 13 22:23:47 2016 +0300

    application/geo+json: Use new IANA registered type
    
    http://www.iana.org/assignments/media-types/application/geo+json

 freedesktop.org.xml.in | 3 ++-
 tests/list             | 4 ++--
 2 files changed, 4 insertions(+), 3 deletions(-)

commit c3430af40685cbdf840a303c42f55ac9a0bf16eb
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 2 10:16:11 2016 +0300

    application/vnd.chess-pgn: Add acronym

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit e2b3868c5eca7dc2308d44fcc7e5a9bb4fea3151
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 2 09:01:49 2016 +0300

    application/vnd.chess-pgn: Use official IANA registered type, add test
    
    http://www.iana.org/assignments/media-types/application/vnd.chess-pgn

 freedesktop.org.xml.in |  3 ++-
 tests/list             |  2 ++
 tests/test.pgn         | 16 ++++++++++++++++
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 01fa61fc002afdcf43f61e7df2d6cc6f6968d8d2
Author: Elvis Angelaccio <elvis.angelaccio@kdemail.net>
Date:   Sun Jun 26 20:23:09 2016 +0200

    Add mimetype for AppImage
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96685

 freedesktop.org.xml.in               |  17 +++++++++++++++++
 tests/Leafpad-0.8.17-x86_64.AppImage | Bin 0 -> 200 bytes
 tests/list                           |   2 ++
 3 files changed, 19 insertions(+)

commit 19d6683981803aeb773daeea0fbf507872877fe4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 24 13:13:15 2016 +0200

    Fix misdetection of zip files as their content
    
    Bump application/zip priority so that if the file is a PDF inside a zip
    file, we don't have a toss up between those 2 to know which mime-type it
    actually is.
    Prefer the application/zip rather than whatever is inside.
    
    But that means that all the priorities for the application/zip sub-types
    magic need to be bumped to be higher than application/zip, so they are
    detected as that type rather than zip.
    
    In short: application/zip magic priority raised to 60
    application/zip sub-types magic priorities raised to 70
    
    This is similar to the fix in 10fc17e
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96660

 freedesktop.org.xml.in | 62 +++++++++++++++++++++++++-------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

commit b453fc2c203b82b200a086dde1090b7d5b9e028d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 24 13:12:41 2016 +0200

    Add missing subclass statement for OpenRaster files
    
    They're zip files, so mark them as such.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 66d30952d1f768d132375274865f7cc3aa548b01
Author: Elvis Angelaccio <elvis.angelaccio@kdemail.net>
Date:   Mon Jun 13 17:16:44 2016 +0200

    Add mimetype for tar.lz4 archives
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96509

 freedesktop.org.xml.in |   6 ++++++
 tests/list             |   2 ++
 tests/test.tar.lz4     | Bin 0 -> 270 bytes
 3 files changed, 8 insertions(+)

commit cc6216c9c5b8a8ea953ffed0f5f68c995b2417b4
Author: Andreas Stieger <astieger@suse.com>
Date:   Thu Jun 9 18:35:20 2016 +0200

    Add alias application/nappdf for application/pdf
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96463
    https://bugzilla.opensuse.org/show_bug.cgi?id=984021

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit daad084ceb9d96ea3003211bac288f2f98bd8781
Author: Alexander Larsson <alexl@redhat.com>
Date:   Wed Jun 1 12:07:12 2016 +0200

    Add flatpak repo mime type

 freedesktop.org.xml.in  | 9 +++++++++
 tests/gnome.flatpakrepo | 4 ++++
 tests/list              | 1 +
 3 files changed, 14 insertions(+)

commit 9039aaa6cfcfd18df0dc245b3e7831379dc8a211
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 31 16:43:41 2016 +0300

    application/x-mod: Lower magic priority to 40
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95397#c7

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19d8d88272374257f5840d2ffebbb4eeaef90a50
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 31 16:40:59 2016 +0300

    application/x-mod: Simplify *.669 magic matches
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95397#c8

 freedesktop.org.xml.in | 36 ++++++++----------------------------
 1 file changed, 8 insertions(+), 28 deletions(-)

commit cb42e93ff41c39a1039d3d17cc4419dbf4d175b5
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 31 16:37:46 2016 +0300

    application/x-mod: Use better magic also for extended 669 tracker MOD files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95397#c6

 freedesktop.org.xml.in | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit 7cf3a9d4f034d1b1d4ce728cc70c33e5edc3d384
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 31 16:35:47 2016 +0300

    application/x-mod: Use strings in *.669 magics
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95397#c6

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 0490bb5fe269282e7bcb61565d4358a644083370
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon May 30 14:27:49 2016 +0200

    Better magic for 669 tracker MOD files
    
    Match the number of samples and patterns as per:
    ftp://ftp.modland.com/pub/documents/format_documentation/Composer%20669,%20Unis%20669%20(.669).txt
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95397

 freedesktop.org.xml.in | 25 ++++++++++++++++++++++++-
 1 file changed, 24 insertions(+), 1 deletion(-)

commit f6ba309e32152cc74ad54eff1afc5ece8589bb96
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 31 16:34:45 2016 +0300

    .gitignore: Ignore `compile'

 .gitignore | 1 +
 1 file changed, 1 insertion(+)

commit 5892dc9b953ebaa2ab632f809f1a0ea0cff12af1
Author: Alistair Thomas <astavale@yahoo.co.uk>
Date:   Mon May 23 18:47:49 2016 +0100

    Add mime-type for Twig templates
    
    Add text/x-twig for Twig templates, with tests.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95559

 freedesktop.org.xml.in | 6 ++++++
 tests/list             | 2 ++
 tests/test.twig        | 7 +++++++
 3 files changed, 15 insertions(+)

commit 986f4fd5c110909c2e4fad067e29f9b3d8e33e35
Author: Alistair Thomas <astavale@yahoo.co.uk>
Date:   Mon May 23 22:56:47 2016 +0100

    Add mime-types for Sass CSS pre-processor files
    
    Add text/x-scss and text/x-sass mime-types, with tests.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95579

 freedesktop.org.xml.in | 12 ++++++++++++
 tests/list             |  4 ++++
 tests/test.sass        | 16 ++++++++++++++++
 tests/test.scss        | 12 ++++++++++++
 4 files changed, 44 insertions(+)

commit 3d6637b5c01adb8e8efd5c22792a997d0d2fd62f
Author: Martin Blanchard <tchaik@gmx.com>
Date:   Mon May 30 22:52:56 2016 +0200

    Add mime-type for IGES documents
    
    IGES document have an IANA defined MIME type, model/iges. See
    RFC 2077 for details, MIME types and extensions. For magic strings, see
    IGES specification, section 2.2 "ASCII File Formats". Version 5.x can
    be found at:
    http://www.wiz-worx.com/iges5x/version5x/version5x.pdf
    
    https://bugs.freedesktop.org/show_bug.cgi?id=36506

 freedesktop.org.xml.in |  13 +++++
 tests/cube.igs         | 150 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/list             |   1 +
 3 files changed, 164 insertions(+)

commit 4882ca0ca00bba68d8d8ddaf43dc486634c35043
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Mon May 30 15:15:32 2016 +1200

    Add application/vnd.snap
    
    http://askubuntu.com/questions/761245/what-is-the-snap-packaging-format
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43621

 freedesktop.org.xml.in    |   6 ++++++
 tests/example_42_all.snap | Bin 0 -> 4096 bytes
 tests/list                |   1 +
 3 files changed, 7 insertions(+)

commit 5fe9db99c88abf2e70d412656938689937a24fe1
Author: Martin Blanchard <tchaik@gmx.com>
Date:   Sun May 29 19:49:34 2016 +0200

    Improve VRML support (model/vrml)
    
    Adds a magic string for content type detection ("#VRML "). A test file is
    also provided.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=96270

 freedesktop.org.xml.in |   3 +
 tests/cube.wrl         | 403 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/list             |   3 +
 3 files changed, 409 insertions(+)

commit e96df89951378a02a1b3ccef9c587b10bc1ca912
Author: Robert Ancell <robert.ancell@canonical.com>
Date:   Thu May 26 15:54:10 2016 +1200

    Add application/vnd.squashfs
    
    http://squashfs.sourceforge.net/
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43621

 freedesktop.org.xml.in |   9 +++++++++
 tests/image.sqsh       | Bin 0 -> 16384 bytes
 tests/list             |   1 +
 3 files changed, 10 insertions(+)

commit da064b6e89df0fc98a9adfdb9c49c23def7972ab
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat May 28 11:53:13 2016 +0300

    Revert "Revert "Add application/raml+yaml""
    
    Re-add with test file included.
    
    This reverts commit fe27b8c8f1391fb4392b11635bfce2c241b457a7.

 freedesktop.org.xml.in | 10 ++++++++++
 tests/list             |  2 ++
 tests/test.raml        |  9 +++++++++
 3 files changed, 21 insertions(+)

commit 10ad0c738089a77ea4d05f449b479891d538272e
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Sep 30 17:33:22 2015 +0200

    Fix invalid octal escape
    
    Test file colormapped.tga included
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92197

 freedesktop.org.xml.in |   2 +-
 tests/colormapped.tga  | Bin 0 -> 1797 bytes
 tests/list             |   1 +
 3 files changed, 2 insertions(+), 1 deletion(-)

commit 9ca401f5e0c174625af90d087c9d6eab6560bc28
Author: Friedrich W. H. Kossebau <kossebau@kde.org>
Date:   Wed Apr 27 19:41:25 2016 +0200

    Add aliases to application/gpx+xml & root-XML info
    
    Add GPX mimetypes as found in the wild.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95178

 freedesktop.org.xml.in |  5 +++++
 tests/list             |  2 ++
 tests/test10.gpx       | 19 +++++++++++++++++++
 3 files changed, 26 insertions(+)

commit e0f51b2ccda6f403f2b3abc4045d930feda765fc
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 27 18:05:19 2016 +0200

    Fix multi-page DjVu detection by file
    
    We need to have the same globs for both image/vnd.djvu+multipage and
    image/vnd.djvu so that checking by file will force checking by magic,
    otherwise all the multi-page files will be detected as simple
    image/vnd.djvu.

 freedesktop.org.xml.in | 2 ++
 tests/list             | 4 ++--
 2 files changed, 4 insertions(+), 2 deletions(-)

commit fe27b8c8f1391fb4392b11635bfce2c241b457a7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri May 27 13:18:55 2016 +0200

    Revert "Add application/raml+yaml"
    
    The test file is missing.
    
    This reverts commit dd051b4dca6878f5a9a549d585d275697e364153.

 freedesktop.org.xml.in | 10 ----------
 tests/list             |  2 --
 2 files changed, 12 deletions(-)

commit dd051b4dca6878f5a9a549d585d275697e364153
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed May 18 17:37:41 2016 +0300

    Add application/raml+yaml
    
    http://www.raml.org/raml-10-spec

 freedesktop.org.xml.in | 10 ++++++++++
 tests/list             |  2 ++
 2 files changed, 12 insertions(+)

commit 6919dc3af99d71c2823b1522f39f44b1785e3aa5
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 17 09:11:15 2016 +0300

    image/emf: Use official IANA registered type
    
    http://www.iana.org/assignments/media-types/image/emf

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bbe5a99bff4a0ca9df6419c094ca862f991a91d5
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 17 09:10:43 2016 +0300

    image/wmf: Use official IANA registered type
    
    http://www.iana.org/assignments/media-types/image/wmf

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 581e55b23a6435d26b5c6aa3f1ae1536b83d0c59
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue May 17 09:10:01 2016 +0300

    image/bmp: Add *.dib glob from IANA registration
    
    http://www.iana.org/assignments/media-types/image/bmp

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 12ba0dc694f979082855458f2b4fc340a3047e0e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 11 13:26:34 2016 +0200

    Remove *.sg from Sega Master System ROM type
    
    It's a ROM for the Sega SG-1000 system, which isn't compatible with
    the Sega Master System ROMs and uses a different magic from the one we
    disabled (the ROMs are smaller than 32k...).

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 2fe5b320f38a4d3c00fa733aea745a657ecc7c6b
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue May 10 11:44:56 2016 +0200

    Make the old xdg-app mimetype just an alias to flatpak

 freedesktop.org.xml.in | 11 +++--------
 tests/list             |  2 +-
 2 files changed, 4 insertions(+), 9 deletions(-)

commit dfa85984529824ce83585ab469adcfc6e2f505f1
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue May 10 11:22:50 2016 +0200

    Add flatpak mimetype and test

 freedesktop.org.xml.in |   8 ++++++++
 tests/hello.flatpak    | Bin 0 -> 18084 bytes
 tests/list             |   1 +
 3 files changed, 9 insertions(+)

commit 699f7c9b3ba92a1e64ce68373346ae89726ad3c5
Author: Phil Schaf <flying-sheep@web.de>
Date:   Sat Apr 9 15:24:09 2016 +0200

    Add mimetype for Jupyter Notebook files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94878

 freedesktop.org.xml.in     | 11 +++++++++++
 tests/list                 |  2 ++
 tests/test-reordered.ipynb | 34 ++++++++++++++++++++++++++++++++++
 tests/test.ipynb           | 34 ++++++++++++++++++++++++++++++++++
 4 files changed, 81 insertions(+)

commit e15b5a7db627e8274b22f2f8038949d32b1a097d
Author: Elvis Angelaccio <elvis.angelaccio@kdemail.net>
Date:   Tue Apr 5 20:31:50 2016 +0200

    Add mimetype for tar.lz archives
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94833

 freedesktop.org.xml.in |   6 ++++++
 tests/list             |   2 ++
 tests/test.tar.lz      | Bin 0 -> 152 bytes
 3 files changed, 8 insertions(+)

commit a435ae1f9326cda41683925259ac60b271f12148
Author: David Faure <faure@kde.org>
Date:   Sun Apr 3 15:15:31 2016 +0200

    Remove audio/amr alias given that there is also a audio/AMR real mimetype.
    
    Move encrypted aliases to the respective mimetypes, seems more correct.

 freedesktop.org.xml.in | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 46d2b3a97b087a09156b27796bd05427a8624e19
Author: David Faure <faure@kde.org>
Date:   Sun Apr 3 15:07:30 2016 +0200

    Remove audio/amr-wb as an alias for video/3gpp,
    
    given that we have audio/AMR-WB as a real mimetype
    (and case doesn't matter).
    
    Not sure what to do about audio/amr, audio/amr-encrypted
    and audio/amr-wb-encrypted though. Should they be aliases
    of audio/AMR-WB instead?

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit d14e59da30f6ec05279053f4989c4c8deef7b6af
Author: David Faure <faure@kde.org>
Date:   Sun Apr 3 15:05:08 2016 +0200

    Use real mimetype names in sub-class-of rather than aliases, to save lookups

 freedesktop.org.xml.in | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 40f5a1b61db8a3329c627b7b4d8c895e0cf46850
Author: Ricard Gascons <gascons1995@gmail.com>
Date:   Tue Mar 22 20:36:42 2016 +0100

    Add MIME type for Atari 2600 ROMs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94663

 freedesktop.org.xml.in    |   5 +++++
 tests/atari-2600-test.A26 | Bin 0 -> 1024 bytes
 tests/list                |   2 ++
 3 files changed, 7 insertions(+)

commit 870ab0c3a34bb876bf1c432e8c294f7af8b7c091
Author: Ricard Gascons <gascons1995@gmail.com>
Date:   Wed Mar 9 20:08:00 2016 +0100

    Add MIME type for Neo Geo Pocket ROMs
    
    https://bugzilla.gnome.org/show_bug.cgi?id=94467

 freedesktop.org.xml.in        |   8 ++++++++
 tests/list                    |   2 ++
 tests/neo-geo-pocket-test.ngp | Bin 0 -> 1024 bytes
 3 files changed, 10 insertions(+)

commit 05c52fe7c9d2f17d0d327a47fea6e9aeec3384d5
Author: Ricard Gascons <gascons1995@gmail.com>
Date:   Sat Mar 19 09:23:14 2016 +0100

    Add MIME type for Atari 7800 ROMs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94622

 freedesktop.org.xml.in    |   8 ++++++++
 tests/atari-7800-test.A78 | Bin 0 -> 1024 bytes
 tests/list                |   2 ++
 3 files changed, 10 insertions(+)

commit 184e47316a4c1717cfbf170b51f5f52e89ad5657
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 25 16:40:17 2016 +0100

    Update translations from Transifex

 po/LINGUAS        |    1 +
 po/ar.po          | 1179 +++++++++++-----------
 po/as.po          | 1187 +++++++++++-----------
 po/az.po          | 1165 +++++++++++-----------
 po/bg.po          | 1191 +++++++++++-----------
 po/bn_IN.po       | 1187 +++++++++++-----------
 po/ca.po          | 1446 ++++++++++++++-------------
 po/ca@valencia.po | 1187 +++++++++++-----------
 po/cs.po          | 1247 ++++++++++++-----------
 po/cy.po          | 1165 +++++++++++-----------
 po/da.po          | 1201 +++++++++++-----------
 po/de.po          | 1203 +++++++++++-----------
 po/el.po          | 1191 +++++++++++-----------
 po/en_GB.po       | 1191 +++++++++++-----------
 po/eo.po          | 1179 +++++++++++-----------
 po/es.po          | 1191 +++++++++++-----------
 po/et.po          | 1187 +++++++++++-----------
 po/eu.po          | 1193 +++++++++++-----------
 po/fa.po          | 1187 +++++++++++-----------
 po/fi.po          | 1195 +++++++++++-----------
 po/fo.po          | 1179 +++++++++++-----------
 po/fr.po          | 1191 +++++++++++-----------
 po/ga.po          | 1179 +++++++++++-----------
 po/gl.po          | 1191 +++++++++++-----------
 po/gu.po          | 1187 +++++++++++-----------
 po/he.po          | 1191 +++++++++++-----------
 po/hi.po          | 1187 +++++++++++-----------
 po/hr.po          | 1189 +++++++++++-----------
 po/hu.po          | 1193 +++++++++++-----------
 po/ia.po          | 1201 +++++++++++-----------
 po/id.po          | 1191 +++++++++++-----------
 po/it.po          | 1191 +++++++++++-----------
 po/ja.po          | 1191 +++++++++++-----------
 po/ka.po          | 1187 +++++++++++-----------
 po/kk.po          | 1191 +++++++++++-----------
 po/kn.po          | 1187 +++++++++++-----------
 po/ko.po          | 1191 +++++++++++-----------
 po/lt.po          | 1179 +++++++++++-----------
 po/lv.po          | 1191 +++++++++++-----------
 po/ml.po          | 1187 +++++++++++-----------
 po/mr.po          | 1187 +++++++++++-----------
 po/ms.po          | 1169 +++++++++++-----------
 po/nb.po          | 1179 +++++++++++-----------
 po/nl.po          | 1191 +++++++++++-----------
 po/nn.po          | 1179 +++++++++++-----------
 po/oc.po          | 2538 +++++++++++++++++++++++-----------------------
 po/or.po          | 1187 +++++++++++-----------
 po/pa.po          | 1187 +++++++++++-----------
 po/pl.po          | 1193 +++++++++++-----------
 po/pt.po          | 2176 ++++++++++++++++++++--------------------
 po/pt_BR.po       | 1191 +++++++++++-----------
 po/ro.po          | 1181 +++++++++++-----------
 po/ru.po          | 1203 +++++++++++-----------
 po/ru_RU.po       | 2875 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/sk.po          | 1194 +++++++++++-----------
 po/sl.po          | 1193 +++++++++++-----------
 po/sq.po          | 1179 +++++++++++-----------
 po/sr.po          | 1191 +++++++++++-----------
 po/sr@latin.po    | 1187 +++++++++++-----------
 po/sv.po          | 1201 +++++++++++-----------
 po/ta.po          | 1187 +++++++++++-----------
 po/te.po          | 1187 +++++++++++-----------
 po/th.po          | 1187 +++++++++++-----------
 po/tr.po          | 1193 +++++++++++-----------
 po/uk.po          | 1191 +++++++++++-----------
 po/vi.po          | 1179 +++++++++++-----------
 po/wa.po          | 1187 +++++++++++-----------
 po/zh_CN.po       | 1202 +++++++++++-----------
 po/zh_HK.po       | 1187 +++++++++++-----------
 po/zh_TW.po       | 1253 ++++++++++++-----------
 70 files changed, 46572 insertions(+), 39809 deletions(-)

commit f4e094740c36c629b5284ac270a0b08d8c75cb85 (tag: Release-1-6)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 23 15:24:01 2016 +0100

    1.6

 NEWS         | 10 ++++++++++
 configure.ac |  2 +-
 2 files changed, 11 insertions(+), 1 deletion(-)

commit ad6c09059ee31bf1c306755c5f0156f9088f37b9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 23 14:45:52 2016 +0100

    Fix GPX test case
    
    The test case in commit 03ffba0ab5d1bd3897bd26621a20f05f69e707fb was
    broken, missing the mime-type from the test definition line.

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 02501a18ef73eb97da51051a941627ec484d5e5c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Tue Feb 23 14:23:28 2016 +0100

    Add application/vnd.xdgapp

 freedesktop.org.xml.in |   8 ++++++++
 tests/hello.xdgapp     | Bin 0 -> 1220 bytes
 tests/list             |   1 +
 3 files changed, 9 insertions(+)

commit 03ffba0ab5d1bd3897bd26621a20f05f69e707fb
Author: Hashem Nasarat <hashem@riseup.net>
Date:   Mon Feb 15 04:58:42 2016 -0500

    Add GPX mime-type
    
    Add application/gpx+xml as specified at:
    http://www.topografix.com/gpx.asp
    https://en.wikipedia.org/wiki/GPS_Exchange_Format
    
    https://bugs.freedesktop.org/show_bug.cgi?id=94154

 freedesktop.org.xml.in |  7 +++++++
 tests/list             |  2 ++
 tests/test.gpx         | 27 +++++++++++++++++++++++++++
 3 files changed, 36 insertions(+)

commit 4961dc3e48d13c0c675ad7c135419b864813ca55
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 7 15:49:16 2016 +0100

    Add magic for XHTML files

 freedesktop.org.xml.in |  6 ++++++
 tests/list             |  3 ++-
 tests/test.xht         | 14 ++++++++++++++
 3 files changed, 22 insertions(+), 1 deletion(-)

commit 6e5818deb54fdfa70f5798fc1df1d5c3eaba42df
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jan 7 15:48:47 2016 +0100

    Add *.xht as a glob for XHTML files

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 10fc17ec61c5b5c6c0e6ea2c8d7a2123271d07e3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 4 17:07:09 2016 +0100

    Bump priority for archives mime-types magic
    
    When a long enough magic is available (4 characters in this case),
    prefer the magic of the archive type to the one of the
    maybe-not-compressed header of the first file in the archive.
    
    For example, in https://bugs.freedesktop.org/show_bug.cgi?id=93549
    a PDF inside the RAR archive made the archive be detected as a PDF.

 freedesktop.org.xml.in |  38 +++++++++++++++++++-------------------
 tests/list             |   2 ++
 tests/serafettin.rar   | Bin 0 -> 524288 bytes
 3 files changed, 21 insertions(+), 19 deletions(-)

commit 4ed3648868a2c2dddfa8c31aaf660e9d5131fefd
Author: Jonas Danielsson <jonas@threetimestwo.org>
Date:   Fri Oct 23 22:22:52 2015 +0200

    Add GeoJSON mime-type
    
    Add application/vnd.geo+json as specified by IANA at:
    http://www.iana.org/assignments/media-types/application/vnd.geo+json
    
    https://bugs.freedesktop.org/show_bug.cgi?id=92654

 freedesktop.org.xml.in | 6 ++++++
 tests/list             | 3 +++
 tests/test.geo.json    | 1 +
 tests/test.geojson     | 1 +
 4 files changed, 11 insertions(+)

commit 85bced9a503d0dcec06f24aa97e4ef587439e688
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Sep 25 12:53:37 2015 +0300

    application/x-xar: Add XAR archive
    
    https://code.google.com/p/xar/wiki/xarformat
    https://en.wikipedia.org/wiki/Installer_(OS_X)#Installer_package

 freedesktop.org.xml.in |  12 ++++++++++++
 tests/list             |   2 ++
 tests/test.xar         | Bin 0 -> 310 bytes
 3 files changed, 14 insertions(+)

commit 393414c9dbf101fd76fcba48d72df2b6cd25bb29 (tag: Release-1-5)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 16 13:46:12 2015 +0200

    1.5

 NEWS         | 32 ++++++++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 33 insertions(+), 1 deletion(-)

commit 041cf5e503701517ac065dbbb3481ba4d80faeda
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 16 13:48:56 2015 +0200

    Add Visio test file to the test suite
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91987

 tests/list | 1 +
 1 file changed, 1 insertion(+)

commit c32443ba5bfb19b7e4355c566a410527361df3e3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 16 13:38:59 2015 +0200

    Update translations from Transifex

 po/ar.po          | 242 +++++++++++++++++----------------
 po/as.po          | 240 +++++++++++++++++----------------
 po/az.po          | 240 +++++++++++++++++----------------
 po/bg.po          | 242 +++++++++++++++++----------------
 po/bn_IN.po       | 240 +++++++++++++++++----------------
 po/ca.po          | 244 +++++++++++++++++----------------
 po/ca@valencia.po | 240 +++++++++++++++++----------------
 po/cs.po          | 242 +++++++++++++++++----------------
 po/cy.po          | 240 +++++++++++++++++----------------
 po/da.po          | 244 +++++++++++++++++----------------
 po/de.po          | 270 +++++++++++++++++++------------------
 po/el.po          | 244 +++++++++++++++++----------------
 po/en_GB.po       | 252 +++++++++++++++++-----------------
 po/eo.po          | 242 +++++++++++++++++----------------
 po/es.po          | 267 ++++++++++++++++++------------------
 po/et.po          | 242 +++++++++++++++++----------------
 po/eu.po          | 244 +++++++++++++++++----------------
 po/fa.po          | 240 +++++++++++++++++----------------
 po/fi.po          | 246 +++++++++++++++++----------------
 po/fo.po          | 242 +++++++++++++++++----------------
 po/fr.po          | 244 +++++++++++++++++----------------
 po/ga.po          | 242 +++++++++++++++++----------------
 po/gl.po          | 244 +++++++++++++++++----------------
 po/gu.po          | 240 +++++++++++++++++----------------
 po/he.po          | 244 +++++++++++++++++----------------
 po/hi.po          | 240 +++++++++++++++++----------------
 po/hr.po          | 242 +++++++++++++++++----------------
 po/hu.po          | 244 +++++++++++++++++----------------
 po/ia.po          | 244 +++++++++++++++++----------------
 po/id.po          | 244 +++++++++++++++++----------------
 po/it.po          | 300 +++++++++++++++++++++--------------------
 po/ja.po          | 242 +++++++++++++++++----------------
 po/ka.po          | 242 +++++++++++++++++----------------
 po/kk.po          | 244 +++++++++++++++++----------------
 po/kn.po          | 240 +++++++++++++++++----------------
 po/ko.po          | 246 +++++++++++++++++----------------
 po/lt.po          | 242 +++++++++++++++++----------------
 po/lv.po          | 242 +++++++++++++++++----------------
 po/ml.po          | 240 +++++++++++++++++----------------
 po/mr.po          | 240 +++++++++++++++++----------------
 po/ms.po          | 240 +++++++++++++++++----------------
 po/nb.po          | 240 +++++++++++++++++----------------
 po/nl.po          | 242 +++++++++++++++++----------------
 po/nn.po          | 240 +++++++++++++++++----------------
 po/oc.po          | 240 +++++++++++++++++----------------
 po/or.po          | 240 +++++++++++++++++----------------
 po/pa.po          | 240 +++++++++++++++++----------------
 po/pl.po          | 244 +++++++++++++++++----------------
 po/pt.po          | 240 +++++++++++++++++----------------
 po/pt_BR.po       | 246 +++++++++++++++++----------------
 po/ro.po          | 242 +++++++++++++++++----------------
 po/ru.po          | 248 +++++++++++++++++-----------------
 po/sk.po          | 397 ++++++++++++++++++++++++++++--------------------------
 po/sl.po          | 242 +++++++++++++++++----------------
 po/sq.po          | 240 +++++++++++++++++----------------
 po/sr.po          | 244 +++++++++++++++++----------------
 po/sr@latin.po    | 240 +++++++++++++++++----------------
 po/sv.po          | 244 +++++++++++++++++----------------
 po/ta.po          | 240 +++++++++++++++++----------------
 po/te.po          | 240 +++++++++++++++++----------------
 po/th.po          | 240 +++++++++++++++++----------------
 po/tr.po          | 245 +++++++++++++++++----------------
 po/uk.po          | 244 +++++++++++++++++----------------
 po/vi.po          | 242 +++++++++++++++++----------------
 po/wa.po          | 240 +++++++++++++++++----------------
 po/zh_CN.po       | 244 +++++++++++++++++----------------
 po/zh_HK.po       | 240 +++++++++++++++++----------------
 po/zh_TW.po       | 304 +++++++++++++++++++++--------------------
 68 files changed, 8672 insertions(+), 8125 deletions(-)

commit f49ae772f2d75009909da9f350f031784f0f8708
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 14 18:43:33 2015 +0200

    Indentation fixes

 freedesktop.org.xml.in | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 99a91f46a6463a1008eb67919624b16d7d23ad0c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 14 18:40:06 2015 +0200

    Remove "macro-free" and "macro-enabled" from descriptions

 freedesktop.org.xml.in | 30 +++++++++++++++---------------
 1 file changed, 15 insertions(+), 15 deletions(-)

commit 1fbbc1accbd6c0dfaa7d2339d8b3cb94ef979bc0
Author: Yan Pas <yanpas@yandex.ru>
Date:   Mon Sep 14 19:04:59 2015 +0300

    vsdx file added (vstx, vstm ... are the same inside)
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91987

 tests/sample.vsdx | Bin 0 -> 50834 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit d1022b00c120f477060714d0b5c0cbe6211e4b23
Author: Yan Pas <yanpas@yandex.ru>
Date:   Mon Sep 14 18:57:10 2015 +0300

    Support for vsfx and similar file types
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91987

 freedesktop.org.xml.in | 36 ++++++++++++++++++++++++++++++++++++
 1 file changed, 36 insertions(+)

commit 067d0b68424524de0ba3403c7e11ee1df3240dd9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Sep 2 16:48:04 2015 +0200

    Split up multi-page DjVu into its own mime-type
    
    Rather than having DjVu images (similar to a JPEG image) and DjVu
    documents (similar to a PDF) be mixed and opened by the same
    application, split out the documents from the images.
    
    Add a single image djvu test-case as well.

 freedesktop.org.xml.in |  15 +++++++++++++--
 tests/list             |   5 ++++-
 tests/test.djvu        | Bin 0 -> 220 bytes
 3 files changed, 17 insertions(+), 3 deletions(-)

commit b6035777c71b7b307ec3974b689ff7a67d082668
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 1 12:30:51 2015 +0200

    Update Genesis ROM tests to match reality
    
    With the magic, we can match by file data and file, but not filename.

 tests/list | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cf0d8b055e4db1d8b77750a6efd3b3045b5ae3c3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 1 12:28:19 2015 +0200

    Add weight to the Doom WAD glob
    
    So that they are preferred to WiiWADs by default, and update tests to
    match.

 freedesktop.org.xml.in | 2 +-
 tests/list             | 6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

commit 24cf33b121aeff4c5a9104b43589a050e8e92e6e
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 19:34:51 2015 +0200

    Fix application/x-genesis-rom translation rules
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91825

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit f7408ea133eae27abce67bbe67a7225d64536008
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 20:06:09 2015 +0200

    Add application/x-saturn-rom
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91815

 freedesktop.org.xml.in |  10 ++++++++++
 tests/list             |   2 ++
 tests/saturn-test.bin  | Bin 0 -> 1024 bytes
 3 files changed, 12 insertions(+)

commit a47c0eb7a2c4799a6e06ff7e57b37a14967299df
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sun Aug 30 00:21:45 2015 +0200

    Add magic and tests to application/x-gameboy-rom
    
    Check the first 24 bytes of the Nintendo logo magic number.
    
    Also add tests for Game Boy and Game Boy Color games.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91824

 freedesktop.org.xml.in        |   3 +++
 tests/game-boy-color-test.gbc | Bin 0 -> 1024 bytes
 tests/game-boy-test.gb        | Bin 0 -> 1024 bytes
 tests/list                    |   4 ++++
 4 files changed, 7 insertions(+)

commit fc806c5a84a4b346077e07cb3a14d64477bf56fa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 31 17:39:19 2015 +0200

    Fix Amiga disk image test

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d922ba8e068d8498c6fbf0a2759320bc7813704b
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 19:58:13 2015 +0200

    Add application/x-wii-wad
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91814

 freedesktop.org.xml.in |  10 ++++++++++
 tests/list             |   6 ++++--
 tests/wii.wad          | Bin 0 -> 1024 bytes
 3 files changed, 14 insertions(+), 2 deletions(-)

commit 920d89df864329e013d842020519859ff4e683ff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 31 16:53:04 2015 +0200

    Rename "Dreamcast ROM" to "Dreamcast GD-ROM"
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91822

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1cc6c6be6d6d3a540e3a981171c5f42bd5668500
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Aug 31 16:08:15 2015 +0200

    Simplify Windows "WIM" image description

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ce6310200ab9df5e4eb390ee9f57268470d065bc
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 20:09:54 2015 +0200

    Add Amiga disk image
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91816

 freedesktop.org.xml.in |   8 ++++++++
 tests/adf-test.adf     | Bin 0 -> 1024 bytes
 tests/list             |   2 ++
 3 files changed, 10 insertions(+)

commit 3dc91f2fd1a7e07377ad8d64a5a4d155365d3673
Author: Adrien Plazas <kekun.plazas@laposte.net>
Date:   Sat Aug 29 15:52:55 2015 +0200

    Add application/x-doom-wad
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91798

 freedesktop.org.xml.in |  12 ++++++++++++
 tests/IWAD.WAD         | Bin 0 -> 1024 bytes
 tests/PWAD.WAD         | Bin 0 -> 1024 bytes
 tests/list             |   6 ++++++
 4 files changed, 18 insertions(+)

commit 6a1e61473b873481cbb7e7ec513fc3829f1d5fa9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Aug 29 18:55:52 2015 +0200

    HACKING: Fix typo

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 817cf28e5e997fc1634248b285978af9ea9c1fbf
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue Aug 25 14:12:05 2015 +0300

    Add PKCS#12 test case

 tests/list     |   1 +
 tests/test.p12 | Bin 0 -> 192 bytes
 2 files changed, 1 insertion(+)

commit 5a30590a216d788be79667c9f5b68508f03e9b28
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue Aug 25 14:11:26 2015 +0300

    application/pkcs12: Use IANA registered type for PKCS#12
    
    http://www.iana.org/assignments/media-types/application/pkcs12

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 723f48407070d3aa2cdfa5069c55f5136eea368e
Author: David Faure <faure@kde.org>
Date:   Mon Jul 27 11:04:01 2015 +0200

    image/x-xcf: match newer versions as well, such as v003

 freedesktop.org.xml.in | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 962056d5f178cd0b2fc3fc3788058b7dfe878928
Author: Jussi Pakkanen <jpakkane@gmail.com>
Date:   Mon Jul 20 00:44:38 2015 +0300

    Added Meson build definitions.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91397

 freedesktop.org.xml.in  | 6 ++++++
 tests/list              | 2 ++
 tests/meson.build       | 3 +++
 tests/meson_options.txt | 1 +
 4 files changed, 12 insertions(+)

commit 01b565de6673e4b65be9ff33f8520cf86afcd1f6
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 15 22:00:56 2015 +0300

    audio/x-mod: Add Ultratracker *.ult magic
    
    ftp://ftp.modland.com/pub/documents/format_documentation/Ultratracker%20v1.4-6%20(.ult).txt

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 6bb23231ebdcabc95ae562c1603e87aa6d9c479c
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 15 20:20:56 2015 +0300

    application/x-mod: Add 699 magic and test cases
    
    ftp://ftp.modland.com/pub/documents/format_documentation/Composer%20669,%20Unis%20669%20(.669).txt

 freedesktop.org.xml.in |   2 ++
 tests/4jsno.669        | Bin 0 -> 185494 bytes
 tests/list             |   4 ++++
 tests/simon.669        | Bin 0 -> 123289 bytes
 4 files changed, 6 insertions(+)

commit 1f67a88ec3f46a6069554f2547f3fa0c2cb79b23
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 15 15:03:24 2015 +0300

    application/x-mod: Add MED magic and test case
    
    ftp://amigaremix.com/pub/documents/format_documentation/OctaMED%20MMD0-MMD1%20(.med).txt

 freedesktop.org.xml.in |   2 ++
 tests/cyborg.med       | Bin 0 -> 56294 bytes
 tests/list             |   2 ++
 3 files changed, 4 insertions(+)

commit 1c1f175621a345e62c01b0e839fb38caaf44a469
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 15 14:50:22 2015 +0300

    application/x-mod: Add MTM magic and test case
    
    ftp://amigaremix.com/pub/documents/format_documentation/MultiTracker%20(.mtm).txt

 freedesktop.org.xml.in |   3 +++
 tests/break.mtm        | Bin 0 -> 146361 bytes
 tests/list             |   2 ++
 3 files changed, 5 insertions(+)

commit 7c82d47f1f280ad74e937f837bbc7d983fdbdf8e
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Mon Jun 22 22:41:37 2015 -0600

    Add application/json-patch+json as subclass of application/json
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91064

 freedesktop.org.xml.in   | 8 ++++++++
 tests/list               | 2 ++
 tests/my-data.json-patch | 8 ++++++++
 3 files changed, 18 insertions(+)

commit 8141a4b0c91bf4a8a4c5b224f6e8e0c27012f0fe
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Mon Jun 22 22:41:01 2015 -0600

    Add application/jrd+json as subclass of application/json
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91063

 freedesktop.org.xml.in |  8 ++++++++
 tests/list             |  2 ++
 tests/webfinger.jrd    | 10 ++++++++++
 3 files changed, 20 insertions(+)

commit db2dfb343ad3f8a3ada4df6eb6a1de79597ca12a
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Wed Jul 1 19:59:04 2015 -0600

    Make application/sdp a subclass of text/plain
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91182

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit b34109c901b8637a734e0166acd9e88692c143bf
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Wed Jul 1 19:57:21 2015 -0600

    Make application/vnd.apple.mpegurl a subclass of text/plain
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91181

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 51d1008d81bb22ca6ac308fdf9e80803d40323c6
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Wed Jul 1 19:55:37 2015 -0600

    Make application/vnd.coffeescript a subclass of text/plain
    
    https://bugs.freedesktop.org/show_bug.cgi?id=91180

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 8de68c6beb1ed4ebde5aafc6fe2619e657dfdf7b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 16:12:07 2015 +0300

    Fix latest version URL

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 444b68df75314089078346cc7c9f95c995ef3a68
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 16:07:40 2015 +0300

    DTD: Add glob weight, magic priority, and treemagic priority defaults

 freedesktop.org.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit f34be5c04165a018f6f52cd717f34d6f61b8d690
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 16:04:04 2015 +0300

    DTD: generic-icon name is mandatory

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ff88e84c45cc645cf4de8fa63df6a57b7bebeac
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 16:01:21 2015 +0300

    DTD: Add icon
    
    http://standards.freedesktop.org/shared-mime-info-spec/0.18/ar01s02.html#idm139750563085760

 freedesktop.org.xml.in | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 0b1da3cf8671f35de7562cfa7235d87097e6f81d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 15:51:29 2015 +0300

    Add application/vnd.coffeescript
    
    http://www.iana.org/assignments/media-types/application/vnd.coffeescript

 freedesktop.org.xml.in |  5 +++++
 tests/list             |  2 ++
 tests/test.coffee      | 28 ++++++++++++++++++++++++++++
 3 files changed, 35 insertions(+)

commit 435dab1dd413f57bd6744ae60df0222afb5af4c8
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jun 24 15:46:24 2015 +0300

    Add text/csv-schema
    
    http://www.iana.org/assignments/media-types/text/csv-schema

 freedesktop.org.xml.in | 7 +++++++
 tests/list             | 2 ++
 tests/test.csvs        | 5 +++++
 3 files changed, 14 insertions(+)

commit 83b9523ab4b5d7ae080a58b0655831ada84994bb
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Wed Jun 17 09:57:34 2015 -0600

    Add application/ld+json as subclass of application/json
    
    https://bugs.freedesktop.org/show_bug.cgi?id=90998

 freedesktop.org.xml.in        | 8 ++++++++
 tests/json-ld-full-iri.jsonld | 5 +++++
 tests/list                    | 2 ++
 3 files changed, 15 insertions(+)

commit f75cbe0d37c990580dbb6f0694b53bc0c914d933
Author: Eike Hein <hein@kde.org>
Date:   Sat May 16 23:29:00 2015 +0000

    Add text/rust for Rust source code
    
    https://bugs.freedesktop.org/show_bug.cgi?id=90487

 freedesktop.org.xml.in | 5 +++++
 tests/list             | 1 +
 tests/test.rs          | 3 +++
 3 files changed, 9 insertions(+)

commit 5bd74344a762cb8d36dda35427edd004f23b3be3
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Apr 4 12:05:16 2015 +0300

    Use IANA registered image/vnd.zbrush.pcx for PCX
    
    http://www.iana.org/assignments/media-types/image/vnd.zbrush.pcx

 freedesktop.org.xml.in | 3 ++-
 tests/list             | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 573329b89e5e6ac3f503ec074e874f5ca92b103e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 9 15:14:25 2015 +0100

    Fix compilation with glib < 2.26
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89448

 update-mime-database.c | 4 ++++
 1 file changed, 4 insertions(+)

commit c41143ca850684088b20f5f3bcb642844af49158
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Feb 19 20:15:23 2015 +0200

    Add text/turtle

 freedesktop.org.xml.in |  5 +++++
 tests/list             |  2 ++
 tests/test.ttl         | 10 ++++++++++
 3 files changed, 17 insertions(+)

commit f6661504c987433993cf0ac83225cbfbad3f403b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Feb 19 20:14:37 2015 +0200

    Add application/owl+xml

 freedesktop.org.xml.in | 11 +++++++++++
 tests/list             |  2 ++
 tests/test.owx         | 32 ++++++++++++++++++++++++++++++++
 3 files changed, 45 insertions(+)

commit 824cff3da0f17812715795f0e64a47f7331a338b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 18 10:37:36 2015 +0100

    Bump priority for ISO images glob matching
    
    To work-around file managers that cannot use magic to differentiate
    mime-types.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=80877

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 052b7d7d73207bea8f623d0bdb108082e956d6bb
Author: Sebastian Keller <sebastian-keller@gmx.de>
Date:   Sat Feb 14 23:55:30 2015 +0100

    Use "folder" generic-icon for inode/directory
    
    As mentioned in the "Places" table of the icon naming spec.
    This avoids having to sprinkle special cases in GIO for avoiding the old
    x-inode-directory icon name.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89150

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 60c9ec9a7ac12383d200987606ee18a30aab78c4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 15 18:45:03 2015 +0100

    Add more globs to console ROM files
    
    Mostly from https://github.com/garbear/pyrominfo

 freedesktop.org.xml.in | 15 +++++++++++++++
 1 file changed, 15 insertions(+)

commit 0e93784410db711eef67fa2a56b0ec4bc4b5e08d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 15 18:43:49 2015 +0100

    Add a note about ISO image magic
    
    And the fact that we cannot implement it here.

 HACKING                | 3 +++
 freedesktop.org.xml.in | 1 +
 2 files changed, 4 insertions(+)

commit f4b7c1870d12bc02979d3dc9a4c555663b7f3ec9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 9 18:16:28 2015 +0100

    Update translations from Transifex

 po/LINGUAS        |    1 +
 po/ar.po          |  988 +++++++++----------
 po/as.po          |  984 +++++++++----------
 po/az.po          |  988 +++++++++----------
 po/bg.po          |  988 +++++++++----------
 po/bn_IN.po       |  984 +++++++++----------
 po/ca.po          |  988 +++++++++----------
 po/ca@valencia.po |  984 +++++++++----------
 po/cs.po          |  988 +++++++++----------
 po/cy.po          |  988 +++++++++----------
 po/da.po          | 1026 +++++++++----------
 po/de.po          | 1008 +++++++++----------
 po/el.po          |  989 +++++++++----------
 po/en_GB.po       |  990 +++++++++----------
 po/eo.po          |  988 +++++++++----------
 po/es.po          | 1005 +++++++++----------
 po/et.po          | 2810 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/eu.po          |  988 +++++++++----------
 po/fa.po          |  984 +++++++++----------
 po/fi.po          | 1081 +++++++++++----------
 po/fo.po          |  988 +++++++++----------
 po/fr.po          |  991 +++++++++----------
 po/ga.po          |  988 +++++++++----------
 po/gl.po          | 1026 +++++++++----------
 po/gu.po          |  984 +++++++++----------
 po/he.po          |  996 +++++++++----------
 po/hi.po          |  984 +++++++++----------
 po/hr.po          |  988 +++++++++----------
 po/hu.po          | 1025 +++++++++----------
 po/ia.po          | 1160 +++++++++++-----------
 po/id.po          |  988 +++++++++----------
 po/it.po          |  990 +++++++++----------
 po/ja.po          |  988 +++++++++----------
 po/ka.po          |  988 +++++++++----------
 po/kk.po          |  988 +++++++++----------
 po/kn.po          |  984 +++++++++----------
 po/ko.po          | 1256 ++++++++++++------------
 po/lt.po          |  988 +++++++++----------
 po/lv.po          |  988 +++++++++----------
 po/ml.po          |  984 +++++++++----------
 po/mr.po          |  984 +++++++++----------
 po/ms.po          |  988 +++++++++----------
 po/nb.po          |  988 +++++++++----------
 po/nl.po          |  988 +++++++++----------
 po/nn.po          |  988 +++++++++----------
 po/oc.po          |  984 +++++++++----------
 po/or.po          |  984 +++++++++----------
 po/pa.po          |  984 +++++++++----------
 po/pl.po          |  988 +++++++++----------
 po/pt.po          |  988 +++++++++----------
 po/pt_BR.po       | 1060 ++++++++++----------
 po/ro.po          |  988 +++++++++----------
 po/ru.po          | 1025 +++++++++----------
 po/sk.po          |  988 +++++++++----------
 po/sl.po          | 1020 +++++++++----------
 po/sq.po          |  988 +++++++++----------
 po/sr.po          | 2279 +++++++++++++++++++++----------------------
 po/sr@latin.po    |  984 +++++++++----------
 po/sv.po          | 1104 ++++++++++-----------
 po/ta.po          |  984 +++++++++----------
 po/te.po          |  984 +++++++++----------
 po/th.po          |  984 +++++++++----------
 po/tr.po          | 1932 ++++++++++++++++++------------------
 po/uk.po          |  988 +++++++++----------
 po/vi.po          |  988 +++++++++----------
 po/wa.po          |  984 +++++++++----------
 po/zh_CN.po       |  988 +++++++++----------
 po/zh_HK.po       |  984 +++++++++----------
 po/zh_TW.po       | 1024 +++++++++----------
 69 files changed, 37758 insertions(+), 34404 deletions(-)

commit c136fc2578aa8f7c0e098008da18d324033eb991 (tag: Release-1-4)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 5 15:28:41 2015 +0100

    1.4

 NEWS         | 27 +++++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 28 insertions(+), 1 deletion(-)

commit b74a0cd3ef6a8cacd83ef43ff4814fff763c52f5
Author: Al Thomas <astavale@yahoo.co.uk>
Date:   Thu May 1 17:51:42 2014 +0100

    Add text/x-genie mime type for Genie source code
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20783

 freedesktop.org.xml.in |  6 ++++++
 tests/list             |  2 ++
 tests/test.gs          | 11 +++++++++++
 3 files changed, 19 insertions(+)

commit 440a4c6b864de477844eaae83dba3c3886e0e64f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 5 15:17:36 2015 +0100

    Fix warning when compiling without fdatasync support
    
    https://bugs.freedesktop.org/show_bug.cgi?id=74872

 update-mime-database.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit ff81cd492349af264439601d64b5a8c1cc8330f5
Author: David Faure <faure@kde.org>
Date:   Sun Feb 1 21:29:34 2015 +0100

    Associate *.qmltypes and *.qmlproject files with the text/x-qml mime type
    
    https://git.reviewboard.kde.org/r/122330/

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 2a82916e00e5541bc163c56de87d03c42c8a31b3
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Thu Dec 4 17:12:14 2014 -0700

    Make application/pgp-encrypted a subclass of text/plain
    
    https://bugs.freedesktop.org/show_bug.cgi?id=87018

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 29c2eab964cfd8c45fd8a7f5d8407bbc94222095
Author: Carnë Draug <carandraug+dev@gmail.com>
Date:   Wed Jan 21 17:45:51 2015 +0000

    New mimetype for SCons scripts as subclass of x-python.
    
    Scons is a build-system whose recipes/build rules are python scripts.
    As such its files are also valid python scripts (why it is subclassing
    x-python). The configuration files are pretty much always named
    "SConstruct". In addition, "SConscript" files can also exist to extend
    an existing SConstruct file.  They can be named anything but by convention
    they are named SConscript or SConscript.build_name.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=87920

 freedesktop.org.xml.in     |    7 +
 tests/SConscript           |  663 +++++++++++++++++++++
 tests/SConscript.buildinfo |   67 +++
 tests/SConstruct           | 1379 ++++++++++++++++++++++++++++++++++++++++++++
 tests/list                 |    8 +
 5 files changed, 2124 insertions(+)

commit f28c188f7dd568081f8738d62f645c56a1bf8219
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Dec 21 00:26:45 2014 +0200

    Use IANA registered text/markdown for Markdown
    
    http://www.iana.org/assignments/media-types/text/markdown

 freedesktop.org.xml.in | 3 ++-
 tests/list             | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit b1bb71cf1de79a877a29bb9aff22a367e8768381
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Thu Oct 30 12:16:56 2014 +0000

    Add magic for ODB files
    
    Fixes ODB file association being missing in dolphin
    
    See https://bugzilla.redhat.com/1158778
    https://bugs.freedesktop.org/show_bug.cgi?id=85645

 freedesktop.org.xml.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit 56576c0722309f50f480d21603475d78fc5d5522
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 24 10:38:36 2014 +0200

    Rename "Microsoft icon" to "Windows icon"
    
    The cursors are from "Windows" and MacOS X icons also use the OS name,
    not the vendor's name. This also makes the name match with gdk-pixbuf's
    naming.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6f4f79ea50faab0cda0c6fff94ddce2ede545f01
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 21 17:25:35 2014 +0200

    Updated translations

 po/ar.po          |    2 +-
 po/as.po          |    2 +-
 po/az.po          |    2 +-
 po/bg.po          |    2 +-
 po/bn_IN.po       |    2 +-
 po/ca.po          |   42 +-
 po/ca@valencia.po |    2 +-
 po/cs.po          |    2 +-
 po/cy.po          |    2 +-
 po/da.po          |    2 +-
 po/de.po          |   51 +-
 po/el.po          | 1343 +++++++++++++++++++++++++++--------------------------
 po/en_GB.po       |   42 +-
 po/eo.po          |    2 +-
 po/es.po          |   46 +-
 po/eu.po          |   42 +-
 po/fa.po          |    2 +-
 po/fi.po          |    2 +-
 po/fo.po          |    2 +-
 po/fr.po          |   41 +-
 po/ga.po          |    2 +-
 po/gl.po          |    2 +-
 po/gu.po          |    2 +-
 po/he.po          |  210 ++++-----
 po/hi.po          |    2 +-
 po/hr.po          |    2 +-
 po/hu.po          |    2 +-
 po/ia.po          |    2 +-
 po/id.po          |   42 +-
 po/it.po          |   42 +-
 po/ja.po          |    2 +-
 po/ka.po          |    2 +-
 po/kk.po          |   40 +-
 po/kn.po          |    2 +-
 po/ko.po          |   42 +-
 po/lt.po          |    2 +-
 po/lv.po          |    2 +-
 po/ml.po          |    2 +-
 po/mr.po          |    2 +-
 po/ms.po          |    2 +-
 po/nb.po          |    2 +-
 po/nl.po          |    2 +-
 po/nn.po          |    2 +-
 po/oc.po          |    2 +-
 po/or.po          |    2 +-
 po/pa.po          |    2 +-
 po/pl.po          |   42 +-
 po/pt.po          |    2 +-
 po/pt_BR.po       |   68 +--
 po/ro.po          |    2 +-
 po/ru.po          |    2 +-
 po/sk.po          |    2 +-
 po/sl.po          |   12 +-
 po/sq.po          |    2 +-
 po/sr.po          |    2 +-
 po/sr@latin.po    |    2 +-
 po/sv.po          |    2 +-
 po/ta.po          |    2 +-
 po/te.po          |    2 +-
 po/th.po          |    2 +-
 po/tr.po          |    2 +-
 po/uk.po          |   42 +-
 po/vi.po          |    2 +-
 po/wa.po          |    2 +-
 po/zh_CN.po       |   41 +-
 po/zh_HK.po       |    2 +-
 po/zh_TW.po       |    2 +-
 67 files changed, 1148 insertions(+), 1140 deletions(-)

commit f3fea91ce8b7b5ca1c6e1776882268e8b2e217fa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 21 17:21:56 2014 +0200

    Add image/x-tiff-multipage mime-type
    
    It's a fake mime-type that can be used by applications using a simple
    image loader (such as gdk-pixbuf) to find other applications capable of
    opening multi-page TIFF images.
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=335959

 freedesktop.org.xml.in | 6 ++++++
 1 file changed, 6 insertions(+)

commit 0d005b725e13e13c1098bb3e977b7942d507afb0
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Sep 10 22:09:25 2014 +0300

    Add support for zlib archives, RFC 6713

 freedesktop.org.xml.in |   5 +++++
 tests/list             |   2 ++
 tests/test.zz          | Bin 0 -> 13 bytes
 3 files changed, 7 insertions(+)

commit 5b32a82f2a32f287232772edd0fd7c86cc3e9031
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Sep 10 21:37:29 2014 +0300

    Add qpress archive support
    
    http://www.quicklz.com/

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   2 ++
 tests/test.qp          | Bin 0 -> 74 bytes
 3 files changed, 10 insertions(+)

commit f8f6a99652ca537a6473cac097e906bf9dee3267
Author: Fayvel Victor <fayvel@web.de>
Date:   Fri Sep 5 19:31:00 2014 +0000

    Add Nintendo 64 ROM magic
    
    And support more globs.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=83545

 freedesktop.org.xml.in  |  10 ++++++++++
 tests/list              |   3 +++
 tests/m64p_test_rom.n64 | Bin 0 -> 1048576 bytes
 tests/m64p_test_rom.v64 | Bin 0 -> 1048576 bytes
 tests/m64p_test_rom.z64 | Bin 0 -> 1048576 bytes
 5 files changed, 13 insertions(+)

commit 530e26bf16fa252034051c6e99e2915301d71c64
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Sep 3 00:33:35 2014 +0300

    Flip application/smil+xml and application/smil type/alias
    
    /smil is obsoleted by /smil+xml.

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 92f2ec12664d6750de59359a759c8e910c1272e5
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Tue Aug 12 06:12:38 2014 -0600

    Make application/x-wais-source a subclass of text/plain
    
    https://bugs.freedesktop.org/show_bug.cgi?id=82511

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 9d66fc04a9cf5f7391fafe7ef8e4495f54b47ed5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 5 11:58:46 2014 +0200

    po: Add more languages to LINGUAS

 po/LINGUAS | 8 ++++++++
 1 file changed, 8 insertions(+)

commit f9f85dacf23eaf6e2333ad3d722b219d1845e160
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 5 11:57:03 2014 +0200

    po: Add missing files

 po/as.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/gu.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/kn.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ml.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/mr.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/oc.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/or.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ta.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/th.po | 2802 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 25218 insertions(+)

commit 69f2a37fcfb1cfba70fe84453b3217796a234e8d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 5 11:27:42 2014 +0200

    Remove obsolete application/x-gmc-link mime-type
    
    application/x-gmc-link was added to nautilus from gmc, then to
    gnome-mime-data, then to shared-mime-info. It's an internal type
    to gmc, and should be re-added there if necessary.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=82172

 freedesktop.org.xml.in | 7 -------
 1 file changed, 7 deletions(-)

commit 6447d1cc5e4b87573054d37e6b0b3b5587825b8a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 5 11:27:25 2014 +0200

    po: Add missing LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit eecea74886d18d6307faa2d6966c19c0fa204a93
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 22 02:13:50 2014 +0200

    Updated translations from Transifex

 po/ar.po          | 2882 +++++++++++++++++++++++++++-------------------------
 po/az.po          | 2061 +++++++++++++++++++------------------
 po/bg.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/bn_IN.po       | 1591 +++++++++++++++--------------
 po/ca.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/ca@valencia.po | 1591 +++++++++++++++--------------
 po/cs.po          | 2903 +++++++++++++++++++++++++++-------------------------
 po/cy.po          | 2099 ++++++++++++++++++++------------------
 po/da.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/de.po          | 2898 +++++++++++++++++++++++++++-------------------------
 po/el.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/en_GB.po       | 2894 +++++++++++++++++++++++++++-------------------------
 po/eo.po          | 2739 ++++++++++++++++++++++++++------------------------
 po/es.po          | 2896 +++++++++++++++++++++++++++-------------------------
 po/eu.po          | 2892 +++++++++++++++++++++++++++-------------------------
 po/fa.po          | 1593 +++++++++++++++--------------
 po/fi.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/fo.po          | 2871 +++++++++++++++++++++++++++-------------------------
 po/fr.po          | 2896 +++++++++++++++++++++++++++-------------------------
 po/ga.po          | 2887 +++++++++++++++++++++++++++-------------------------
 po/gl.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/he.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/hi.po          | 1591 +++++++++++++++--------------
 po/hr.po          | 2819 ++++++++++++++++++++++++++-------------------------
 po/hu.po          | 2896 +++++++++++++++++++++++++++-------------------------
 po/ia.po          | 2730 +++++++++++++++++++++++++------------------------
 po/id.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/it.po          | 2896 +++++++++++++++++++++++++++-------------------------
 po/ja.po          | 2896 +++++++++++++++++++++++++++-------------------------
 po/ka.po          | 2263 +++++++++++++++++++++--------------------
 po/kk.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/ko.po          | 2905 ++++++++++++++++++++++++++++-------------------------
 po/lt.po          | 2887 +++++++++++++++++++++++++++-------------------------
 po/lv.po          | 2897 +++++++++++++++++++++++++++-------------------------
 po/ms.po          | 2385 ++++++++++++++++++++++---------------------
 po/nb.po          | 2843 ++++++++++++++++++++++++++-------------------------
 po/nl.po          | 2895 +++++++++++++++++++++++++++-------------------------
 po/nn.po          | 2855 +++++++++++++++++++++++++++-------------------------
 po/pa.po          | 1591 +++++++++++++++--------------
 po/pl.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/pt.po          | 2385 ++++++++++++++++++++++---------------------
 po/pt_BR.po       | 2898 +++++++++++++++++++++++++++-------------------------
 po/ro.po          | 2887 +++++++++++++++++++++++++++-------------------------
 po/ru.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/sk.po          | 2881 +++++++++++++++++++++++++++-------------------------
 po/sl.po          | 2894 +++++++++++++++++++++++++++-------------------------
 po/sq.po          | 2855 +++++++++++++++++++++++++++-------------------------
 po/sr.po          | 2393 ++++++++++++++++++++++---------------------
 po/sr@latin.po    | 1591 +++++++++++++++--------------
 po/sv.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/te.po          | 1593 +++++++++++++++--------------
 po/tr.po          | 2294 ++++++++++++++++++++++--------------------
 po/uk.po          | 2893 +++++++++++++++++++++++++++-------------------------
 po/vi.po          | 2875 +++++++++++++++++++++++++++-------------------------
 po/wa.po          | 1591 +++++++++++++++--------------
 po/zh_CN.po       | 2896 +++++++++++++++++++++++++++-------------------------
 po/zh_HK.po       | 1593 +++++++++++++++--------------
 po/zh_TW.po       | 2897 +++++++++++++++++++++++++++-------------------------
 58 files changed, 79233 insertions(+), 71951 deletions(-)

commit 0c38fba9269fadf088116d7cab263ed551eea04f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 22 02:13:05 2014 +0200

    build: Update Transifex configuration
    
    s/.net/.com/

 .tx/config | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6ff73680aafd721dd4f5affaab86e08b3976bb50
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 19 20:12:28 2014 +0300

    video/vnd.vivo: Use IANA registered /vnd.vivo as type and /vivo as alias

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit d10b5d2c655106e0d08e196f0b3973b41b73401a
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 19 17:09:29 2014 +0300

    application/x-docbook+xml: Add *.dbk glob

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 1111560394d89c31318333747dedc4592f8666e1
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 19 17:07:02 2014 +0300

    Use our spec as DocBook test case

 tests/list | 1 +
 1 file changed, 1 insertion(+)

commit 93d5a4eaa383a8d35eea9dc339fdb36941afacf7
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 19 16:53:22 2014 +0300

    spec: s/brackeds/brackets/ spelling fix

 shared-mime-info-spec.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 29a04be6c9cbaf0865c8b57428b7b7c37fbda4c3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 27 18:25:57 2014 +0200

    Add "-n" option to update-mime-database
    
    When "-n" is passed, the cache will only be updated if
    $MIME_DIR/packages or one of the files in that directory is newer
    than $MIME_DIR/version.
    
    This is useful for package pre- and post-installation scripts.

 update-mime-database.1 |  7 +++++++
 update-mime-database.c | 10 +++++++---
 2 files changed, 14 insertions(+), 3 deletions(-)

commit 4b3f9f774da8859d4f1f7e991b12832d6c09b63e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 27 16:57:08 2014 +0200

    Skip mime database update if packages are older than cache
    
    Check for the mtime of the version file, the last one to be created when
    updating the database to see against the mtime of the newest packages
    file.
    
    If one of the files inside the packages directory is newer than the
    version file, really update the database.

 update-mime-database.c | 61 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

commit a936f399ecdee8842e46b4d2f40087e62f4599d4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 27 15:45:39 2014 +0200

    Fix PageMaker test

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f8ed2998bffe481ab267d20dc2b641acbffbf021
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 27 15:44:17 2014 +0200

    Remove the Apple iOS PNG variant
    
    This added a stat and magic check for each and every PNG file around.
    
    This is particularly a problem for the icon cache, as each PNG file
    in a theme would end up being checked for which one of the variants
    it was.

 freedesktop.org.xml.in |   9 ---------
 tests/list             |   1 -
 tests/test-apple.png   | Bin 10872 -> 0 bytes
 3 files changed, 10 deletions(-)

commit fc6c6ef3bb08a466bc22c298e4b43cd6dfce40e8
Author: David Tardon <dtardon@redhat.com>
Date:   Fri Jun 27 10:46:04 2014 +0200

    Add support for Adobe PageMaker
    
    https://bugs.freedesktop.org/show_bug.cgi?id=80591

 freedesktop.org.xml.in |  10 ++++++++++
 tests/list             |   1 +
 tests/test.pmd         | Bin 0 -> 30208 bytes
 3 files changed, 11 insertions(+)

commit a8e7904b8c15b54f5afc5781751f2d0a87f0bc4a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 27 15:14:05 2014 +0200

    More OTF font mime-type changes
    
    To fix the test suite, remove the magic from the OTF font, and make OTF
    a sub-class of TTF fonts. It's basically the same format, extended with
    more features.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f7683bfcbecbeffa802a1c361e1842db2fff4f8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 25 17:25:50 2014 +0200

    Disable fdatasync() usage if PKGSYSTEM_ENABLE_FSYNC is set
    
    If the PKGSYSTEM_ENABLE_FSYNC envvar is set to a non-zero value,
    the fdatasync() call will be skipped, at the expense of data integrity.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70366

 update-mime-database.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit fd48920cf82402a95f658cab93db0cf3786c4d6e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jun 25 17:23:50 2014 +0200

    Split out fdatasync() usage

 update-mime-database.c | 38 ++++++++++++++++++++++++--------------
 1 file changed, 24 insertions(+), 14 deletions(-)

commit b7154bbd3baa6ae28cd06b7f7b13f4a26b6cc03a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 23 16:32:36 2014 +0200

    Add another magic for OTF fonts
    
    "Version 1.0" as magic, as per:
    http://www.microsoft.com/typography/otspec/otff.htm
    It matches what we use for TTF fonts, but they should be differentiated
    by suffix already.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=80276

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 41ab743d40f9f9a64c2b8be22b93bab1ed1c21f7
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri May 23 19:50:58 2014 +0300

    Add deb test case

 tests/debian-goodies_0.63_all.deb | Bin 0 -> 71002 bytes
 tests/list                        |   2 ++
 2 files changed, 2 insertions(+)

commit 497f4a08cbac199d1d3d03b4a4692d7b5ddd665b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri May 23 19:49:50 2014 +0300

    Use IANA registered application/vnd.debian.binary-package for Debian packages

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 167ff72d1f78e0979f1aee93926d6b002b7d67ad
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri May 23 19:44:40 2014 +0300

    Fix application/x-partial-download generic-icon validity

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 66b1fd91a39e4696d5139836b448389a9deba833
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 16 00:40:36 2014 +0200

    Add mime-type for partially downloaded files
    
    Add application/x-partial-download mime-type for partially downloaded
    files so that thumbnailers do not attempt to thumbnail them before
    they are finished downloading.

 freedesktop.org.xml.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit acbec1094e68ea176e82c3a6a0a4f9fc4904c64e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 15 10:43:36 2014 +0200

    Add glob for low-resolution videos from GoPro
    
    GoPro cameras will capture both the full resolution video as well as a
    lower-resolution video (*.lrv). Recognise that as an MP4 video as well.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 9e46e73c60d129a2367eb715ae55d9f503c26074 (tag: Release-1-3)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 8 14:50:50 2014 +0200

    1.3

 NEWS         | 23 +++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 24 insertions(+), 1 deletion(-)

commit bbc47d00112526c2c409e72e9f4d38cc3a311bf8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 2 11:41:42 2014 +0200

    Add missing *.jsm test case file
    
    Was missing from the earlier commit.

 tests/Utils.jsm | 498 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 498 insertions(+)

commit 8ecd4d643abc915d70db6fab46b17d32dfe64360
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Apr 2 11:38:01 2014 +0200

    Remove *.CSSL glob for CSS files
    
    It was probably meant to be *.CSS1 (one, not "L") which got badly
    transposed when the KDE and GNOME databases were merged more than
    10 years ago.
    
    As nobody seems to have missed *.CSS1 and *.CSSL is wrong, remove it.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76940

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 1c302e1cf2db02c4262bcb6501b337a2c9ea09fd
Author: Gordon P. Hemsley <me@gphemsley.org>
Date:   Wed Jan 15 00:56:55 2014 -0500

    JavaScript and CSS are not subclasses of text/x-csrc
    
    and add test files for CSS.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73648

 freedesktop.org.xml.in |   4 +-
 tests/html4.css        |  78 ++++++++
 tests/html5.css        | 507 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/list             |   4 +
 4 files changed, 591 insertions(+), 2 deletions(-)

commit 7f0731f461cbdd980c6b9312d60a515f29ae23d2
Author: Ben Pfaff <blp@cs.stanford.edu>
Date:   Fri Nov 15 07:13:00 2013 +0000

    Add magic and glob patterns for compressed x-spss-sav files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=71632

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit a6d00cedc6eafe9af825f3f4267f27abfff65baa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Apr 1 10:11:32 2014 +0200

    Add *.jsm glob for Javascript
    
    As used in Gecko/Firefox related projects.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=75031

 freedesktop.org.xml.in | 1 +
 tests/list             | 2 ++
 2 files changed, 3 insertions(+)

commit 3805d0bcf22b6344fb4a4a36ad4e15e30d17b624
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 31 16:22:33 2014 +0200

    Store MEDIA/SUBTYPE.xml files in lowercase
    
    RFC 2045 says that MIME type names (e.g. text/plain) are
    case-insensitive. Most are written by convention in lowercase, although
    there are a few exceptions currently in the freedesktop.org.xml
    database.
    
    Store the separate mime files as lower-case to make them easily findable
    (eg. the synonymous application/vnd.*macroEnabled* and *macroenabled*
    mime-type should have the same filename).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=62473

 update-mime-database.c | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit acb7222ada2ad165a84d0bd33f2af1a93b43d3a8
Author: Gordon P. Hemsley <me@gphemsley.org>
Date:   Tue Jan 14 23:18:50 2014 -0500

    Add JSON mime-type
    
    As application/json.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73646

 freedesktop.org.xml.in |  8 ++++++++
 tests/json_array.json  | 22 ++++++++++++++++++++++
 tests/json_object.json | 13 +++++++++++++
 tests/list             |  3 +++
 4 files changed, 46 insertions(+)

commit ffbe705bb4035c8511df341005125933cb91b9ee
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 31 15:54:19 2014 +0200

    Add application/x-riff mime-type
    
    And make it steal audio/x-riff magic. RIFF is a container format,
    not an audio format, so any type of data could be contained in RIFF.
    
    See also http://en.wikipedia.org/wiki/Resource_Interchange_File_Format

 freedesktop.org.xml.in | 3 +++
 1 file changed, 3 insertions(+)

commit 2143958c0ddcbaf0e4c68c2c49106399cdd60625
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 31 15:38:10 2014 +0200

    Remove image/x-webp alias
    
    It was only defined for a couple of weeks, and only within
    shared-mime-info, no need to keep it.

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 721c7e33cfdfe35d85de44bc68e1f1c8629fec4f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Mar 31 15:36:40 2014 +0200

    Switch WebP mime-type and alias around
    
    The request for a WebP mime-type was made with the IANA, but still
    not processed to this day. It's unlikely that the mime-type ever
    be rejected, so add image/webp as the main mime-type.

 freedesktop.org.xml.in | 4 ++--
 tests/list             | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit e89ec55272a45500ce99361d1aeda83de1ba4c79
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Tue Jan 14 01:48:20 2014 -0700

    Prefer application/vnd.ms-asf to video/x-ms-asf
    
    https://bugs.freedesktop.org/show_bug.cgi?id=73597

 freedesktop.org.xml.in | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 7612a110f9a42db4730a8c6d1fff6d78c899d53d
Author: Igor Murzov <e-mail@date.by>
Date:   Sun Mar 31 02:54:27 2013 +0400

    Add image/x-webp mime-type
    
    Magic information from:
    https://developers.google.com/speed/webp/docs/riff_container#webp-file-header
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41155

 freedesktop.org.xml.in |  10 ++++++++++
 tests/list             |   1 +
 tests/test.webp        | Bin 0 -> 244 bytes
 3 files changed, 11 insertions(+)

commit b067788e51cd5498944e85f707300fee9f2d1b32
Author: Igor Murzov <e-mail@date.by>
Date:   Sun Mar 31 11:30:11 2013 +0400

    Add audio/x-opus+ogg mime-type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=63106

 freedesktop.org.xml.in |  11 +++++++++++
 tests/list             |   1 +
 tests/test.opus        | Bin 0 -> 7174 bytes
 3 files changed, 12 insertions(+)

commit 4b0bc62b3e50f25d0ef42950e0b715274637c548
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 19 15:48:58 2014 +0100

    Add PC Engine, GameCube and Wii "ROM" types
    
    The different types of Wii disc images are merged into one, as
    there's likely no difference between support one and all for the
    majority of applications.
    
    Magic for Wii and GameCube images from:
    http://wit.wiimm.de/download/magic.txt

 freedesktop.org.xml.in | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

commit 0412d9ceda5ff94a7eb2159b6d5eaa31a1c81426
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Jan 19 15:47:54 2014 +0100

    tests: Make iso-file.iso a real ISO file
    
    Instead of an empty one. That's the first 1k of a Fedora 20
    nightly image.

 tests/iso-file.iso | Bin 0 -> 1024 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 62345c56c9e2e582dbe00cc1b19e86930fe00863
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jan 5 15:18:34 2014 +0200

    Add LZ4 archive type
    
    http://fastcompression.blogspot.com/2013/04/lz4-streaming-format-final.html

 freedesktop.org.xml.in |   9 +++++++++
 tests/list             |   2 ++
 tests/test.lz4         | Bin 0 -> 25 bytes
 3 files changed, 11 insertions(+)

commit e4d7715f3c3b77b4eec4e89299f0235202ecd0d4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Dec 22 17:19:40 2013 +0100

    Add magic for the Kindle e-book reader

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 4f33cfd52a4a794f9dfeb2e53b788780d5d3f1c5
Author: Jérémy Bobbio <lunar@debian.org>
Date:   Wed Oct 16 11:12:28 2013 +0200

    Do not recognize all .asc files as application/pgp-encrypted
    
    The change introduced in 2c3438c had the unfortunate effect of having all .asc
    be identified as application/pgp-encrypted. As this should only happen when
    we can identify armor headers, we now give a lower weight than text/plain to
    the *.asc glob for OpenPGP MIME types.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70539

 freedesktop.org.xml.in | 6 +++---
 tests/list             | 3 ++-
 2 files changed, 5 insertions(+), 4 deletions(-)

commit fe0ce0f210bdd39bcba1d6301e535ab29fc94b91
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Dec 11 14:07:39 2013 +0100

    add mimetype for compressed FictionBook2
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45795

 freedesktop.org.xml.in                             |  11 +++++++++++
 tests/Stallman_Richard_-_The_GNU_Manifesto.fb2.zip | Bin 0 -> 38810 bytes
 tests/list                                         |   1 +
 3 files changed, 12 insertions(+)

commit e8d528ac1c500c3a47fdad308952c377c7439f6a
Author: David Tardon <dtardon@redhat.com>
Date:   Wed Nov 20 11:23:40 2013 +0100

    add Apple Keynote 5 mime-type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=71827

 freedesktop.org.xml.in |  13 +++++++++++++
 tests/list             |   1 +
 tests/test.key         | Bin 0 -> 2210138 bytes
 3 files changed, 14 insertions(+)

commit 41f1d5ff2672c30d7f86759e2398b75c88673516
Author: Thomas Klausner <tk@giga.or.at>
Date:   Thu Oct 17 04:35:00 2013 +0000

    Open the fdatasync() fd read/write
    
    Otherwise it will fail for stricter OSes like NetBSD.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70559

 update-mime-database.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2397314542265405498ea8c82121c174ed9011a5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Oct 9 22:09:56 2013 +0200

    test: Call g_type_init() with older glib
    
    Only call g_type_init() when compiling against an older glib.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70255

 test-tree-magic.c | 3 +++
 1 file changed, 3 insertions(+)

commit 01e9a5a924a9f382f5e75acd5980a2e058c6ce08
Author: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
Date:   Sun Oct 6 22:43:08 2013 +0200

    Add Aliases for OpenOffice Base and StarWriter
    
    https://bugs.freedesktop.org/show_bug.cgi?id=70016

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 8176c639e18ab5a66a691a3f78a4b9e1077b2c9d (tag: Release-1-2)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 30 12:17:09 2013 +0200

    1.2

 NEWS         | 25 +++++++++++++++++++++++++
 configure.ac |  2 +-
 2 files changed, 26 insertions(+), 1 deletion(-)

commit 9d8849fa72720b458171acbcbcc13696f983d134
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 30 12:03:46 2013 +0200

    Correct JPEG2000 definition
    
    *.jpc and *.j2k relate to JPEG 2000 codestreams, not to JPEG 2000
    images, so remove those globs.
    
    Remove the jP magic, as it creates false positives (and add a test for
    that). Also add the jp2 string magic.
    
    With help from Steve Fosdick <other@fosdick.me.uk>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=11942

 freedesktop.org.xml.in |   7 ++++---
 tests/img_5304.jpg     | Bin 0 -> 102400 bytes
 tests/list             |   3 ++-
 tests/test.jpc         | Bin 1089 -> 0 bytes
 4 files changed, 6 insertions(+), 4 deletions(-)

commit 99446c516c178a888ac9550c8eca241c0dac2ae2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 30 11:19:49 2013 +0200

    Add Microsoft Publisher mime-type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=64946

 freedesktop.org.xml.in |   5 +++++
 tests/TS010082249.pub  | Bin 0 -> 1349120 bytes
 tests/list             |   2 ++
 3 files changed, 7 insertions(+)

commit 9ee0977d94521ab1d4235df4793d0fd15491d1a0
Author: Friedrich W. H. Kossebau <kossebau@kde.org>
Date:   Wed Jul 24 22:45:25 2013 +0200

    Add more aliases for image/vnd.adobe.photoshop
    
    https://bugs.freedesktop.org/show_bug.cgi?id=67275

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit eb6a25ddfd833070e83c946a636dab8fde80f00d
Author: Jérémy Bobbio <lunar@debian.org>
Date:   Wed Sep 25 09:54:21 2013 +0200

    OpenPGP clear text signatures aren't application/pgp-signature
    
    RFC 3156 do not define the application/pgp-signature MIME type as
    covering clear text signatures. We should not recognize clear text
    signatures armor header as such.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=69794

 freedesktop.org.xml.in | 1 -
 tests/list             | 3 ++-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a6bdb6a198f8f9fe4153f72e5b4d10e1b5057c3e
Author: Salve J. Nilsen <sjn-bugs.freedesktop.org@pvv.org>
Date:   Tue Apr 16 17:24:00 2013 +0000

    Improve Perl detection
    
    https://bugs.freedesktop.org/show_bug.cgi?id=63612

 freedesktop.org.xml.in | 15 ++++++++++++++-
 tests/list             |  4 ++++
 tests/test.pl          |  7 +++++++
 tests/test.pm          |  9 +++++++++
 tests/test.t           | 16 ++++++++++++++++
 5 files changed, 50 insertions(+), 1 deletion(-)

commit 7978a04f5b61f9e3b329056e65778a4ccbd8253c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 30 10:30:49 2013 +0200

    Remove *.ogv as a glob for Theora videos
    
    As we can't be certain that it is actually Theora video (could be
    VP8 video as well). *.ogv is still associated with the more generic
    video/ogg mime-type.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53376

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 1cc03c34aa72892e5743c92aadcd829bde71ef06
Author: Vincent Torri <vincent.torri@gmail.com>
Date:   Sat Feb 23 09:56:54 2013 +0100

    Simplify autogen.sh
    
    By using autoreconf
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61334

 autogen.sh | 56 ++++----------------------------------------------------
 1 file changed, 4 insertions(+), 52 deletions(-)

commit e6212c7e359005d524233831362a398dcba9b527
Author: Vincent Torri <vincent.torri@gmail.com>
Date:   Fri Feb 22 18:02:58 2013 +0100

    rename INCLUDES to AM_CPPFLAGS
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61334

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ce867fca5eed5fe875d9c469f29331de06297d8a
Author: Vincent Torri <vincent.torri@gmail.com>
Date:   Fri Feb 22 18:00:22 2013 +0100

    rename configure.in to configure.ac. Future release of autoconf will not support this name anymore.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61334

 configure.ac | 79 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in | 79 ------------------------------------------------------------
 2 files changed, 79 insertions(+), 79 deletions(-)

commit 467e74cd2ce85beb797265b532326c6e8c608ddf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 30 10:15:14 2013 +0200

    Fix shebang detection for scripts
    
    We should look from the 3rd character, not the 2nd one, as shebang
    has 2 characters already ("#" and "!").

 freedesktop.org.xml.in | 46 +++++++++++++++++++++++-----------------------
 1 file changed, 23 insertions(+), 23 deletions(-)

commit 196b9ac1ed11b4bbb90ae247cb0a819c52aa814f
Author: Vadim A. Misbakh-Soloviov <mva@mva.name>
Date:   Mon Jun 3 15:19:12 2013 +0700

    Fix shell shebangs
    
    Signed-off-by: Vadim A. Misbakh-Soloviov <mva@mva.name>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65284

 freedesktop.org.xml.in | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit 91f4963189a413b8e486b14215caae107560dce1
Author: Vadim A. Misbakh-Soloviov <mva@mva.name>
Date:   Mon Jun 3 15:16:28 2013 +0700

    Fix lua shebangs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65284

 freedesktop.org.xml.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit d12cce6794fff5f023c020072b7b51b93463d464
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Sep 12 15:08:41 2013 +0300

    Use application/vnd.nintendo.snes.rom for SNES ROMs, associate *.sfc with them.
    
    http://www.iana.org/assignments/media-types/application/vnd.nintendo.snes.rom

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 822d298b3fad0b453c8b6e79f15f34ae44c8afc7
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Sep 12 15:08:23 2013 +0300

    Add SWF test case.

 tests/list          |   2 ++
 tests/subshapes.swf | Bin 0 -> 153 bytes
 2 files changed, 2 insertions(+)

commit 2d385ff07eae60f9d92bf932ed7e95fa94dc276d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Sep 12 14:50:11 2013 +0300

    Use application/vnd.adobe.flash.movie for SWF.
    
    http://www.iana.org/assignments/media-types/application/vnd.adobe.flash-movie

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 7a1402b414e8e9d875d08478649a8ea4aaa36b1f
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue Aug 6 23:20:37 2013 +0300

    Add video/x-matroska-3d.
    
    http://matroska.org/technical/specs/notes.html#MIME

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 33bce05a5fed6ca8d85ff4c7e0205c9a1ed32e25
Author: David Zeuthen <zeuthen@gmail.com>
Date:   Fri Jul 26 12:51:17 2013 -0700

    Add MIME types for raw disk images
    
    https://bugs.freedesktop.org/show_bug.cgi?id=64845

 freedesktop.org.xml.in       |  12 ++++++++++++
 tests/disk.img               |   0
 tests/disk.img.xz            | Bin 0 -> 32 bytes
 tests/disk.raw-disk-image    |   0
 tests/disk.raw-disk-image.xz | Bin 0 -> 32 bytes
 tests/iso-file.iso           |   0
 tests/list                   |   7 +++++++
 7 files changed, 19 insertions(+)

commit 2c3438c42638bc223430661dd13c08bff93da27c
Author: Jérémy Bobbio <lunar@debian.org>
Date:   Wed Jun 12 14:04:50 2013 +0000

    Add missing globs and tests for OpenPGP files
    
    Unfortunately, it looks very hard to differentiate between various OpenPGP
    (RFC 4880) packets in binary form. Most files end up getting compressed packets
    (e.g. 0x88 as first byte) and then more logic is needed to determine what the
    content might be about.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=65679

 freedesktop.org.xml.in      |   6 +
 tests/COPYING-clearsign.asc | 351 ++++++++++++++++++++++++++++++++++++++++++++
 tests/COPYING-encrypted.asc | 152 +++++++++++++++++++
 tests/COPYING.asc           |   9 ++
 tests/list                  |   7 +
 tests/test-public-key.asc   |  20 +++
 tests/test-secret-key.asc   |  35 +++++
 tests/test-secret-key.skr   | Bin 0 -> 1420 bytes
 8 files changed, 580 insertions(+)

commit 744b0932d5ba805bd204c3f68f6c29db0ddc28d8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Jul 13 14:24:51 2013 +0200

    Add another magic match for EPub books

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit fa888e520e6d2a27b579dc0dfa39b6094dacf314
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jul 10 00:10:25 2013 +0200

    Add magic for Kobo e-book reader

 freedesktop.org.xml.in | 3 +++
 1 file changed, 3 insertions(+)

commit 0c41ac819d483b3de89de1c2e58cdfbcf1f0f3c7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 5 13:41:56 2013 +0100

    Lower the priority of the *png glob on Apple PNGs
    
    Those broken PNGs should have lower priority for their glob than
    the real PNGs.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit a9f20e910e2801c6f6a87aa721e6ef2f33196b19
Author: Matěj Cepl <mcepl@redhat.com>
Date:   Thu Feb 28 13:22:21 2013 +0100

    Added *.pyx as Pyrex/Cython variant of text/x-python
    
    See http://www.cython.org for more about Cython.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61578

 freedesktop.org.xml.in |  1 +
 tests/list             |  1 +
 tests/test.pyx         | 17 +++++++++++++++++
 3 files changed, 19 insertions(+)

commit 408eded55c3e13e4c00762e7e2b0744071bbf9eb
Author: Matěj Cepl <mcepl@redhat.com>
Date:   Thu Feb 28 13:55:50 2013 +0100

    Added a Python test
    
    For text/x-python
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61617

 tests/list    |  2 ++
 tests/test.py | 19 +++++++++++++++++++
 2 files changed, 21 insertions(+)

commit 5ad3a14abde7b5070d5dc887f33973ea5ae3c38a
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Feb 28 18:37:45 2013 +0200

    Use IANA registered application/sql type for SQL.

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a9fe0fae0c63cfc7fcc3d3191c0e982768d3c399
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 27 11:16:18 2013 +0100

    build: Align error message border

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ae160475e478377b0c0170da6a24278c4179646b
Author: Colin Walters <walters@verbum.org>
Date:   Tue Feb 26 12:38:38 2013 -0500

    Don't use access() to check for writability
    
    The gnome-ostree build system uses a FUSE mount to access disk images
    as non-root.  The files appear to be owned by root, but are actually
    modifable by the build user.  Unfortunately, the access() system call
    is unaware of this, and will error out.
    
    An earlier patch changed the xml save error to write out a "please
    run me as root" notification, so we'll still have the hint.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61472

 update-mime-database.c | 7 -------
 1 file changed, 7 deletions(-)

commit bc7658182f1922d49f33acf614f408a9d3f1f9f2
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 25 02:21:54 2013 -0500

    Call fdatasync() before renaming files into place
    
    In order to implement fully atomic upgrades, the OSTree system expects
    that "triggers" such as this tool ensure that any data they generate
    are on durable storage.  Thus, we use fdatasync() before calling
    rename().
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61472

 configure.in           |  2 ++
 update-mime-database.c | 21 +++++++++++++++++++++
 2 files changed, 23 insertions(+)

commit b58fea97ee1579517ced6091b7bd52d788fc01bb
Author: Colin Walters <walters@verbum.org>
Date:   Mon Feb 25 02:14:57 2013 -0500

    Actually check for errors when closing streams, etc.
    
    In disk full or corruption type situtions, we really want to know
    right away.  Previously this tool would print an error and just
    blithely continue.  Instead, we now fail out properly and will exit
    with code 1, so our parent process knows we didn't succeeed.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=61472

 update-mime-database.c | 225 ++++++++++++++++++++++++++++++++++---------------
 1 file changed, 158 insertions(+), 67 deletions(-)

commit f9d4f260d78b263c9730786df5db20df998b734d (tag: Release-1-1)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 14:32:20 2013 +0100

    1.1

 NEWS         | 68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 configure.in |  2 +-
 2 files changed, 69 insertions(+), 1 deletion(-)

commit 989d7f0e966cfa92daa114503e71665600ccab8c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 14:17:09 2013 +0100

    Fix LINGUAS completeness tests
    
    "fa" was being matched by "fa_IR" and "ia" was being matched by
    "ca@valencia", both of which are obviously wrong.

 Makefile.am |    2 +-
 po/LINGUAS  |    2 +
 po/fa.po    | 2677 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ia.po    | 2677 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 5357 insertions(+), 1 deletion(-)

commit fd19e65604639b7f37c84a95bb91f443e9ae0f70
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 14:14:38 2013 +0100

    Add new languages to po/LINGUAS

 po/LINGUAS  |    4 +
 po/hr.po    | 2678 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/ka.po    | 2678 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/te.po    | 2677 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 po/zh_HK.po | 2677 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 10714 insertions(+)

commit 619a3b3531dae30ad5d1cc9cfde5279b1f304500
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 14:12:43 2013 +0100

    Updated translations from Transifex

 po/ar.po    |  808 +++++++++++++++----------------
 po/az.po    |  806 ++++++++++++++++---------------
 po/bg.po    |  808 +++++++++++++++----------------
 po/ca.po    |  812 +++++++++++++++----------------
 po/cs.po    |  808 +++++++++++++++----------------
 po/cy.po    |  806 ++++++++++++++++---------------
 po/da.po    |  867 ++++++++++++++++-----------------
 po/de.po    |  819 +++++++++++++++----------------
 po/el.po    | 1555 ++++++++++++++++++++++++++++++-----------------------------
 po/en_GB.po | 1405 ++++++++++++++++++++++++++---------------------------
 po/eo.po    |  814 +++++++++++++++----------------
 po/es.po    |  815 +++++++++++++++----------------
 po/eu.po    |  814 +++++++++++++++----------------
 po/fi.po    |  815 +++++++++++++++----------------
 po/fo.po    |  806 ++++++++++++++++---------------
 po/fr.po    |  808 +++++++++++++++----------------
 po/ga.po    |  808 +++++++++++++++----------------
 po/gl.po    |  808 +++++++++++++++----------------
 po/he.po    |  810 +++++++++++++++----------------
 po/hu.po    |  818 +++++++++++++++----------------
 po/id.po    |  810 +++++++++++++++----------------
 po/it.po    |  810 +++++++++++++++----------------
 po/ja.po    |  810 +++++++++++++++----------------
 po/kk.po    |  810 +++++++++++++++----------------
 po/ko.po    |  991 ++++++++++++++++++-------------------
 po/lt.po    |  808 +++++++++++++++----------------
 po/lv.po    |  905 +++++++++++++++++-----------------
 po/ms.po    |  806 ++++++++++++++++---------------
 po/nb.po    |  806 ++++++++++++++++---------------
 po/nl.po    |  965 ++++++++++++++++++------------------
 po/nn.po    |  806 ++++++++++++++++---------------
 po/pl.po    |  810 +++++++++++++++----------------
 po/pt.po    |  806 ++++++++++++++++---------------
 po/pt_BR.po | 1174 ++++++++++++++++++++++----------------------
 po/ro.po    |  808 +++++++++++++++----------------
 po/ru.po    |  808 +++++++++++++++----------------
 po/sk.po    |  808 +++++++++++++++----------------
 po/sl.po    |  834 ++++++++++++++++----------------
 po/sq.po    |  808 +++++++++++++++----------------
 po/sr.po    |  808 +++++++++++++++----------------
 po/sv.po    |  810 +++++++++++++++----------------
 po/tr.po    | 1233 +++++++++++++++++++++++-----------------------
 po/uk.po    |  808 +++++++++++++++----------------
 po/vi.po    |  806 ++++++++++++++++---------------
 po/zh_CN.po |  849 ++++++++++++++++----------------
 po/zh_TW.po |  884 ++++++++++++++++-----------------
 46 files changed, 20047 insertions(+), 19944 deletions(-)

commit bf25d8923dc2b2036acb7652698a83b822df8245
Author: Sebastian Trueg <trueg@kde.org>
Date:   Tue Jan 4 10:44:33 2011 +0100

    Add application/x-trig mime-type
    
    application/x-trig represents the encoding used for all RDF ontologies
    in the shared-desktop-ontologies package.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32812

 freedesktop.org.xml.in |   9 ++
 tests/list             |   1 +
 tests/nrl.trig         | 331 +++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 341 insertions(+)

commit 6fcdfaf84819ea88b14f43a33053751064dda115
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 12:17:22 2013 +0100

    Add magic for GNU gettext message catalogs (.mo)

 freedesktop.org.xml.in | 4 ++++
 tests/list             | 2 +-
 2 files changed, 5 insertions(+), 1 deletion(-)

commit f3331b949e7b127f4e8f6b13a9a970e1b0d12d06
Author: Jorn Baayen <jorn.baayen@baayen-heinz.com>
Date:   Wed Feb 13 11:50:18 2013 +0100

    Add text/x-modelica type.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56839

 freedesktop.org.xml.in | 20 ++++++++++++++++++++
 tests/list             |  2 ++
 tests/test.mo          |  6 ++++++
 3 files changed, 28 insertions(+)

commit 88296cf92e716ee9dba0c60a7eeb2e9d46f2c951
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 12:04:49 2013 +0100

    Split off the AAC mime-type from the M4A one
    
    https://bugs.freedesktop.org/show_bug.cgi?id=13817

 freedesktop.org.xml.in |  11 ++++++++++-
 tests/ct_faac-adts.aac | Bin 0 -> 299647 bytes
 tests/list             |   2 ++
 3 files changed, 12 insertions(+), 1 deletion(-)

commit 722591fd81d10a63cc5ec300c899703be6909b46
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 12:04:28 2013 +0100

    Fix XML typoes in IFF sub-classing

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ef7b04cf111b290b235cb5cfc5ffec8c04296999
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 13 11:47:26 2013 +0100

    Add test cases for AIFF and ILBM mime-types
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20070

 tests/list      |   4 ++++
 tests/test.aiff | Bin 0 -> 88288 bytes
 tests/test.ilbm | Bin 0 -> 2010 bytes
 3 files changed, 4 insertions(+)

commit f6785575008fd1d0699197110ee2b767301ebee1
Author: Magnus Bergman <magnusbe@algonet.se>
Date:   Sun Feb 22 15:52:00 2009 +0000

    Add IFF super-type
    
    And fix problems with sub-types, such as AIFF and ILBM file types.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=20070

 freedesktop.org.xml.in | 36 ++++++++++++++++++++++++++----------
 1 file changed, 26 insertions(+), 10 deletions(-)

commit 7179b0c5414a73d9ebc6b551a1f25f9a57a28fea
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 15:02:05 2011 +0200

    Add application/x-lzh-compressed as alias to application/x-lha
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41680

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 036830e88990d3a75d0279b8954f2886159615f2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 18:38:35 2013 +0100

    Make the main docbook mime-type be application/x-docbook+xml
    
    And make application/docbook+xml and application/vnd.oasis.docbook+xml
    be aliases of it.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42369

 freedesktop.org.xml.in | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 5dc7a385dfde27baabbe7384e69605c48adbf1e4
Author: Allan Sandfeld <kde@carewolf.com>
Date:   Mon Jan 7 12:05:00 2013 +0000

    Add MHTML mime-type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57416

 freedesktop.org.xml.in | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 6ee851325813b2d9a0a35e26b43d74e8f33aa677
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 15:35:45 2011 +0200

    Add text/x-uuencode
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41684

 freedesktop.org.xml.in | 9 +++++++++
 tests/list             | 2 ++
 tests/test.uue         | 4 ++++
 3 files changed, 15 insertions(+)

commit 5cb1444444f1708959a34b5c23ff4ef317cbadd6
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Oct 11 17:09:46 2011 +0200

    Add application/winhlp
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41708

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   2 ++
 tests/test.hlp         | Bin 0 -> 7265 bytes
 3 files changed, 10 insertions(+)

commit c9f24a9a7fd7d514e11e56b5520395453e673c2c
Author: Petr Pavlu <setup@dagobah.cz>
Date:   Thu Jul 21 19:52:23 2011 +0200

    Improve magic of uncompressed TGA files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39457

 freedesktop.org.xml.in |   9 ++++++++-
 tests/list             |   2 ++
 tests/test2.tga        | Bin 0 -> 1244 bytes
 3 files changed, 10 insertions(+), 1 deletion(-)

commit 45d3102de30b5ad4a8c9dcc7b2c6a26dd7b1f947
Author: Friedrich <kossebau@kde.org>
Date:   Thu Jul 19 21:20:00 2012 +0000

    Add aliases for EMF and WMF image types
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52278

 freedesktop.org.xml.in | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 02063fc9ead09c9ea8408a47234d2c61c28b9d19
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 17:43:13 2013 +0100

    Add AVF file variant of the AVI container
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55336
    See also:
    https://bugzilla.gnome.org/show_bug.cgi?id=593117

 freedesktop.org.xml.in |   4 ++++
 tests/list             |   2 ++
 tests/test.avf         | Bin 0 -> 262144 bytes
 3 files changed, 6 insertions(+)

commit b6f5549fea0ee428d9a361a54aa9e08ac0901f6e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 17:42:32 2013 +0100

    Add hook JNLP file to the test suite

 tests/list | 2 ++
 1 file changed, 2 insertions(+)

commit ea6a3798fbac88ea47353ec7ee3264e28b8ce7aa
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 17:26:57 2013 +0100

    Add JNLP file to the test suite

 tests/test.jnlp | 20 ++++++++++++++++++++
 1 file changed, 20 insertions(+)

commit 003480a2ab96696a12426682a51dd85cb0e5a5cd
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Fri Jul 27 12:08:59 2012 +0100

    add pict version 2 detection
    
    http://developer.apple.com/legacy/mac/library/documentation/mac/QuickDraw/QuickDraw-462.htm
    data 'PICT' (128) {
    $"0078"     /* picture size; don't use this value for picture size */
    $"0000 0000 006C 00A8"  /* bounding rectangle of picture at 72 dpi */
    $"0011"     /* VersionOp opcode; always $0011 for extended version 2 */
    $"02FF"     /* Version opcode; always $02FF for extended version 2 */
    $"0C00"     /* HeaderOp opcode; always $0C00 for extended version 2 */
                /* next 24 bytes contain header information */
       $"FFFE"  /* version; always -2 for extended version 2 */
       $"0000"  /* reserved */
    ...
    }
    
    https://bugs.freedesktop.org/show_bug.cgi?id=52581

 freedesktop.org.xml.in |  19 +++++++++++++++++++
 tests/list             |   3 +++
 tests/newtonme.pict    | Bin 0 -> 217008 bytes
 tests/ooo25876-2.pct   | Bin 0 -> 11168 bytes
 4 files changed, 22 insertions(+)

commit ccc873cd1aa614d6d40e47b916afeaf954225348
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 15:38:02 2013 +0100

    Add magic for MNG animations
    
    https://bugzilla.freedesktop.org/show_bug.cgi?id=55339

 freedesktop.org.xml.in |   3 +++
 tests/list             |   3 ++-
 tests/test.mng         | Bin 0 -> 5464 bytes
 3 files changed, 5 insertions(+), 1 deletion(-)

commit b1b4439904f534059f947e8f2503458ea0951738
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 15:29:10 2013 +0100

    Add *.di as a glob for D interface source files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=60605

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit ff68deb17aa9dfbfcac7e961f1c65ecbcb4cd7f1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Feb 12 15:25:25 2013 +0100

    Add image/x-xpm alias for XPM images
    
    https://bugs.freedesktop.org/show_bug.cgi?id=57454

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 8a8e039e72e25fb1b9756c8acb2310c8767868ef
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Mon Oct 1 13:18:21 2012 +0200

    spec: Fix typo treemagic element*s*
    
    The plural »s« is forgotton.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55489

 shared-mime-info-spec.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3338382911d7804b3e7f463f7a7fcafa8b1e3efc
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jan 25 22:35:27 2013 +0200

    application/dicom: Add dicomdir glob.
    
    http://tools.ietf.org/html/rfc3240

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 7bc9250fa35aaf536938aff817bb58786e28a3c0
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 19 15:25:39 2013 +0200

    application/x-rar: Add RAR acronym.
    
    http://en.wikipedia.org/wiki/RAR

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 9d73fc74d9386333de1ba49ffe7ba991ef498c37
Author: David Faure <faure@kde.org>
Date:   Sat Jan 19 10:46:47 2013 +0100

    Add application/ics as an alias for text/calendar
    
    This mimetype name seems to be used by Microsoft and Amazon.
    http://answers.microsoft.com/en-us/winphone/forum/wp6n-wpdevices/calendar-ics-attachments-using-imap/4d97b855-3da5-4342-92f4-cc27c4e050f6
    http://docs.aws.amazon.com/ses/latest/DeveloperGuide/MIMETypes.html

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 3d6c813f6cb95835833a8709319320cc1d0613ad
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:44:12 2013 +0200

    application/x-fluid: Add FLTK acronym.

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit b13c6e920c4342abbab3001ece8c786e1c3da6dd
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:42:51 2013 +0200

    application/font-woff: New type (WOFF font).

 freedesktop.org.xml.in            |  10 ++++++++++
 tests/LiberationSans-Regular.woff | Bin 0 -> 188404 bytes
 tests/list                        |   2 ++
 3 files changed, 12 insertions(+)

commit 9246c6e31713298612c40d92f9698ac6a21d7d1c
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:37:21 2013 +0200

    application/x-font-ttf: Add test case.

 tests/LiberationSans-Regular.ttf | Bin 0 -> 350200 bytes
 tests/list                       |   2 ++
 2 files changed, 2 insertions(+)

commit 8bb0698b3993cd0c1e2b3abf47f162aa01aea715
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:20:50 2013 +0200

    application/x-source-rpm: Add *.spm glob.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit b9d2cbeaef960066af1e1a28e21c4cc440e5e75d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:19:49 2013 +0200

    application/x-source-rpm: sub-class-of x-rpm instead of the x-redhat-package-manager alias.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 626058e01165bb6b1d36d855a770ebf9befca8f7
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jan 12 12:19:07 2013 +0200

    application/x-source-rpm: Drop duplicate generic-icon.

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit d9228655eed99fd9fb7bc8fea3fd08b4a07e724c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 7 14:35:52 2013 +0100

    build: Run the test-mime test from xdgmime as well

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 491b0da03e03dd44ee22046e635e149230c96d66
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 7 14:21:18 2013 +0100

    tests: Add AMR test
    
    So that we can check that our matching is case-insensitive.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=38415

 tests/list        |   5 +++++
 tests/sample2.amr | Bin 0 -> 2840 bytes
 2 files changed, 5 insertions(+)

commit 4462b30c5b9592f134ce7d4fb7b7139f58c92a78
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 30 15:50:49 2012 +0100

    Add mime-type for source RPMs

 freedesktop.org.xml.in       |   7 +++++++
 tests/foo-0.1-1.fc18.src.rpm | Bin 0 -> 2393 bytes
 tests/list                   |   2 ++
 3 files changed, 9 insertions(+)

commit bcda255c6af50442edc3b25d5119f2460bcb7860
Author: Pino Toscano <pino@kde.org>
Date:   Wed Nov 7 15:24:33 2012 +0100

    Add test case for application/x-gettext-translation
    
    Translate test.pot executing `msgen -o test-en.po test.pot` and then filling out the header of test-en.po.
    test-en.mo is then produced with `msgfmt -o test-en.mo test-en.po`.

 tests/list       |   2 ++
 tests/test-en.mo | Bin 0 -> 426 bytes
 tests/test-en.po |  18 ++++++++++++++++++
 3 files changed, 20 insertions(+)

commit c4f1b394a08a93fac10549bfefd40d74a4090ebe
Author: Pino Toscano <pino@kde.org>
Date:   Wed Nov 7 15:15:28 2012 +0100

    Add simple magic for text/x-gettext-translation-template
    
    Possibly not the best magic, but it matches at least what GNU xgettext produces (i.e. the header as fuzzy).
    
    Add a small .c source with the sample message and the generated .pot file.

 freedesktop.org.xml.in |  3 +++
 po/POTFILES.skip       |  1 +
 tests/list             |  2 ++
 tests/test-gettext.c   |  7 +++++++
 tests/test.pot         | 23 +++++++++++++++++++++++
 5 files changed, 36 insertions(+)

commit ba107426318741625f962e76e3484e399452786a
Author: David Faure <faure@kde.org>
Date:   Wed Oct 31 22:29:52 2012 +0100

    Put bz2 patterns before bz ones for bzip-related mimetypes.
    
    When creating a new compressed archive and allowing a file extension to be
    automatically added in KDE's save file dialog, the main extension (as
    defined in the spec) is used, and ".bz2" is better than ".bz" (more commonly used).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47950

 freedesktop.org.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 23bf385fc0e03d9013dbd435e8e6bc88062aace8
Author: David Faure <faure@kde.org>
Date:   Wed Oct 31 22:12:15 2012 +0100

    Document that the first extension is the main one, as discussed long ago.
    
    http://www.mail-archive.com/xdg@lists.freedesktop.org/msg04347.html
    
    https://bugs.freedesktop.org/show_bug.cgi?id=47950

 shared-mime-info-spec.xml | 6 ++++++
 1 file changed, 6 insertions(+)

commit 865772a02ba55a439fb3024078e971d14e2ae6ea
Author: Caolán McNamara <caolanm@redhat.com>
Date:   Wed Jun 1 16:07:41 2011 +0100

    Add application/vnd.lotus-wordpro
    
    https://bugs.freedesktop.org/show_bug.cgi?id=36036

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   1 +
 tests/test.lwp         | Bin 0 -> 82280 bytes
 3 files changed, 9 insertions(+)

commit d3122c4234eff7dcf8fbbd6c8ae91a7c3203f17d
Author: Samuel Mehrbrodt <s.mehrbrodt@gmail.com>
Date:   Tue Oct 30 09:54:38 2012 +0100

    Added xlr filetype
    
    https://bugs.freedesktop.org/show_bug.cgi?id=56575

 freedesktop.org.xml.in |   1 +
 tests/list             |   2 ++
 tests/test.xlr         | Bin 0 -> 11776 bytes
 3 files changed, 3 insertions(+)

commit 391ae76f6a2f3af93406ac31bc8735695f41d07d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 16 17:52:54 2012 +0200

    Add *.ar archives to the test suite

 freedesktop.org.xml.in |   1 +
 tests/libgcc.a         | Bin 0 -> 3034890 bytes
 tests/libgcc.ar        | Bin 0 -> 3034890 bytes
 tests/list             |   2 ++
 4 files changed, 3 insertions(+)

commit bf9b8984d239893897bb46e6c7bbc90df390af93
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 25 15:06:28 2012 +0200

    Add support for DOS EPS files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55264

 freedesktop.org.xml.in                  |   1 +
 tests/Oriental_tattoo_by_daftpunk22.eps | Bin 0 -> 429323 bytes
 tests/list                              |   2 ++
 3 files changed, 3 insertions(+)

commit dee2f58d9c8a1305641ad7c5447fc598ac389104
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 25 15:01:25 2012 +0200

    build: Add a local-test target to print mime info
    
    About files present in the staging-tests sub-directory, so
    that you can easily populate the test suite.

 HACKING     |  3 +++
 Makefile.am | 19 +++++++++++++++++++
 2 files changed, 22 insertions(+)

commit b4e68eef0d1ac943b7c4e28f7319a5f03da75ac2
Author: Luca Wehrstedt <lerks@users.sourceforge.net>
Date:   Sat Aug 11 14:06:30 2012 +0200

    Add *.tb2 as a glob for application/x-bzip-compressed-tar
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53377

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 6cd2565a3e66ca037613dc2970ca236d7587fe42
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 24 12:54:03 2012 +0200

    Add LZMA test case to the test suite

 tests/list | 2 ++
 1 file changed, 2 insertions(+)

commit 6e07e09b8c38f61955f9c2071d3217a78d8cc696
Author: Luca Wehrstedt <lerks@users.sourceforge.net>
Date:   Sat Aug 11 12:13:53 2012 +0200

    Add some sub-class-of tags for compressed files
    
    Make all *.tar.gz, *.pdf.gz, *.ps.gz, *.dvi.gz, *.eps.gz, etc. become
    subclasses of *.gz (and the same for other compression formats too).
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53373

 freedesktop.org.xml.in | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 1172bb5cdcbcd16e15fc2895ee3452bfe654d6aa
Author: Luca Wehrstedt <lerks@users.sourceforge.net>
Date:   Sat Aug 11 12:07:35 2012 +0200

    Move *.taz from application/x-compressed-tar to application/x-tarz
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53371

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b3e64e0b5e5b44e8d9fa2d7fce1688b28c3e90e5
Author: Luca Wehrstedt <lerks@users.sourceforge.net>
Date:   Sat Aug 11 12:20:45 2012 +0200

    Fix some globs for OGG files
    
    Use both *.ogg and *.oga for audio/ogg and both *.ogg and *.ogv for
    video/ogg. Also, use *.spx only for audio/x-speex.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=53376

 freedesktop.org.xml.in | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a80816648daad4d601fd69d1b0210d7a0704b294
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 24 12:43:55 2012 +0200

    Add LZMA test file
    
    The 'data' test fails because LZMA lacks magic data, unlike
    its descendant XZ or 7z for example.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55254

 tests/sample.png.lzma | Bin 0 -> 450 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit a6dc3d16ea33abae0f40b30e6b4042aac5e876a2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 24 12:13:10 2012 +0200

    Add magic for v1 and v2 XCF files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=55263

 freedesktop.org.xml.in |   2 ++
 tests/list             |   3 +++
 tests/lucid-tab-bg.xcf | Bin 0 -> 1461813 bytes
 tests/weather_sun.xcf  | Bin 0 -> 749012 bytes
 4 files changed, 5 insertions(+)

commit 462e9260c58c95f1db760dcd25f25cb307c5f140
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Sep 24 12:05:08 2012 +0200

    doc: Link to latest version in HACKING

 HACKING | 3 +++
 1 file changed, 3 insertions(+)

commit 77c334309bba791eb7f0c8e4cd0f9053502fd27c
Author: William Jon McCann <jmccann@redhat.com>
Date:   Sun Sep 16 11:30:02 2012 -0400

    Add application/x-gtk-builder type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28020

 freedesktop.org.xml.in |   9 ++
 tests/gtk-builder.ui   | 266 +++++++++++++++++++++++++++++++++++++++++++++++++
 tests/list             |   1 +
 3 files changed, 276 insertions(+)

commit c85a4873c5c1da539db1d468f01f18974c374cfa
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Aug 18 23:16:47 2012 +0300

    Fix Scream Tracker instrument magic value.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 67c2ac1808d0471094ae97aea606b4ae1730e50e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 7 15:05:00 2012 +0100

    doc: Update docs on how to update the spec

 HACKING | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 6dff09600ce9f5c606b348692d05e6367a1a40ad
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 21 12:01:05 2012 +0300

    Add application/gml+xml.
    
    http://tools.ietf.org/html/draft-portele-ogc-gml-mime
    http://portal.opengeospatial.org/files/?artifact_id=37743

 freedesktop.org.xml.in | 8 ++++++++
 1 file changed, 8 insertions(+)

commit 4f795a85d95e3d650cfd3d465331fc066c5c131e
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jul 21 11:57:25 2012 +0300

    Use IANA registered application/gzip instead of x-gzip.

 freedesktop.org.xml.in    | 13 +++++++------
 shared-mime-info-spec.xml |  2 +-
 2 files changed, 8 insertions(+), 7 deletions(-)

commit 7d180d6b2c4c44faba43ab2a7581869a25569e16
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Wed Jun 27 22:29:05 2012 -0600

    Match application/vnd.palm to IANA standard
    
    https://bugs.freedesktop.org/show_bug.cgi?id=51496

 freedesktop.org.xml.in | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 475c0efab7e9b11c02f55d4348ec195a34ad6017
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Mon Jun 4 19:16:20 2012 +0300

    Spelling fixes.

 ChangeLog.pre-git         | 4 ++--
 NEWS                      | 2 +-
 freedesktop.org.xml.in    | 2 +-
 po/ca.po                  | 2 +-
 po/eu.po                  | 2 +-
 shared-mime-info-spec.xml | 4 ++--
 6 files changed, 8 insertions(+), 8 deletions(-)

commit e4d05406e3284631920594df08e5ae007e1c3d0b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jun 1 22:18:28 2012 +0300

    Add *.mk and *.mak text/x-makefile globs.

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit afbdfb40a3ff8c255e5d3dab8840cc478a007d45
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Apr 29 18:16:44 2012 +0100

    Add separate mime-type for Apple broken PNGs

 freedesktop.org.xml.in |   9 +++++++++
 tests/list             |   1 +
 tests/test-apple.png   | Bin 0 -> 10872 bytes
 3 files changed, 10 insertions(+)

commit ac9ef2324158ceb300cb5d2b9967ec3e750694a1
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Apr 28 17:32:52 2012 +0100

    Add AMZ (AmazonMP3 Download File) mime-type

 freedesktop.org.xml.in | 4 ++++
 1 file changed, 4 insertions(+)

commit e3ba34cb347d2ab170cc52ee8c9b441f70db2fce
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Fri Jan 28 12:00:17 2011 +0100

    Add `application/x-qtiplot` mime type
    
    Add this new mime type to be able to automatically open
    the QtiPlot [1] files. Currently files with the extension
    `qti` are detected as Quicktime image (`qtif`).
    
    Also add an example test file, which is just an empty project.
    
    [1] http://soft.proindependent.com/
    
    https://bugs.freedesktop.org/show_bug.cgi?id=33641

 freedesktop.org.xml.in | 10 ++++++++++
 tests/list             |  2 ++
 tests/test.qti         | 19 +++++++++++++++++++
 3 files changed, 31 insertions(+)

commit 293676528922041a58555c93c6ee9f0b79404d75
Author: David Faure <faure@kde.org>
Date:   Thu Feb 2 13:05:18 2012 +0100

    application/pkcs7-mime: Fix comment, add glob patterns.

 freedesktop.org.xml.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit cb0ef573058ec188a78c3e3c025224a0ced7b087
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 1 16:16:29 2012 +0000

    Add test for fixed PPM bug
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39126

 tests/bug39126-broken.ppm  | 4 ++++
 tests/bug39126-working.ppm | 5 +++++
 tests/list                 | 3 +++
 3 files changed, 12 insertions(+)

commit d20524d84d895f87f8009685ac28789a68ae54f0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Feb 1 16:15:30 2012 +0000

    Fix test from 7755b83bba5ee9e10a2ef0f8e36175f6c6ee08e1

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 202ab90c74db47812818f0ccc490a2da9efe752b
Author: Sam Thursfield <ssssam@gmail.com>
Date:   Wed Feb 1 16:11:13 2012 +0000

    Add DTS and DTS-HD mime-types
    
    https://bugs.freedesktop.org/show_bug.cgi?id=40800

 freedesktop.org.xml.in |  20 ++++++++++++++++++++
 tests/list             |   3 +++
 tests/test.dts         | Bin 0 -> 10240 bytes
 tests/test.dtshd       | Bin 0 -> 2048 bytes
 4 files changed, 23 insertions(+)

commit 03152345223520932956f812451e9ea0c1ccdb36
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Nov 3 14:20:47 2011 +0100

    Use native update-mime-database for install when cross compiling
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42554

 Makefile.am  | 8 +++++++-
 configure.in | 9 +++++++++
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 5648aced8473372f1484c4f731c02a543aa008c1
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Nov 3 13:58:26 2011 +0100

    Use non-installed update-mime-database in install-data-hook
    
    https://bugs.freedesktop.org/show_bug.cgi?id=42554

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de0bb427127947c23c674e12eeac179996482185
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Nov 3 13:25:15 2011 +0100

    Disable checks when cross compiling

 Makefile.am  | 4 ++++
 configure.in | 3 +++
 2 files changed, 7 insertions(+)

commit 1f3c3f46e36c4d90ba6fbccc9b44f2e2814759d4
Author: Hib Eris <hib@hiberis.nl>
Date:   Thu Nov 3 12:48:51 2011 +0100

    Fix build for platforms with executable extensions

 Makefile.am | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit ae1e10c6c830c33b1e3f44ec16efda007ae8b31e
Author: Thomas Hebb <tommyhebb@gmail.com>
Date:   Fri Jan 27 00:03:20 2012 -0500

    Make application/x-xz-compressed-tar a subclass of application/x-xz.
    
    This allows checking for xz magic in .tar.xz files.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45293

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 2d6b6889ea26b9c35a52287d3a57fd836e79193f
Author: Vincent Untz <vuntz@gnome.org>
Date:   Wed Oct 19 11:13:13 2011 +0200

    Add zz-application/zz-winassoc-* aliases
    
    See discussion in https://bugs.freedesktop.org/show_bug.cgi?id=41286
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41989

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 59933adf44054e5d78719cbcf7585bc68d9585aa
Author: David Faure <faure@kde.org>
Date:   Thu Jan 26 19:22:19 2012 +0100

    Fix mimetype names used as examples in the spec

 shared-mime-info-spec.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 668361327d47ab6e50e407e54f3e236aa3ed611f
Author: Colin Walters <walters@verbum.org>
Date:   Tue Jan 24 10:52:00 2012 -0500

    Allow builders to not run make check by default
    
    Doing so breaks cross compilation, and is just plain different from
    pretty much every other module out there in the GNOME dependency stack.
    
    Furthermore, the environment needed for tests is not necessarily the
    same as that needed to just do a build.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45180

 Makefile.am  | 7 ++++++-
 configure.in | 6 ++++++
 2 files changed, 12 insertions(+), 1 deletion(-)

commit 74c43e7b0824175e5557086c095ec2324c02e3fe
Author: Colin Walters <walters@verbum.org>
Date:   Mon Jan 23 21:54:43 2012 -0500

    autogen.sh: Honor NOCONFIGURE=1
    
    http://people.gnome.org/~walters/docs/build-api.txt
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45180

 autogen.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 7755b83bba5ee9e10a2ef0f8e36175f6c6ee08e1
Author: Richard Hughes <richard@hughsie.com>
Date:   Wed Jan 18 11:22:14 2012 +0000

    Add application/x-ccmx as a registered type
    
    Use the matching values taken from http://www.argyllcms.com/doc/ccxxmake.html
    
    https://bugs.freedesktop.org/show_bug.cgi?id=44894

 freedesktop.org.xml.in |  9 +++++++++
 tests/list             |  2 ++
 tests/test.ccmx        | 18 ++++++++++++++++++
 3 files changed, 29 insertions(+)

commit cdf866acbee836578128bf652bd775f8f8225be9 (tag: Release-1-0)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 17 16:22:01 2012 +0000

    1.0

 NEWS         | 15 +++++++++++++++
 configure.in |  2 +-
 2 files changed, 16 insertions(+), 1 deletion(-)

commit 3ac804ac91c93e34eeab7ccf464a5fdd477cab3f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 17 16:26:59 2012 +0000

    Silent build by default

 Makefile.am  | 2 +-
 configure.in | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

commit f51d07c296f456886574db45ba07f7c76984adf3
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 17 16:26:50 2012 +0000

    Fix compile-time warning

 test-tree-magic.c | 3 +++
 1 file changed, 3 insertions(+)

commit 21b73e824f0f1727e73bc972a0d2c03cff850fff
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jan 17 16:15:02 2012 +0000

    po: Update from Transifex

 po/ar.po          |  828 +++++++++++-----------
 po/az.po          |  828 +++++++++++-----------
 po/bg.po          |  904 +++++++++++------------
 po/bg_BG.po       |  828 +++++++++++-----------
 po/bn_IN.po       |  828 +++++++++++-----------
 po/ca.po          |  830 +++++++++++-----------
 po/ca@valencia.po |  828 +++++++++++-----------
 po/cs.po          |  836 +++++++++++-----------
 po/cy.po          |  828 +++++++++++-----------
 po/da.po          |  828 +++++++++++-----------
 po/de.po          |  830 +++++++++++-----------
 po/el.po          |  828 +++++++++++-----------
 po/en_GB.po       |  828 +++++++++++-----------
 po/eo.po          |  828 +++++++++++-----------
 po/es.po          |  830 +++++++++++-----------
 po/eu.po          |  828 +++++++++++-----------
 po/fa_IR.po       |  828 +++++++++++-----------
 po/fi.po          |  867 ++++++++++++-----------
 po/fo.po          |  828 +++++++++++-----------
 po/fr.po          |  828 +++++++++++-----------
 po/ga.po          |  828 +++++++++++-----------
 po/gl.po          | 2045 +++++++++++++++++++++++++++--------------------------
 po/he.po          |  882 +++++++++++------------
 po/hi.po          |  828 +++++++++++-----------
 po/hu.po          |  830 +++++++++++-----------
 po/id.po          |  866 ++++++++++++-----------
 po/it.po          |  832 +++++++++++-----------
 po/ja.po          |  943 ++++++++++++------------
 po/kk.po          |  879 ++++++++++++-----------
 po/ko.po          |  830 +++++++++++-----------
 po/lt.po          |  828 +++++++++++-----------
 po/lv.po          |  831 +++++++++++-----------
 po/ms.po          |  828 +++++++++++-----------
 po/nb.po          |  828 +++++++++++-----------
 po/nl.po          |  830 +++++++++++-----------
 po/nn.po          |  828 +++++++++++-----------
 po/pa.po          |  828 +++++++++++-----------
 po/pl.po          |  830 +++++++++++-----------
 po/pt.po          |  828 +++++++++++-----------
 po/pt_BR.po       |  828 +++++++++++-----------
 po/ro.po          |  830 +++++++++++-----------
 po/ru.po          |  832 +++++++++++-----------
 po/rw.po          |  828 +++++++++++-----------
 po/sk.po          |  828 +++++++++++-----------
 po/sl.po          |  829 +++++++++++-----------
 po/sq.po          |  828 +++++++++++-----------
 po/sr.po          |  828 +++++++++++-----------
 po/sr@latin.po    |  828 +++++++++++-----------
 po/sv.po          |  848 +++++++++++-----------
 po/tr.po          |  828 +++++++++++-----------
 po/uk.po          |  832 +++++++++++-----------
 po/vi.po          |  828 +++++++++++-----------
 po/wa.po          |  828 +++++++++++-----------
 po/zh_CN.po       |  828 +++++++++++-----------
 po/zh_TW.po       |  830 +++++++++++-----------
 55 files changed, 24040 insertions(+), 23152 deletions(-)

commit 84abb89c05decd1ac6d1c66caa2f2419b0468f26
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 9 16:05:48 2012 +0000

    Add support for detecting DVDs without VIDEO_TS dirs
    
    As libdvdread accepts that crap, we should detect it as such.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=667469

 freedesktop.org.xml.in         | 2 ++
 tests/tree-list                | 1 +
 tests/video-dvd-3/VIDEO_TS.IFO | 0
 3 files changed, 3 insertions(+)

commit 5bc13ffaef183e0711b82fce163d3c7e882d36ba
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 7 12:03:58 2011 +0000

    Add application/acrobat alias for PDF files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=43571

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 7dd8b9ec6c972d8dedd7b62cc0fc8ebdbe3239f2
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Dec 4 13:25:37 2011 +0200

    Fix FSF address in license notice.

 test-tree-magic.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit bb6a26ff9f45363e8290372e113044a2dd2b70dd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 21 18:18:54 2011 +0000

    Fix MP3 being detected as Qt Designer
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664457

 freedesktop.org.xml.in | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 930e9e28e912e63573ddef6e4485cd3b7ce46657
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Nov 21 18:17:48 2011 +0000

    tests: Add test case for wrongly identified MP3
    
    Was detected as a Qt Designer file because of the PRIV comment
    at the start of it containing "<ui".
    
    https://bugzilla.gnome.org/show_bug.cgi?id=664457

 tests/list           |   2 ++
 tests/xml-in-mp3.mp3 | Bin 0 -> 1024 bytes
 2 files changed, 2 insertions(+)

commit ffe5a6da06ac6bf3893b7197d6b2bbb5cc3b390d
Author: David Faure <faure@kde.org>
Date:   Mon Nov 14 18:41:56 2011 +0100

    Add application/vnd.visio mimetype.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=2359

 freedesktop.org.xml.in |   9 +++++++++
 tests/list             |   2 ++
 tests/test.vsd         | Bin 0 -> 10240 bytes
 3 files changed, 11 insertions(+)

commit 9ed7a2a7f5cb12dbeb258a47902bff7b71f66e06
Author: Jürg Billeter <j@bitron.ch>
Date:   Fri Nov 4 13:51:06 2011 +0100

    Fix magic for MP3 files without ID3

 freedesktop.org.xml.in |   2 +-
 tests/list             |   2 ++
 tests/test-noid3.mp3   | Bin 0 -> 9194 bytes
 3 files changed, 3 insertions(+), 1 deletion(-)

commit 00dceabf363b9688023fbb9861b54a2ccb673930
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 4 12:06:04 2011 +0000

    tests: test2.ppm works now

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 199c7f30701f2f4e7507444758b5cbcd601ea3a4
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Oct 7 14:25:37 2011 +0200

    Make PBM/PPM detection more permissive
    
    The # comment character is optionnal.
    See also https://bugs.freedesktop.org/show_bug.cgi?id=2359
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41555

 freedesktop.org.xml.in | 42 ++++++++++++++++++++++++------------------
 1 file changed, 24 insertions(+), 18 deletions(-)

commit 396f79bb13f03d6d721e3ace2ef9a871949dc55e
Author: Marc-André Lureau <marcandre.lureau@gmail.com>
Date:   Fri Oct 7 14:32:08 2011 +0200

    Add a new P6 PPM test without comment line
    
    https://bugs.freedesktop.org/show_bug.cgi?id=41555

 tests/list        | 1 +
 tests/test-p6.ppm | 4 ++++
 2 files changed, 5 insertions(+)

commit fde13f6cbbd0937c4c5b8275b31ca3eb6a5fda1a
Author: David Faure <faure@kde.org>
Date:   Mon Oct 31 16:11:36 2011 +0100

    Add testcase for tnef file. Works with xdgmime implementation.

 tests/list          |   1 +
 tests/one-file.tnef | Bin 0 -> 2272 bytes
 2 files changed, 1 insertion(+)

commit 79cbcb42448886c2eab7521ee0eb38a6721fc8d3
Author: David Faure <faure@kde.org>
Date:   Sat Oct 29 12:22:45 2011 +0200

    Add testcase for glob priority. Passes with xdgmime implementation.

 tests/list           | 1 +
 tests/pdf-not-matlab | 2 ++
 2 files changed, 3 insertions(+)

commit 0f9a506069cb126655057f43f1b5f99df6d2c8aa
Author: David Faure <faure@kde.org>
Date:   Sat Oct 29 00:31:25 2011 +0200

    Lowercase non-case-sensitive patterns before writing them out.
    
    Add testcase: testcompress.z

 tests/list             |   2 ++
 tests/testcompress.z   | Bin 0 -> 8 bytes
 update-mime-database.c |   5 +++--
 3 files changed, 5 insertions(+), 2 deletions(-)

commit a88cf56762b4e8067dcc5f4b59dfdcf7cfe07c23
Author: David Faure <faure@kde.org>
Date:   Wed Oct 26 21:01:15 2011 +0200

    Rename two fields to make it clearer that they are an offset

 shared-mime-info-spec.xml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 69d22a33bd27cf854f17381dadc68f8f8fc0a065
Author: David Faure <faure@kde.org>
Date:   Mon Oct 24 00:51:37 2011 +0200

    Update after xdgmime fix

 tests/list | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit 22021c121567e3fca02914f962bff08e06512cd6
Author: David Faure <faure@kde.org>
Date:   Sun Sep 25 20:29:04 2011 +0200

    Remove duplicate glob, given that globs are case insensitive

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit 74f6e433a7cf043ce337510c8d15b4fa398946b1
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 22 22:18:40 2011 +0300

    Add SMIL 2.0, 2.1, and 3.0 root-XMLs.

 freedesktop.org.xml.in | 3 +++
 1 file changed, 3 insertions(+)

commit b938a3786f195130327310cfa294b11a17667540
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 22 22:11:22 2011 +0300

    Add XMI 2.0 and 2.1 root-XMLs.

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit eca35434b3a18eb7d53cdb5224cb6ae24bfba1d3
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 22 22:08:21 2011 +0300

    Add [0-9][0-9][0-9].vdr to video/mpeg globs.
    
    These are VDR < 1.7 recordings, http://www.tvdr.de/

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 9d64a0a40deb488b1b75fe634b619b31676171fa
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 22 21:59:44 2011 +0300

    Add application/metalink4+xml, differentiate metalink 3 magic from it.

 freedesktop.org.xml.in | 11 ++++++-
 tests/en_US.zip.meta4  | 84 ++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/list             |  2 ++
 3 files changed, 96 insertions(+), 1 deletion(-)

commit 9bdff7fd3ac6baee7acab030350d0e4f2bd322bd
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 22 21:49:30 2011 +0300

    Add root-XML for metalink.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 74cd25e5e41097d4bcfa6661fc47966b834b769a
Author: David Faure <faure@kde.org>
Date:   Mon Sep 19 14:40:41 2011 +0200

    Adjust test results to proper text-or-binary fallback in xdgmime.

 tests/list | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

commit 53aa57da9e32f3dcfeefc101e942e79bb788f943
Author: David Faure <faure@kde.org>
Date:   Mon Sep 19 14:26:42 2011 +0200

    Adjust to xdgmime's new support for application/x-zerosize.

 tests/list | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 428c52216ae2013d2abb9a86b66048f38f1438bc
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Sep 22 23:02:13 2011 +0300

    Add root-XML for AbiWord, Atom, Dia, Dia shape, KML, RDF, and XSL FO.

 freedesktop.org.xml.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit 5ee6883cb0dda03e82c7555a032d88504d67de89 (tag: Release-0-91)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 03:59:37 2011 +0100

    0.91

 NEWS         | 40 ++++++++++++++++++++++++++++++++++++++++
 configure.in |  2 +-
 2 files changed, 41 insertions(+), 1 deletion(-)

commit af68f43be1c91a0696851ffb29621cc02cde4a9c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 03:58:57 2011 +0100

    build: Use XZ to compress tarballs by default

 configure.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 122bf044cfdaa3ce11082e6b5c835d76c85a5995
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Sep 18 03:53:09 2011 +0100

    Update translations from transifex

 po/ar.po          | 1093 ++++++++++++++++++++---------------------
 po/az.po          | 1093 ++++++++++++++++++++---------------------
 po/bg.po          | 1094 ++++++++++++++++++++---------------------
 po/bg_BG.po       | 1093 ++++++++++++++++++++---------------------
 po/bn_IN.po       | 1093 ++++++++++++++++++++---------------------
 po/ca.po          | 1098 ++++++++++++++++++++---------------------
 po/ca@valencia.po | 1093 ++++++++++++++++++++---------------------
 po/cs.po          | 1156 +++++++++++++++++++++----------------------
 po/cy.po          | 1093 ++++++++++++++++++++---------------------
 po/da.po          | 1094 ++++++++++++++++++++---------------------
 po/de.po          | 1097 ++++++++++++++++++++---------------------
 po/el.po          | 1093 ++++++++++++++++++++---------------------
 po/en_GB.po       | 1093 ++++++++++++++++++++---------------------
 po/eo.po          | 1096 ++++++++++++++++++++---------------------
 po/es.po          | 1095 ++++++++++++++++++++---------------------
 po/eu.po          | 1093 ++++++++++++++++++++---------------------
 po/fa_IR.po       | 1093 ++++++++++++++++++++---------------------
 po/fi.po          |  862 ++++++++++++++++-----------------
 po/fo.po          | 1094 ++++++++++++++++++++---------------------
 po/fr.po          | 1141 ++++++++++++++++++++++---------------------
 po/ga.po          | 1093 ++++++++++++++++++++---------------------
 po/gl.po          | 1128 +++++++++++++++++++++---------------------
 po/he.po          | 1094 ++++++++++++++++++++---------------------
 po/hi.po          | 1093 ++++++++++++++++++++---------------------
 po/hu.po          | 1141 ++++++++++++++++++++++---------------------
 po/id.po          | 1096 ++++++++++++++++++++---------------------
 po/it.po          | 1140 ++++++++++++++++++++++---------------------
 po/ja.po          | 1093 ++++++++++++++++++++---------------------
 po/kk.po          | 1093 ++++++++++++++++++++---------------------
 po/ko.po          | 1097 ++++++++++++++++++++---------------------
 po/lt.po          | 1095 ++++++++++++++++++++---------------------
 po/lv.po          | 1400 +++++++++++++++++++++++++++--------------------------
 po/ms.po          | 1093 ++++++++++++++++++++---------------------
 po/nb.po          | 1093 ++++++++++++++++++++---------------------
 po/nl.po          | 1093 ++++++++++++++++++++---------------------
 po/nn.po          | 1093 ++++++++++++++++++++---------------------
 po/pa.po          | 1093 ++++++++++++++++++++---------------------
 po/pl.po          | 1094 ++++++++++++++++++++---------------------
 po/pt.po          | 1093 ++++++++++++++++++++---------------------
 po/pt_BR.po       | 1093 ++++++++++++++++++++---------------------
 po/ro.po          | 1093 ++++++++++++++++++++---------------------
 po/ru.po          | 1094 ++++++++++++++++++++---------------------
 po/rw.po          | 1093 ++++++++++++++++++++---------------------
 po/sk.po          | 1094 ++++++++++++++++++++---------------------
 po/sl.po          | 1139 ++++++++++++++++++++++---------------------
 po/sq.po          | 1093 ++++++++++++++++++++---------------------
 po/sr.po          | 1093 ++++++++++++++++++++---------------------
 po/sr@latin.po    | 1093 ++++++++++++++++++++---------------------
 po/sv.po          | 1094 ++++++++++++++++++++---------------------
 po/tr.po          | 1093 ++++++++++++++++++++---------------------
 po/uk.po          | 1094 ++++++++++++++++++++---------------------
 po/vi.po          | 1093 ++++++++++++++++++++---------------------
 po/wa.po          | 1093 ++++++++++++++++++++---------------------
 po/zh_CN.po       | 1096 ++++++++++++++++++++---------------------
 po/zh_TW.po       | 1211 ++++++++++++++++++++++-----------------------
 55 files changed, 30569 insertions(+), 30062 deletions(-)

commit 0e072a1c42297fec471676f40afd8952bcfd9239
Author: Pino Toscano <pino@kde.org>
Date:   Sun Sep 18 01:19:22 2011 +0200

    make it valaidate again
    
    move the <alias> for chm after the <glob>

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 388bfc335d5ceb387c309096d3e38b5797ad22ac
Author: Alex Henrie <alexhenrie24@gmail.com>
Date:   Sat Sep 17 23:45:59 2011 +0100

    Update CHM mime-type
    
    It now uses the application/vnd.ms-htmlhelp mime-type instead
    of application/x-chm.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=40976

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a996cd2b03b0af355c81a9e90b97fcdcc8623886
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Sep 2 11:43:01 2011 +0100

    Add another magic for XSPF files

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 43eff0013d13e53b8abedca27d0c682b0a9befc3
Author: Benjamin Drung <bdrung@debian.org>
Date:   Tue Aug 30 18:14:34 2011 +0200

    Add text/x-scala mime type.
    
    Scala is a programming language.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=37831

 freedesktop.org.xml.in | 5 +++++
 tests/list             | 1 +
 tests/test.scala       | 5 +++++
 3 files changed, 11 insertions(+)

commit 7fd0d942bf0a541b60b1bbf638ffff4b4f838e4d
Author: David Faure <faure@kde.org>
Date:   Sat Aug 20 11:41:18 2011 +0200

    Add application/x-iso9660-image alias for application/x-cd-image
    
    Found on http://www.kubuntu.org/getkubuntu/download#download-block

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 37ae662cceaf9e982b87dcfa5ea6b2dc46efdeda
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 16 18:47:48 2011 +0100

    Make dash scripts shell scripts
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39757

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 76cdf1adbd86efd5ca204ccbe5e10f434f096b1f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Aug 16 18:37:38 2011 +0100

    Add *.php5 and *.phps as patterns for PHP
    
    https://bugs.freedesktop.org/show_bug.cgi?id=39889

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 4d0d159987404bf90d31b3df902c9ef56a704978
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Jul 14 11:32:10 2011 +0100

    Add WebVTT mime-type and test

 freedesktop.org.xml.in           | 11 +++++++++++
 tests/list                       |  2 ++
 tests/upc-video-subtitles-en.vtt | 33 +++++++++++++++++++++++++++++++++
 3 files changed, 46 insertions(+)

commit 911181c14b1f674bb590aaf4bb91da93c49ba4b5
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jun 24 16:44:13 2011 +0300

    Update GPLv2 copy from gnu.org for FSF address fixes etc.
    
    http://www.gnu.org/licenses/gpl-2.0.txt

 COPYING | 43 +++++++++++++++++++++----------------------
 1 file changed, 21 insertions(+), 22 deletions(-)

commit ed7adf09de65d8cfdf96ba4ce60ad79730e8e56e
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Jun 24 16:32:04 2011 +0300

    Finnish translation update.

 po/fi.po | 1102 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 559 insertions(+), 543 deletions(-)

commit eb5f17c1ae435ab4aaf267b9373903be05448f94
Author: David Faure <faure@kde.org>
Date:   Tue Jun 21 15:40:21 2011 +0200

    Add text/x-markdown
    
    References:
      https://bugs.freedesktop.org/show_bug.cgi?id=27441

 freedesktop.org.xml.in |  8 +++++++-
 tests/list             |  2 ++
 tests/markdown.md      | 13 +++++++++++++
 3 files changed, 22 insertions(+), 1 deletion(-)

commit 3c853731949066cfd3dcbf3a37314cefb6476a6a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 20 10:54:58 2011 +0100

    build: Error out on invalid XML
    
    So that it's clear that the xml DTD checking failed.

 Makefile.am | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 1b26e8117d21bde4da4a05b81797fecfc656cf93
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jun 20 10:51:29 2011 +0100

    build: Always run xmllint

 Makefile.am | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit e96c430138624432b4695d1204e4417392b58988
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jun 18 22:40:14 2011 +0300

    Finnish translation update.

 po/fi.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit b465cec3db4056f6871ce3d5ab97d987c3f7799f
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Jun 18 22:20:00 2011 +0300

    Use text/vcard instead of deprecated text/directory for vCards.

 freedesktop.org.xml.in | 4 +++-
 tests/list             | 4 ++--
 2 files changed, 5 insertions(+), 3 deletions(-)

commit 9beea2e36c57eda15254948247df4f2602787822
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Mon Jun 6 22:25:51 2011 +0300

    Add DVI, PKCS, RELAX NG, and S/MIME acronyms.

 freedesktop.org.xml.in | 16 ++++++++++++++++
 1 file changed, 16 insertions(+)

commit 274cec03396ccdc4db6cdfc8c330de1fb9a1fe4b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun May 29 00:43:13 2011 +0300

    Finnish translation update.

 po/fi.po | 33 ++++++++++++++++-----------------
 1 file changed, 16 insertions(+), 17 deletions(-)

commit e7711389f3446696d1a5bfcda408bd1fc65f3bd5
Author: Fabian Deutsch <fabian.deutsch@gmx.de>
Date:   Tue Feb 8 09:59:26 2011 +0100

    Added a *.wsgi pattern for python scripts.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=34020

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 446468bf39b14c7b0e685cab6c003f52e875b7b2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 25 15:24:26 2011 +0100

    Remove glob from text/x-uri
    
    It's never actually used, and *.url clashes with application/x-mswinurl
    which is widely used.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=21949

 freedesktop.org.xml.in | 3 +--
 tests/list             | 2 +-
 2 files changed, 2 insertions(+), 3 deletions(-)

commit 89df2aaf458d48faaeaa072c42c8938283969d9b
Author: Pino Toscano <pino@kde.org>
Date:   Sun Jun 20 22:59:13 2010 +0200

    Add application/x-nzb.
    
    Reference:
    http://docs.newzbin.com/index.php/Newzbin:NZB_Specs
    
    https://bugs.freedesktop.org/show_bug.cgi?id=10029

 freedesktop.org.xml.in |  8 ++++++++
 tests/list             |  2 ++
 tests/sample1.nzb      | 18 ++++++++++++++++++
 3 files changed, 28 insertions(+)

commit f5489ecc429b8a8d13e33c502df83dd5a2794cef
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 25 14:46:30 2011 +0100

    Move application/x-reject to text/x-reject
    
    Seeing as it's a text file.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=37204

 freedesktop.org.xml.in | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f8dcba542172bcbaf12cbd49a64a3de6bb1692fb
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:   Wed Dec 8 12:32:28 2010 +0000

    Less magic for FLTK fluid files
    
    The original magic for FLTK fluid files will match any file that starts
    with "version".
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30656

 freedesktop.org.xml.in     |   3 -
 tests/bug-30656-xchat.conf | 167 +++++++++++++++++++++++++++++++++++++++++++++
 tests/list                 |   2 +
 3 files changed, 169 insertions(+), 3 deletions(-)

commit 64e07e7c4f5ba8e7fddf242e480129bdcac23c72
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Fri Apr 22 22:53:58 2011 +0400

    Add description of VRML acronym
    
    https://bugs.freedesktop.org/show_bug.cgi?id=36505

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 3b6f8a039565e35d09ff3ef5e1f26d6761658de1
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Fri Apr 22 22:21:52 2011 +0400

    Add 2 new suffixes for VRML document
    
    https://bugs.freedesktop.org/show_bug.cgi?id=36502

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 62a825dc42b01c0e86597c263184af63b51e40dd
Author: Michel Alexandre Salim <salimma@fedoraproject.org>
Date:   Sun Mar 13 14:58:20 2011 +0100

    Add *.ss extension to text/x-scheme
    
    And add regression tests for text/x-scheme extensions
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31534

 freedesktop.org.xml.in |  1 +
 tests/list             |  4 ++++
 tests/test.scm         | 15 +++++++++++++++
 tests/test.ss          | 15 +++++++++++++++
 4 files changed, 35 insertions(+)

commit 7a62e6ebfd9ca58d73b57f85b2cbc8ec772c1898
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed May 25 13:29:04 2011 +0100

    po: Update from transifex

 po/ar.po          | 1291 +++++++++++++++++++++-------------------
 po/az.po          | 1289 +++++++++++++++++++++-------------------
 po/bg.po          | 1289 +++++++++++++++++++++-------------------
 po/bg_BG.po       | 1289 +++++++++++++++++++++-------------------
 po/bn_IN.po       | 1289 +++++++++++++++++++++-------------------
 po/ca.po          | 1291 +++++++++++++++++++++-------------------
 po/ca@valencia.po | 1289 +++++++++++++++++++++-------------------
 po/cs.po          | 1291 +++++++++++++++++++++-------------------
 po/cy.po          | 1289 +++++++++++++++++++++-------------------
 po/da.po          | 1291 +++++++++++++++++++++-------------------
 po/de.po          | 1291 +++++++++++++++++++++-------------------
 po/el.po          | 1291 +++++++++++++++++++++-------------------
 po/en_GB.po       | 1289 +++++++++++++++++++++-------------------
 po/eo.po          | 1685 ++++++++++++++++++++++++++++-------------------------
 po/es.po          | 1290 +++++++++++++++++++++-------------------
 po/eu.po          | 1289 +++++++++++++++++++++-------------------
 po/fa_IR.po       | 1289 +++++++++++++++++++++-------------------
 po/fi.po          | 1289 +++++++++++++++++++++-------------------
 po/fo.po          | 1289 +++++++++++++++++++++-------------------
 po/fr.po          | 1289 +++++++++++++++++++++-------------------
 po/ga.po          | 1291 +++++++++++++++++++++-------------------
 po/gl.po          | 1289 +++++++++++++++++++++-------------------
 po/he.po          | 1289 +++++++++++++++++++++-------------------
 po/hi.po          | 1289 +++++++++++++++++++++-------------------
 po/hu.po          | 1289 +++++++++++++++++++++-------------------
 po/id.po          | 1315 ++++++++++++++++++++++-------------------
 po/it.po          | 1291 +++++++++++++++++++++-------------------
 po/ja.po          | 1289 +++++++++++++++++++++-------------------
 po/kk.po          | 1291 +++++++++++++++++++++-------------------
 po/ko.po          | 1675 +++++++++++++++++++++++++++-------------------------
 po/lt.po          | 1289 +++++++++++++++++++++-------------------
 po/lv.po          | 1289 +++++++++++++++++++++-------------------
 po/ms.po          | 1289 +++++++++++++++++++++-------------------
 po/nb.po          | 1289 +++++++++++++++++++++-------------------
 po/nl.po          | 1289 +++++++++++++++++++++-------------------
 po/nn.po          | 1289 +++++++++++++++++++++-------------------
 po/pa.po          | 1289 +++++++++++++++++++++-------------------
 po/pl.po          | 1289 +++++++++++++++++++++-------------------
 po/pt.po          | 1289 +++++++++++++++++++++-------------------
 po/pt_BR.po       | 1289 +++++++++++++++++++++-------------------
 po/ro.po          | 1289 +++++++++++++++++++++-------------------
 po/ru.po          | 1291 +++++++++++++++++++++-------------------
 po/rw.po          | 1287 +++++++++++++++++++++-------------------
 po/sk.po          | 1291 +++++++++++++++++++++-------------------
 po/sl.po          | 1289 +++++++++++++++++++++-------------------
 po/sq.po          | 1289 +++++++++++++++++++++-------------------
 po/sr.po          | 1291 +++++++++++++++++++++-------------------
 po/sr@latin.po    | 1289 +++++++++++++++++++++-------------------
 po/sv.po          | 1291 +++++++++++++++++++++-------------------
 po/tr.po          | 1289 +++++++++++++++++++++-------------------
 po/uk.po          | 1289 +++++++++++++++++++++-------------------
 po/vi.po          | 1289 +++++++++++++++++++++-------------------
 po/wa.po          | 1289 +++++++++++++++++++++-------------------
 po/zh_CN.po       | 1289 +++++++++++++++++++++-------------------
 po/zh_TW.po       | 1291 +++++++++++++++++++++-------------------
 55 files changed, 38313 insertions(+), 33417 deletions(-)

commit 85efd184e0680f311c6b7cfdab758d6ab5a3bace
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Apr 3 12:31:27 2011 +0300

    Fix XSL root-XML localName.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=26315

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 442456c1a2d917b2370a635b86b21999d628a95c
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Apr 3 12:07:43 2011 +0300

    Add application/vnd.tcpdump.pcap.
    
    http://www.iana.org/assignments/media-types/application/vnd.tcpdump.pcap

 freedesktop.org.xml.in |  12 ++++++++++++
 tests/ancp.pcap        | Bin 0 -> 5702 bytes
 tests/dns.cap          | Bin 0 -> 4338 bytes
 tests/list             |   3 +++
 4 files changed, 15 insertions(+)

commit c40b98f575fee267480917c9511d160ae9611c09
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 30 16:25:52 2011 +0100

    po: Update translations from Transifex

 po/LINGUAS        |   10 +
 po/ar.po          | 1304 +++++++++++-----------
 po/az.po          | 2786 +++++++++++++++++++++++++++++++--------------
 po/bg.po          | 1358 ++++++++++++----------
 po/bg_BG.po       | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/bn_IN.po       | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/ca.po          |   34 +-
 po/ca@valencia.po | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/cs.po          | 1238 ++++++++++----------
 po/cy.po          | 3058 +++++++++++++++++++++++++++++++-------------------
 po/da.po          | 1569 +++++++++++++-------------
 po/de.po          |  683 +++++-------
 po/el.po          | 2509 ++++++++++++++++++++++++++++-------------
 po/en_GB.po       | 1987 ++++++++++++++++++++++++---------
 po/eo.po          | 2288 +++++++++++++++++++++++++++----------
 po/es.po          |  625 +++++------
 po/eu.po          | 1338 +++++++++++-----------
 po/fa_IR.po       | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/fi.po          | 1018 ++++++-----------
 po/fo.po          | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/fr.po          | 1235 ++++++++++----------
 po/ga.po          | 1265 +++++++++++----------
 po/gl.po          | 1319 +++++++++++-----------
 po/he.po          | 1295 ++++++++++-----------
 po/hi.po          | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/hu.po          |  602 +++++-----
 po/id.po          | 1252 ++++++++++-----------
 po/it.po          | 1357 +++++++++++-----------
 po/ja.po          | 1437 +++++++++++-------------
 po/kk.po          |  145 +--
 po/ko.po          | 1409 +++++++++++++----------
 po/lt.po          | 1301 ++++++++++-----------
 po/lv.po          | 1400 +++++++++++++----------
 po/ms.po          | 2704 ++++++++++++++++++++++++++++----------------
 po/nb.po          | 1523 +++++++++++++++----------
 po/nl.po          | 1416 ++++++++++++-----------
 po/nn.po          | 1489 ++++++++++++++-----------
 po/pa.po          | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/pl.po          |   33 +-
 po/pt.po          | 2313 +++++++++++++++++++++++++++-----------
 po/pt_BR.po       | 2038 +++++++++++++--------------------
 po/ro.po          | 1238 ++++++++++----------
 po/ru.po          |  163 +--
 po/rw.po          | 3226 +++++++++++++++++++++++++++++++++--------------------
 po/sk.po          | 1456 ++++++++++++------------
 po/sl.po          |   42 +-
 po/sq.po          | 1441 ++++++++++++++----------
 po/sr.po          | 2814 +++++++++++++++++++++++++++-------------------
 po/sr@latin.po    | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/sv.po          | 1313 +++++++++++-----------
 po/tr.po          | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/uk.po          |   39 +-
 po/vi.po          | 1391 +++++++++++++----------
 po/wa.po          | 2561 ++++++++++++++++++++++++++++++++++++++++++
 po/zh_CN.po       | 1385 +++++++++++------------
 po/zh_TW.po       |  738 +++++-------
 56 files changed, 60933 insertions(+), 27261 deletions(-)

commit 725d754d1d602a6629213fcb151bd7c9d1563df6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Mar 30 12:02:32 2011 +0100

    build: Update for the new Transifex way of doing things
    
    en_GB: Progress, my arse.
    en_US: Progress, my ass.
    fr_FR: Progrés, mon cul.

 .tx/config  | 8 ++++++++
 HACKING     | 1 +
 Makefile.am | 6 +++++-
 3 files changed, 14 insertions(+), 1 deletion(-)

commit 33d8528a21a164c95fc464466a404f33ea33bbcd
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Mar 25 19:50:54 2011 +0200

    Add application/vnd.openxmlformats-officedocument.spreadsheetml.template.

 freedesktop.org.xml.in | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 9e6d8463c40249363a1969af343f8260bdecf565
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Mar 20 00:59:00 2011 +0000

    Add magic and test files for Megadrive ROMs

 freedesktop.org.xml.in |   5 +++++
 tests/genesis1.bin     | Bin 0 -> 1024 bytes
 tests/genesis2.bin     | Bin 0 -> 1024 bytes
 tests/list             |   4 ++++
 4 files changed, 9 insertions(+)

commit 0b66428b07f4a86beb4d2c26341e81620bf21fbf
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Mar 17 18:35:31 2011 +0200

    Ignore mime-db-tests/version.

 mime-db-tests/.gitignore | 1 +
 1 file changed, 1 insertion(+)

commit e675b4569f768fd239a8b5e71548b7ba9c401a86
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Tue Mar 15 12:57:35 2011 +0200

    Add application/vnd.openxmlformats-officedocument.presentationml.slide.

 freedesktop.org.xml.in | 7 +++++++
 1 file changed, 7 insertions(+)

commit f79b63d66f88ff5582e2f9229fe3d014d0c89e53
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Mar 12 10:40:04 2011 +0200

    Add application/vnd.openxmlformats-officedocument.wordprocessingml.template.

 freedesktop.org.xml.in | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit 383ba08b19e58f7497e68a6db30ef9258ffa4fdc
Author: Pino Toscano <pino@kde.org>
Date:   Thu Mar 3 15:50:51 2011 +0100

    automake: remove also the "version" file on uninstall

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 956029b3293c695ad9cc57aba2066398836f5699
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 28 16:28:45 2011 +0000

    doc: Update HACKING file for new Transifex setup

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8ba122f1dc9ae201452388b8775f3ae5a51fed84
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Feb 26 14:25:21 2011 +0200

    Add more recently IANA-registered MS Office 12 and OOXML types.

 freedesktop.org.xml.in | 21 ++++++++++++++++++---
 1 file changed, 18 insertions(+), 3 deletions(-)

commit 1fdf988fcbc441503718b0106bc67cf4be36d600
Author: David Faure <faure@kde.org>
Date:   Fri Feb 4 11:58:58 2011 +0100

    Generate version file

 update-mime-database.c | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

commit d61aa329efdc70c938777da84aa097a2482fa8d4
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Feb 18 22:48:27 2011 +0200

    Add some aliases to java class files.

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit a4e5926190870e67d2ed2a3b0ee61906719e42d0
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Feb 18 22:40:32 2011 +0200

    Add video/vnd.mpegurl.

 freedesktop.org.xml.in | 11 +++++++++++
 1 file changed, 11 insertions(+)

commit 1aea9e8d9429217d6b78102839bc7a40e3fe0fe7
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Feb 18 17:33:35 2011 +0200

    Add more recently IANA-registered MS Office 12 types.

 freedesktop.org.xml.in | 25 +++++++++++++++++++++++--
 1 file changed, 23 insertions(+), 2 deletions(-)

commit 7ea87c3f2a3d91d7296bc75789ad1042ae31232c
Author: Pino Toscano <pino@kde.org>
Date:   Tue Feb 15 12:28:25 2011 +0100

    fix typo

 NEWS | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 225aa17c1b5eef96722c0ba6582c12f0ac36a805
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Feb 3 20:11:27 2011 +0200

    Add recently IANA-registered MS Office 12 types.

 freedesktop.org.xml.in | 32 ++++++++++++++++++++++++++++++--
 1 file changed, 30 insertions(+), 2 deletions(-)

commit d19db1510d1d0951ac06af6bde6f0b94c54f3da0
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Feb 3 19:52:22 2011 +0200

    Improve generic-icons for PowerPoint 2007 and Excel 2007.

 freedesktop.org.xml.in | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit dbcd2267902cb10396f65df6d3b1b8eb9db70e8e
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jan 30 17:09:57 2011 +0200

    Add video/3gp, video/x-mpeg, video/x-mpeg2, video/divx, and video/msvideo aliases.

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 6513924c95384cb9f322078375def0c52a3fe9e5
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Jan 19 16:14:03 2011 +0000

    Add another alias for ASX mime-types
    
    See https://bugzilla.gnome.org/show_bug.cgi?id=639958

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 8fdb907b7b2ddda702cc4317b65cea8e24787d3e
Author: Jakub Stachowski <qbast@go2.pl>
Date:   Sat Jan 15 17:40:39 2011 +0100

    Add application/x-mobipocket-ebook.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32769

 freedesktop.org.xml.in |  14 ++++++++++++++
 tests/list             |   1 +
 tests/test.mobi        | Bin 0 -> 7640 bytes
 3 files changed, 15 insertions(+)

commit d14a3b3b751679515a196ab2ba1f29c94d4e6e0d
Author: Pino Toscano <pino@kde.org>
Date:   Fri Jan 14 22:24:43 2011 +0100

    Add application/x-fictionbook as alias for the fictionbook mimetype.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=33133

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit fcff6d94c20adc58b9c8be61b79ab468b0a7689d
Author: David Faure <faure@kde.org>
Date:   Wed Jan 5 01:49:04 2011 +0100

    Add mimetype for Qt QML files, with glob, magic, and test file.

 freedesktop.org.xml.in | 7 +++++++
 tests/list             | 2 ++
 tests/rectangle.qml    | 5 +++++
 3 files changed, 14 insertions(+)

commit 1948a43c922007911350954e9eafd09d75cd5877
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Mon Dec 27 00:04:26 2010 +0200

    Add root-XML for SVG.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 45b0768d5e5af181d3e970f075056e6d39341440
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Dec 16 20:50:12 2010 +0200

    Add application/vnd.android.package-archive.

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit b4f7fd10977bcd4da66ee2e297d89ae65d1aae2d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Dec 16 20:48:15 2010 +0200

    Make application/x-java-archive sub-class-of application/zip.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 7098e269678db16f7a06d7e8454d919133c892a9
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Dec 16 20:44:49 2010 +0200

    Add zip and jar test files.

 tests/list     |   4 ++++
 tests/test.jar | Bin 0 -> 779 bytes
 tests/test.zip | Bin 0 -> 174 bytes
 3 files changed, 4 insertions(+)

commit 68e31f61f5e50e5222bc05437d1123e932922796
Author: Samuli Suominen <ssuominen@gentoo.org>
Date:   Mon Dec 6 19:46:57 2010 +0000

    Fix parallel build
    
    https://bugs.freedesktop.org/show_bug.cgi?id=32127

 Makefile.am | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 85fb6a47c6d3baa62b3bc8972abd969414e374ce
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 6 12:18:19 2010 +0000

    Replace WWF test file with real one
    
    This one was created using the MacOS X tool from the text.pdf file.

 tests/text.wwf | Bin 82447 -> 57643 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 26e216b38343f34ede74e2452554a6db58ce2384
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Dec 6 01:04:42 2010 +0000

    Update transifex URL

 HACKING | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4b70f452440e5c36af0536122c2486f0a5a606cd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Dec 3 23:20:48 2010 +0000

    Add WWF filetype
    
    Less paper printing!
    http://www.saveaswwf.com/en/home.html

 freedesktop.org.xml.in |   7 +++++++
 tests/list             |   1 +
 tests/text.wwf         | Bin 0 -> 82447 bytes
 3 files changed, 8 insertions(+)

commit 93bc0cf62bf5437619970da25b91848593eb0382
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Dec 2 20:31:25 2010 +0000

    Add missing test.cbl file

 tests/test.cbl | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

commit 1b716d7f4d6548effb8473301acd72ed59cb358b (tag: Release-0-90)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Wed Dec 1 17:34:00 2010 +0000

    0.90

 NEWS         | 19 +++++++++++++++++++
 configure.in |  4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit ce7c346e9c3fc4e32b58be17d6977cfc50854518
Author: Fernando Brito <email@fernandobrito.com>
Date:   Wed Dec 1 17:00:21 2010 +0000

    Add mime-types for Cobol
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31877

 freedesktop.org.xml.in | 8 ++++++++
 tests/list             | 1 +
 2 files changed, 9 insertions(+)

commit 887a81c0b1a5f232aadb50d1daed4988315c256b
Author: nddrylliog <nddrylliog@gmail.com>
Date:   Mon Feb 1 13:40:27 2010 +0100

    Added text/x-ooc mime type
    
    https://bugs.freedesktop.org/show_bug.cgi?id=26353

 freedesktop.org.xml.in |  7 +++++++
 tests/list             |  1 +
 tests/test.ooc         | 10 ++++++++++
 3 files changed, 18 insertions(+)

commit 6a1aad4e1e7c9857a25134dac9f5be13231101f5
Author: gisdlb <gisdlb@trash-mail.com>
Date:   Wed Dec 1 16:44:02 2010 +0000

    Add mime-type for pdf.xz files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31445

 freedesktop.org.xml.in |   6 ++++++
 tests/list             |   1 +
 tests/test.pdf.xz      | Bin 0 -> 3584 bytes
 3 files changed, 7 insertions(+)

commit 394668f9ea56aa1400baa6e8ce879c0fcadb8c85
Author: Kenny Meyer <knny.myer@gmail.com>
Date:   Mon Nov 29 17:28:21 2010 -0300

    add go source code

 freedesktop.org.xml.in | 5 +++++
 tests/list             | 2 ++
 tests/test.go          | 5 +++++
 3 files changed, 12 insertions(+)

commit a69fe92a2577396bd5082f07131be5e574b6c309
Author: Alexander Potashev <aspotashev@gmail.com>
Date:   Sat Nov 20 06:17:41 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 1229 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 628 insertions(+), 601 deletions(-)

commit 30d811f23b9d973013a001bd531085e6c7eb22e8
Author: Pino Toscano <pino@kde.org>
Date:   Mon Nov 15 20:03:09 2010 +0100

    Add a simple test case for text/directory (vcard).

 tests/list     | 2 ++
 tests/test.vcf | 7 +++++++
 2 files changed, 9 insertions(+)

commit fb46da8067b878903701c58fc7c1e69cd19212fa
Author: Pino Toscano <pino@kde.org>
Date:   Mon Nov 15 18:51:22 2010 +0100

    Make the `all' target command-less.
    
    Split the creation of shared-mime-info.pot in an own target, called `create-pot',
    and add it as dependency to `all'.

 Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 289f88f23f46f90d3022c5a889012896f0ef52f8
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Nov 11 21:00:40 2010 +0200

    Fix generic-icon content model in DTD to be EMPTY instead of PCDATA.

 freedesktop.org.xml.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b95fec692909a8d260f851dc4a2e816b8684ba6d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Nov 6 15:49:56 2010 +0200

    Add *.gem (Ruby Gem) glob to application/x-tar.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 32e623a2acab85e7d704fe1ca5ce9a23b869e5fe
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Nov 6 15:48:12 2010 +0200

    Cosmetic cleanups; trailing whitespace, indentation etc.

 freedesktop.org.xml.in | 113 ++++++++++++++++++++++++-------------------------
 1 file changed, 55 insertions(+), 58 deletions(-)

commit 177a27d14b11667a35b242d7829face32a8ba8d2
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Nov 6 15:42:32 2010 +0200

    Add root-XML for XSLT.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit b4bd7ab42721e9fa853fefce82c71d84981775fa
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Sat Nov 6 09:29:05 2010 +0000

    l10n: Updated Catalan (ca) translation to 100%
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ca.po | 572 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 288 insertions(+), 284 deletions(-)

commit 09815d17eb2b59439385f7445788f26a34b4e790
Author: mateju <>
Date:   Fri Nov 5 20:07:40 2010 +0000

    l10n: Updated Slovenian translation
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sl.po | 592 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 305 insertions(+), 287 deletions(-)

commit 62fe419b7719a51be6ba482fdc88b0d322108cf7
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Mon Nov 1 20:49:33 2010 +0100

    Add XSL magic and testcase
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31302

 freedesktop.org.xml.in | 3 +++
 tests/list             | 1 +
 tests/test.xsl         | 8 ++++++++
 3 files changed, 12 insertions(+)

commit 74df37acd2d49c67e28fec383d0bd26ce424a77e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Nov 5 16:46:55 2010 +0000

    Add test for Panasonic rw2 images

 tests/list                            |   2 ++
 tests/panasonic_lumix_dmc_fz38_05.rw2 | Bin 0 -> 524288 bytes
 2 files changed, 2 insertions(+)

commit 234e6041a0223f8780b76beda0da1f0fea2da4c7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Nov 5 14:38:21 2010 +0000

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 576 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 290 insertions(+), 286 deletions(-)

commit 3c2f39d6db93b36d2fd72f78b1e5e0201b81c2ba
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Nov 5 10:50:27 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 572 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 288 insertions(+), 284 deletions(-)

commit 2743f1d184d406191f5dd41d73c489052e4bd01e
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Wed Nov 3 20:22:08 2010 +0000

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 626 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 574 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 289 insertions(+), 285 deletions(-)

commit 09a20a04d0556419ad019f71522e5b43bfd22ce8
Author: kelemeng <kelemeng@gnome.hu>
Date:   Wed Nov 3 18:34:57 2010 +0000

    l10n: Updated Hungarian (hu) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/hu.po | 1211 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 617 insertions(+), 594 deletions(-)

commit 51cbde9068b6528af8b01207c11172b72d78cc35
Author: David Faure <faure@kde.org>
Date:   Tue Nov 2 21:56:46 2010 +0100

    Add new mimetype for panasonic rw2 images
    
    Magic determined from http://img.photographyblog.com/reviews/panasonic_lumix_dmc_fz38/sample_images/panasonic_lumix_dmc_fz38_05.rw2
    but all sample files I can find on the web are way too big for importing here.
    KDE bug report https://bugs.kde.org/show_bug.cgi?id=255570

 freedesktop.org.xml.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 6f9eb7efdf4a727e140cb44042476fa1e58dcc7d
Author: Jorge González <aloriel@gmail.com>
Date:   Mon Nov 1 17:34:13 2010 +0000

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/es.po | 1217 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 620 insertions(+), 597 deletions(-)

commit 3a2507c6bab7372b95739a4be69cb2cb4bbbda86
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Nov 1 11:06:27 2010 +0000

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 93%
    
    New status: 584 messages complete with 4 fuzzies and 37 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_TW.po | 5 ++---
 1 file changed, 2 insertions(+), 3 deletions(-)

commit 2a567d137470886ffbdb60253b1cb8667fc1cdf6
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Nov 1 11:05:17 2010 +0000

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 93%
    
    New status: 583 messages complete with 5 fuzzies and 37 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_TW.po | 341 +++++++++++++++++++++++++-----------------------------------
 1 file changed, 143 insertions(+), 198 deletions(-)

commit 6b005f188b5af4c963944dcfbdbc98adca450fc8
Author: Edward Sheldrake <ejsheldrake@gmail.com>
Date:   Mon Nov 1 10:04:10 2010 +0000

    Make CMakefiles a sub-class of text/plain
    
    So the files can be edited like any other text files.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=31261

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit d98f17086637f924ffc931d96e9937f9400a6197
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Oct 14 01:44:11 2010 +0100

    Add gitignore for mime-db tests

 mime-db-tests/.gitignore | 13 +++++++++++++
 1 file changed, 13 insertions(+)

commit 523de346dc4886fff6bef2c0b9dc1bc77335305c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Oct 14 01:42:48 2010 +0100

    Fix crasher with incomplete magic element
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28527

 Makefile.am                         |  5 ++++-
 mime-db-tests/packages/bug28527.xml | 18 ++++++++++++++++++
 update-mime-database.c              |  6 ++++++
 3 files changed, 28 insertions(+), 1 deletion(-)

commit d3351885380c54716f42896a64316e4534fe4239
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Oct 31 14:28:48 2010 +0000

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 72%
    
    New status: 454 messages complete with 59 fuzzies and 112 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_TW.po | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 809ab4b87256aca1cec353c9de428adba9340ef8
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Sun Oct 31 14:27:34 2010 +0000

    l10n: Updated Chinese (Taiwan) (zh_TW) translation to 72%
    
    New status: 454 messages complete with 59 fuzzies and 112 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_TW.po | 2680 ++++++++++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 1909 insertions(+), 771 deletions(-)

commit 111c7138814d1a4880c14679f19ff012c3c99f4a
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Oct 25 10:19:52 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 1207 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 615 insertions(+), 592 deletions(-)

commit 930110eba4e708ecfa4d32e1457e0c5d9b01b6d1
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sun Oct 24 17:59:25 2010 +0000

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 397 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 204 insertions(+), 193 deletions(-)

commit fab753b81c48bf60db0bd89155cc43c16cc46559
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Sat Oct 23 20:43:09 2010 +0000

    l10n: Updated Catalan (ca) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ca.po | 1207 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 615 insertions(+), 592 deletions(-)

commit 13956b7256d6a02862a55c4d2ebd00199754f6e9
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Fri Oct 22 09:51:57 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 37 ++++++++++++++++++-------------------
 1 file changed, 18 insertions(+), 19 deletions(-)

commit 3a04d32e6ae090ae09a1784d4b403a542e7a7934
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat Oct 9 18:04:43 2010 +0300

    Make application/epub+zip sub-class-of application/zip.

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 2f909cff817a3f08d12321769173cac2de0da1b4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 8 15:43:02 2010 +0100

    Update date in the spec

 shared-mime-info-spec.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5aa2b9f3b28fe0cd3a7990a414be67f9391ec190
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 5 16:29:11 2010 +0100

    Add mentions of x-scheme-handler/ in spec

 shared-mime-info-spec.xml | 24 +++++++++++++++++++++++-
 1 file changed, 23 insertions(+), 1 deletion(-)

commit 5b23944d74687a8c319e291f29e3b4bfd9945268
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 8 11:43:51 2010 +0100

    Not all *.ram files are text/plain
    
    Some of them are videos hiding out as *.ram

 freedesktop.org.xml.in | 1 -
 1 file changed, 1 deletion(-)

commit ad12ee57099c66a893fb78dd500af877d6fd7f4c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Oct 8 11:43:26 2010 +0100

    Add test file for Real Video hiding as playlist

 tests/bbc.ram | Bin 0 -> 204800 bytes
 tests/list    |   3 +++
 2 files changed, 3 insertions(+)

commit b6f20d9d6fb3156e54d70c6852d22de339263dff
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Thu Oct 7 17:30:51 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d94840b6f967ec40713d01d8387f6344c76f48d4
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Thu Oct 7 17:30:08 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2d50e2a9047a62982ab0bfeb74b448c47936dfdc
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Thu Oct 7 17:22:06 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a0b7bdc354f32290fbe9a8a9714e457d19eafcbd
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Oct 5 10:56:50 2010 +0100

    Ignore the x-scheme-handler mime-types from GNOME

 update-mime-database.c | 1 +
 1 file changed, 1 insertion(+)

commit cc598327f06e4e28c793a3a8417a0b73d6db19e7
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Mon Oct 4 10:29:06 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 13 ++++++-------
 1 file changed, 6 insertions(+), 7 deletions(-)

commit f0a418a0e37f5645821f0aab22863cfd51dfbf61
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Oct 1 12:08:39 2010 +0000

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 625 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 388 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 198 insertions(+), 190 deletions(-)

commit beca76ed2a757bbf74118e522d5a6e05f71fcbf4 (tag: Release-0-80)
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 30 18:12:51 2010 +0100

    0.80

 NEWS         | 39 +++++++++++++++++++++++++++++++++++++++
 configure.in |  2 +-
 2 files changed, 40 insertions(+), 1 deletion(-)

commit 8d929c670e0022633ece42221d33eff453321230
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 30 17:51:01 2010 +0100

    Add some magic for BibTeX files
    
    This avoids the ones created with JabRef from showing up
    as Matlab file once selected in Nautilus.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29733

 freedesktop.org.xml.in | 3 +++
 tests/bibtex.bib       | 5 +++++
 tests/list             | 2 ++
 3 files changed, 10 insertions(+)

commit fbeea9faecea25d546ab01c520327a5d918b20c2
Author: Christian Persch <chpe@gnome.org>
Date:   Sun Sep 5 20:47:51 2010 +0200

    Add application/oxps mime type
    
    Use application/oxps as the primary mime type for the existing XPS
    mime entry, and add the application/vnd.mx-xpsdocument as an alias.
    Add *.oxps glob.
    
    See ECMA 388 specification, appendix E section E.1 .
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30034

 freedesktop.org.xml.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 9ac7a381b8414199e96c436b36aa03339a1d0a71
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 30 17:34:51 2010 +0100

    Add another alias for RAR files
    
    As used by Apache and Wikipedia.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=27826

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 4272b8a01ae513fc67833163507bd8b7e6f15362
Author: Ben James <something_for_the_pain@hotmail.com>
Date:   Sat Sep 4 17:38:32 2010 +0100

    Add SystemVerilog header/source mime and tests
    
    Also changed Verilog and VHDL from "document" to "source code"
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30012

 freedesktop.org.xml.in | 14 ++++++++++++--
 tests/list             |  2 ++
 tests/test.sv          | 10 ++++++++++
 tests/test.svh         |  8 ++++++++
 4 files changed, 32 insertions(+), 2 deletions(-)

commit 8867fb840ae698be0c800218efd7aaa23492ef83
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Sep 30 17:16:35 2010 +0100

    Add some repo details for xdgmime

 HACKING | 7 ++++++-
 README  | 2 +-
 2 files changed, 7 insertions(+), 2 deletions(-)

commit 473a34f7f9937050dc722712c2c7572483015bfc
Author: Paul Menzel <paulepanter@users.sourceforge.net>
Date:   Sun Sep 5 19:54:44 2010 +0200

    Add `application/x-tex` alias for TeX documents (`text/x-tex`).
    
    Similarily to https://bugs.freedesktop.org/show_bug.cgi?id=29876 this adds the alias `application/x-tex` so that attached files with the following content type [1]
    
        Content-Type: application/x-tex; name="letter.tex"
        Content-Disposition: attachment; filename="letter.tex"
        Content-Transfer-Encoding: base64
        X-Attachment-Id: f_gdprmpui0
    
    can be displayed inline in for example Evolution.
    
    [1] http://www.ntg.nl/pipermail/ntg-context/2010/052140.html
    
    Signed-off-by: Paul Menzel <paulepanter@users.sourceforge.net>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=30033

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 0abb040e331a83ecd0da95e119a8c9e026e4ecd0
Author: claudep <claude@2xlibre.net>
Date:   Thu Sep 23 20:33:25 2010 +0000

    l10n: Updated French (fr) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/fr.po | 1271 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 659 insertions(+), 612 deletions(-)

commit 1bdf1bc81b6e0d99648a2a7ade2c96e03330b9cf
Author: mateju <>
Date:   Thu Sep 16 17:54:53 2010 +0000

    l10n: Updated Slovenian (sl) translation to 100%
    
    New status: 623 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sl.po | 1294 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 657 insertions(+), 637 deletions(-)

commit e97b50cd64694a6f17b62d7e2c30b0f138996d88
Author: mariobl <mariobl@gnome.org>
Date:   Thu Sep 16 14:11:38 2010 +0000

    l10n: Updated German (de) translation to 100%
    
    New status: 623 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/de.po | 35 ++++++++++++++++++++---------------
 1 file changed, 20 insertions(+), 15 deletions(-)

commit 1c0df922f195174e5c20e8f0ed65cb7b070d90e5
Author: Petr Kovar <pknbe@volny.cz>
Date:   Fri Sep 10 21:11:12 2010 +0000

    l10n: Updated Czech (cs) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/cs.po | 1247 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 618 deletions(-)

commit 30c27b26d014161a9552f27715c9bb9f055f1f9d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Sep 7 18:23:17 2010 +0100

    Fix use of newlines in g_warning() calls
    
    Remove trailing newlines in g_warning calls, remove
    use of multi-line calls to g_warning.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29447

 update-mime-database.c | 97 ++++++++++++++++++++++++--------------------------
 1 file changed, 46 insertions(+), 51 deletions(-)

commit 7572627477a5ed8e95a04789999e6736c600ff88
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Mon Sep 6 16:10:19 2010 +0000

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 623 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 1193 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 602 insertions(+), 591 deletions(-)

commit 5ba60bdd7883396229425a29b651afd96237d273
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Sun Sep 5 09:41:55 2010 +0000

    l10n: Updated Japanese (ja) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ja.po | 1523 ++++++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 879 insertions(+), 644 deletions(-)

commit fed8bff7ca763acb82fe57c5ddf2e50360eb7836
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 4 13:56:07 2010 +0000

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 623 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 1187 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 598 insertions(+), 589 deletions(-)

commit 3a16c0673c40a4d7618c0e0a6e7a362d4a1d490f
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Wed Sep 1 17:00:49 2010 +0000

    l10n: Updated Italian (it) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/it.po | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit d327ced2e5fc5741fce0202bf502a16cc8fb4912
Author: Matthew Barnes <mbarnes@redhat.com>
Date:   Tue Aug 31 11:06:33 2010 +0100

    Add application/x-gettext alias for *.po files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29876

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit deb1a4b9077617cc0eb1f3e493babce7b81fd7ae
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Sun Aug 29 20:19:20 2010 +0000

    l10n: Updated Catalan (ca) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ca.po | 1247 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 618 deletions(-)

commit 4c616c49bff317a1069a1f21711b075c0ae9a798
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Aug 29 18:45:08 2010 +0000

    l10n: Updated Swedish (sv) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sv.po | 1272 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 659 insertions(+), 613 deletions(-)

commit eb59e6e8895c56994acd670c053497bb04970f0d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Aug 29 20:02:18 2010 +0300

    Add/reorder *.po Language headers.

 po/ar.po       | 3 ++-
 po/az.po       | 1 +
 po/be@latin.po | 1 +
 po/bg.po       | 1 +
 po/ca.po       | 3 ++-
 po/cs.po       | 1 +
 po/cy.po       | 1 +
 po/da.po       | 1 +
 po/de.po       | 2 +-
 po/el.po       | 1 +
 po/en_GB.po    | 1 +
 po/eo.po       | 1 +
 po/es.po       | 1 +
 po/eu.po       | 1 +
 po/fr.po       | 1 +
 po/ga.po       | 3 ++-
 po/gl.po       | 1 +
 po/he.po       | 3 ++-
 po/hu.po       | 3 ++-
 po/id.po       | 3 ++-
 po/it.po       | 1 +
 po/ja.po       | 1 +
 po/kk.po       | 3 ++-
 po/ko.po       | 1 +
 po/lt.po       | 2 +-
 po/lv.po       | 1 +
 po/ms.po       | 1 +
 po/nb.po       | 1 +
 po/nl.po       | 1 +
 po/nn.po       | 1 +
 po/pl.po       | 1 +
 po/pt.po       | 1 +
 po/pt_BR.po    | 1 +
 po/ru.po       | 3 ++-
 po/rw.po       | 1 +
 po/sk.po       | 1 +
 po/sl.po       | 1 +
 po/sq.po       | 1 +
 po/sr.po       | 1 +
 po/sv.po       | 1 +
 po/uk.po       | 1 +
 po/vi.po       | 1 +
 po/zh_CN.po    | 1 +
 po/zh_TW.po    | 1 +
 44 files changed, 52 insertions(+), 10 deletions(-)

commit d40a77560a03e0d3870ac066abf242622436a43d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Aug 29 18:18:35 2010 +0300

    Finnish translation update.

 po/fi.po | 1195 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 602 insertions(+), 593 deletions(-)

commit c3730a384397a98332ace2d746601c579e889c7b
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Aug 29 17:55:21 2010 +0300

    Language-Team name fixes.

 po/el.po | 2 +-
 po/es.po | 2 +-
 po/nb.po | 2 +-
 po/sk.po | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit 1b1b9b1d419e417691d87ba236e084d6c7bebd0e
Author: mariobl <mariobl@gnome.org>
Date:   Tue Aug 24 18:03:02 2010 +0000

    l10n: Updated German translation
    
    New status: 622 messages complete with 0 fuzzies and 1 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/de.po | 1392 ++++++++++++++++++++++++++++++++++----------------------------
 1 file changed, 774 insertions(+), 618 deletions(-)

commit 09f5e9b83a20f2ebf26fdd8739e201d0483bd32a
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Aug 20 18:16:16 2010 +0100

    Add an ebook reader x-content mime-type
    
    See:
    https://bugzilla.gnome.org/show_bug.cgi?id=627516

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 89f258121c68ccd2129b3bd073be6b68679da31d
Author: kelemeng <kelemeng@gnome.hu>
Date:   Fri Aug 20 15:05:10 2010 +0000

    l10n: Updated Hungarian (hu) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/hu.po | 1259 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 649 insertions(+), 610 deletions(-)

commit 314e385635d347ae1f554752aff8e080132900b3
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Fri Aug 20 14:43:45 2010 +0000

    l10n: Updated Italian (it) translation to 99%
    
    New status: 620 messages complete with 0 fuzzies and 1 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/it.po | 1251 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 638 insertions(+), 613 deletions(-)

commit fb77b65b0976e3c28e8f7570bdf8d3e2960319ac
Author: Andika Triwidada <andika@gmail.com>
Date:   Fri Aug 20 13:29:01 2010 +0000

    l10n: Updated Indonesian (id) translation to 98%
    
    New status: 614 messages complete with 3 fuzzies and 4 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/id.po | 1349 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 766 insertions(+), 583 deletions(-)

commit 5a0f2fe37278ae44f7e738cb4ec7fd91d6af7291
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu Aug 19 11:55:56 2010 +0300

    Add application/x-apple-diskimage.

 freedesktop.org.xml.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 29dbc2b7cbbc1e40b04de6201a2153a633bc4fc0
Author: Kevin Scannell <kscanne@gmail.com>
Date:   Tue Aug 17 18:36:13 2010 +0000

    l10n: Updated Irish (ga) translation to 99%
    
    New status: 620 messages complete with 0 fuzzies and 1 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ga.po | 1264 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 651 insertions(+), 613 deletions(-)

commit b70b55ae0d471356f3ff1f95b5c60c3ff17a8c84
Author: Jorge González <aloriel@gmail.com>
Date:   Tue Aug 17 16:56:07 2010 +0000

    l10n: Updated Spanish (Castilian) (es) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/es.po | 1261 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 650 insertions(+), 611 deletions(-)

commit 6d6cd807a08290346e19a8081f2ea322509d1e88
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Aug 15 16:35:36 2010 +0000

    l10n: Updated Romanian (ro) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ro.po | 1272 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 664 insertions(+), 608 deletions(-)

commit 5ab86db6f522037edceb4b50862f2e5b34d4610c
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sun Aug 15 13:49:16 2010 +0000

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 1246 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 617 deletions(-)

commit f0aba0e0dee3a22644351dfd1c239c9f28902149
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Sun Aug 15 08:45:02 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 1246 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 617 deletions(-)

commit 61acb7d70d00ffd8227e6811ed45467a0ebb6b54
Author: Aron Xu <happyaron.xu@gmail.com>
Date:   Fri Aug 13 15:21:43 2010 +0000

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_CN.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 9faa3378359f3e0b9c4f72eee485070ec304bfca
Author: Aron Xu <happyaron.xu@gmail.com>
Date:   Fri Aug 13 10:40:51 2010 +0000

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_CN.po | 1246 ++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 629 insertions(+), 617 deletions(-)

commit ad7a5528bd366dabc89828c7b7675f45a24403d2
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Aug 9 03:28:13 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 1244 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 628 insertions(+), 616 deletions(-)

commit bd78f71a2117541e0a03f8a8d4b956bc18ff1e2b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Aug 6 23:16:27 2010 +0000

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 621 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 1246 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 629 insertions(+), 617 deletions(-)

commit 81a04a518fb40d0b9e9bba220a6222a9152a2d78
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Fri Aug 6 19:37:36 2010 +0300

    Finnish translation update.

 po/fi.po | 1265 ++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 648 insertions(+), 617 deletions(-)

commit 0e151b87687e7095fd7fee2b5f893e37d15feb2c
Author: Jason Crain <jason@aquaticape.us>
Date:   Sat Jul 31 23:14:50 2010 -0500

    support for Windows Imaging Format Disk Image (.wim, .swm) files
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29336

 freedesktop.org.xml.in |   8 ++++++++
 tests/list             |   2 ++
 tests/test.wim         | Bin 0 -> 1542 bytes
 3 files changed, 10 insertions(+)

commit 692776b90f194870d162a558c177eff94dadf11d
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 28 00:49:53 2010 +0300

    Add JavaFX video.

 freedesktop.org.xml.in | 9 +++++++++
 1 file changed, 9 insertions(+)

commit d36536a2f447f9e09d44a75d4e424e11d9ae7468
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 28 00:36:35 2010 +0300

    Distinguish 3GPP and 3GPP2.
    
    http://tools.ietf.org/html/rfc4393
    http://www.ftyps.com/

 freedesktop.org.xml.in | 14 ++++++++++++--
 1 file changed, 12 insertions(+), 2 deletions(-)

commit 528f7b4fb597ccd9e8f68c87d25c83fb1cee2c95
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 28 00:31:52 2010 +0300

    Add more 3GPP magic strings.
    
    http://www.ftyps.com/

 freedesktop.org.xml.in | 3 +++
 1 file changed, 3 insertions(+)

commit e7c412c60377f54663f74dbfae3d24cddfd8c21f
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Wed Jul 28 00:30:48 2010 +0300

    Add 3GPP acronym.

 freedesktop.org.xml.in | 2 ++
 1 file changed, 2 insertions(+)

commit 7d42fc0da8068df8892842cc4005395471f4d2b0
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 20 18:33:05 2010 +0100

    Fix PDF magic detection
    
    As per spec, the first 1024 bytes can contain binary garbage, before
    the actual PDF magic header.
    
    With help from Philippe Gauthier <philippe.gauthier@deuxpi.ca>
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29083

 freedesktop.org.xml.in         |   2 +-
 tests/list                     |   2 ++
 tests/testcase.is-really-a-pdf | Bin 0 -> 13956 bytes
 3 files changed, 3 insertions(+), 1 deletion(-)

commit def619c94d1a2cc34c0d8d5ccf269b472ebf7bcf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 20 16:09:05 2010 +0100

    Remove VHDL magic
    
    It is too broad, and causes a large number of false positives.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=29084

 freedesktop.org.xml.in   | 3 ---
 tests/list               | 2 ++
 tests/ssh-public-key.txt | 7 +++++++
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 2c2855072c66480f21b2eb766080244b95060338
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jul 20 16:06:36 2010 +0100

    Add sl to LINGUAS

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 3cc82e7035a8b32041ee19aa07bd8ed3a644cb0d
Author: frandieguez <frandieguez@ubuntu.com>
Date:   Tue Jul 20 12:15:37 2010 +0000

    l10n: Updated to Galician translation
    
    New status: 325 messages complete with 5 fuzzies and 288 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/gl.po | 855 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 445 insertions(+), 410 deletions(-)

commit 35c4af293977a91984169509a197cb2a7ce16a01
Author: 甘 露 <rhythm.gan@gmail.com>
Date:   Sat Jul 17 11:07:30 2010 +0000

    l10n: Updated Chinese (China) (zh_CN) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_CN.po | 870 +++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 448 insertions(+), 422 deletions(-)

commit 1230b0d9173ed76e547c143a0ffccb7d151abe63
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Fri Jul 16 21:51:22 2010 +0000

    l10n: Updated Catalan (Valencian) (ca) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ca.po | 836 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 422 insertions(+), 414 deletions(-)

commit 4c1de1848daa7e29562e59c76795f08b022f5de5
Author: mateju <>
Date:   Fri Jul 16 16:15:39 2010 +0000

    l10n: Updated Slovenian translation.
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sl.po | 2530 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2530 insertions(+)

commit a3d680bd84cc6ae3b26dedf7db6671b59b069515
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Jul 11 18:47:43 2010 +0000

    l10n: Updated Czech (cs) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/cs.po | 853 +++++++++++++++++++++++++++++++++------------------------------
 1 file changed, 444 insertions(+), 409 deletions(-)

commit 8c9f6b075528d6309d75526db3d7351371a9eef4
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Sun Jul 11 16:10:54 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 39 +++++++++++++++++++--------------------
 1 file changed, 19 insertions(+), 20 deletions(-)

commit 27f64f9180e422bffae6339e0145c4fbb4a89041
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Sun Jul 11 16:06:47 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 844 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 427 insertions(+), 417 deletions(-)

commit 2140d22c04957c6a70c022bc953da77a4cfc8f51
Author: zayed <zayed.alsaidi@gmail.com>
Date:   Sat Jul 10 13:55:20 2010 +0000

    l10n: Updated Arabic (ar) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ar.po | 847 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 437 insertions(+), 410 deletions(-)

commit 3867ac052e45831efcd2ebbc661eab7fee6d224b
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sat Jul 10 04:53:52 2010 +0000

    l10n: Updated Ukrainian (uk) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 838 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 423 insertions(+), 415 deletions(-)

commit b9e440a19e2eaf225c14132c14d94b3685a4bef7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jul 9 15:11:06 2010 +0200

    Add test TIFF file from GNOME bug
    
    As uploaded to:
    https://bugzilla.gnome.org/show_bug.cgi?id=623861
    
    The file's data is detected as expected.

 tests/attachment.tif | Bin 0 -> 120583 bytes
 tests/list           |   2 ++
 2 files changed, 2 insertions(+)

commit 92d2cad83faf194ee45af8ee2a4cf1412c0ef726
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Thu Jul 1 10:06:54 2010 +0000

    l10n: Updated Hebrew (he) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 836 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 422 insertions(+), 414 deletions(-)

commit 2279604414a129b33b91be7190f7d3b383b828d0
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Jun 30 03:22:27 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 838 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 423 insertions(+), 415 deletions(-)

commit 2bf5b1053ab36a354f2133543d303228b7ce8ea3
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Mon Jun 28 23:30:44 2010 +0000

    l10n: Updated Lithuanian (lt) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/lt.po | 879 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 444 insertions(+), 435 deletions(-)

commit e0a4e7ba19321b1a68481d58c9047ef9a4430908
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Jun 28 12:14:43 2010 +0000

    l10n: Updated Polish (pl) translation to 100%
    
    New status: 618 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 838 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 423 insertions(+), 415 deletions(-)

commit 96f59cc251df3a392334916c785378aa76564f83
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Sun Jun 27 07:17:38 2010 +0000

    l10n: Updated Hebrew (he) translation to 100%
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 827 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 423 insertions(+), 404 deletions(-)

commit 15bbdb74dc20e436cdf609d9797f075d25bf89b2
Author: Alexander Saprykin <xelfium@gmail.com>
Date:   Fri Jun 18 22:04:07 2010 +0400

    Add Lrzip archive support
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28603

 freedesktop.org.xml.in |  16 +++++++++++++++-
 tests/archive.lrz      | Bin 0 -> 228 bytes
 tests/list             |   2 ++
 3 files changed, 17 insertions(+), 1 deletion(-)

commit e57bcfffd6e2dc11a010c07b839a0863e471c6e1
Author: Pavel Maryanov <acid@jack.kiev.ua>
Date:   Mon Jun 14 10:28:45 2010 +0000

    l10n: Updated Russian (ru) translation to 100%
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ru.po | 1433 +++++++++++++++++++++++++++++++++-----------------------------
 1 file changed, 758 insertions(+), 675 deletions(-)

commit 7263e5d6d2aab5a3471052b0d5edd795483e4f22
Author: Bastien Nocera <hadess@hadess.net>
Date:   Fri Jun 11 12:18:37 2010 +0100

    Tighten the Apple HTTP Live Streaming magic

 freedesktop.org.xml.in | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit aefce361b8e616600a041c144e70397fe6ed073c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Jun 8 16:21:27 2010 +0100

    Update magic for Apple HTTP Streaming playlists
    
    As used in the Apple WWDC 2010 keynote stream.

 freedesktop.org.xml.in |  1 +
 tests/all_w.m3u8       | 15 +++++++++++++++
 tests/list             |  2 ++
 3 files changed, 18 insertions(+)

commit 6d2e3487e7bf3b5c8843334a3ca5904352fd8573
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 6 23:55:44 2010 +0300

    Add magic for audio/x-stm.

 freedesktop.org.xml.in | 5 +++++
 1 file changed, 5 insertions(+)

commit 9dd95192df3d8f9d5d2cff61163bb4983bbcad16
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sun Jun 6 23:54:27 2010 +0300

    Add gl.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit b504d51d35c5fe7169d933715bc178b4720cef4d
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Fri Jun 4 16:32:08 2010 +0000

    l10n: Updated Catalan (Valencian) (ca) translation to 100%
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/ca.po | 825 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 423 insertions(+), 402 deletions(-)

commit a3a71f02b3753611379bdd24b3abbd99d9cfc238
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Jun 2 04:14:36 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 88b480aee48444b3cb1395ad7805563d9a2d2f36
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Wed Jun 2 04:13:08 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 250 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 127 insertions(+), 123 deletions(-)

commit 54ba47b34bf880d8e9b2dc3839c1f1bc1afabbb6
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun May 30 15:55:38 2010 +0000

    l10n: Updates to Polish (pl) translation
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 252 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 128 insertions(+), 124 deletions(-)

commit cf3b228b96e4a64b0face314463d86e546c18726
Author: frandieguez <frandieguez@ubuntu.com>
Date:   Sun May 30 15:18:11 2010 +0000

    l10n: Created new Galician translation
    
    New status: 325 messages complete with 1 fuzzy and 286 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/gl.po | 2500 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2500 insertions(+)

commit 5d7eb153cfc46cf6cd8f60858a7ed202853fa9c2
Author: Yuri Chornoivan <yurchor@ukr.net>
Date:   Sun May 30 13:22:35 2010 +0000

    l10n: Updates to Ukrainian (uk) translation
    
    New status: 616 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/uk.po | 819 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 419 insertions(+), 400 deletions(-)

commit 9f0d0ff33d14dbc434b38744464318f0acca7037
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Sat May 29 15:10:28 2010 +0200

    Improve WebM/Matroska magic
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28313

 freedesktop.org.xml.in | 18 ++++++++++++++++--
 1 file changed, 16 insertions(+), 2 deletions(-)

commit afcc2ef146dec94fd481960bb466a8f62ab6362c
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Sat May 29 14:45:28 2010 +0200

    Add audio/webm mimetype
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28313

 freedesktop.org.xml.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 14e58987db079b5fe00b6c4b910d3323a7ab31d7
Author: Sebastian Dröge <sebastian.droege@collabora.co.uk>
Date:   Sat May 29 14:42:43 2010 +0200

    Use generic video icon for application/x-matroska
    
    https://bugs.freedesktop.org/show_bug.cgi?id=28313

 freedesktop.org.xml.in | 1 +
 1 file changed, 1 insertion(+)

commit 2cfc5055374d16f4e7bee78033976544e57ac42d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri May 28 12:55:02 2010 +0000

    l10n: Updates to Polish (pl) translation
    
    New status: 615 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/pl.po | 813 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 414 insertions(+), 399 deletions(-)

commit 96e2594e51125f2653cd4727df93bb419cd75e7d
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Tue May 25 16:59:28 2010 +0000

    l10n: Updated Italian (it) translation to 100%
    
    New status: 615 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/it.po | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 8c3dd39ae86174a829f4c057951905743be2e3a4
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Tue May 25 16:58:36 2010 +0000

    l10n: Updated Italian (it) translation to 99%
    
    New status: 614 messages complete with 0 fuzzies and 1 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/it.po | 806 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 407 insertions(+), 399 deletions(-)

commit d3d5434536defb06f0a7fd67d2b63f145d69264b
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon May 24 17:07:34 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 615 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 806 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 407 insertions(+), 399 deletions(-)

commit e88b56dd9836c36124baf69d88ae22be8ef776b1
Author: Oliver Joos <oliver.joos@mymail.ch>
Date:   Fri May 21 20:06:31 2010 +0300

    Add video/mp2t.
    
    http://bugs.freedesktop.org/show_bug.cgi?id=14276

 freedesktop.org.xml.in |  19 ++++++++++++++++++-
 tests/list             |   2 ++
 tests/settopbox.ts     | Bin 0 -> 262636 bytes
 3 files changed, 20 insertions(+), 1 deletion(-)

commit 354a3110ae8c3eba7494cd6ba468ffeb41211c83
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu May 20 17:22:06 2010 +0100

    Add WebM mime-type
    
    with magic and test file.

 freedesktop.org.xml.in                 |   7 +++++++
 tests/Elephants_Dream-360p-Stereo.webm | Bin 0 -> 102400 bytes
 tests/list                             |   2 ++
 3 files changed, 9 insertions(+)

commit 01c1968c49d12c22cdf15da30ae5d0a9870a81b7
Author: Tomáš Virgl <tomas@virgl.net>
Date:   Wed May 19 15:50:31 2010 +0000

    l10n: Updated Slovak (sk) translation to 96%
    
    New status: 589 messages complete with 12 fuzzies and 12 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sk.po | 1210 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 683 insertions(+), 527 deletions(-)

commit e3cd68305da37f1d908f14ecb2cf3b851c05e56e
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Sat May 15 17:11:16 2010 +0000

    l10n: Updated Kazakh (kk) translation to 100%
    
    New status: 613 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/kk.po | 587 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 298 insertions(+), 289 deletions(-)

commit f40d94cd0ebf9b1d77b6a3fe8aab8f0322941f13
Author: Luca Ferretti <elle.uca@libero.it>
Date:   Sat May 15 12:19:21 2010 +0000

    l10n: Updated Italian (it) translation to 100%
    
    New status: 613 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/it.po | 580 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 294 insertions(+), 286 deletions(-)

commit 50ee3eba9eaa856f4c6bd8453c5760ccf70fda7e
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu May 13 22:38:43 2010 +0300

    Add application/pkcs8.
    
    http://tools.ietf.org/html/draft-turner-asymmetrickeyformat-05

 freedesktop.org.xml.in | 4 ++++
 1 file changed, 4 insertions(+)

commit 9c50dac4adb72e278e0c20a4cdaff3d9e14543c1
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Sat May 8 22:23:38 2010 +0300

    Finnish translation update.

 po/fi.po | 570 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 290 insertions(+), 280 deletions(-)

commit f01df7605661131c7be980ba781aabaa53430713
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Fri May 7 13:11:01 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 612 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 56 ++++++++++++++++++++++++++++----------------------------
 1 file changed, 28 insertions(+), 28 deletions(-)

commit 4b56caa3aa58115953ee5fac75c5c92efd14d5d0
Author: Elad <el.il@doom.co.il>
Date:   Fri May 7 12:16:26 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 587 messages complete with 0 fuzzies and 25 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 40 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit f7bc00a14bc69fec3c1f528a3ec9a87b70039d1d
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Thu May 6 10:14:01 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 581 messages complete with 0 fuzzies and 31 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 172 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 86 insertions(+), 86 deletions(-)

commit 6d0904852fea5b2d6c7c12832be45fc43e6ecd50
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Wed May 5 22:10:14 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 497 messages complete with 0 fuzzies and 115 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 82 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 41 insertions(+), 41 deletions(-)

commit e280001dbc71d296f4bad04275b26ebbdc9ffcb9
Author: Ville Skyttä <ville.skytta@iki.fi>
Date:   Thu May 6 00:05:42 2010 +0300

    Add sk.

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit d78a6077e2c99e3619edcb582f08d905f513f1a8
Author: tomasvirgl <tomas@virgl.net>
Date:   Tue May 4 19:47:51 2010 +0000

    l10n: Slovak translation
    
    New status: 577 messages complete with 1 fuzzy and 1 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/sk.po | 2376 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2376 insertions(+)

commit df309d6766011534595349d6b996872c0a3b4915
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Sun May 2 18:44:04 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 458 messages complete with 0 fuzzies and 154 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 208 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 104 insertions(+), 104 deletions(-)

commit 9c32db9d5e9a7a93a2f502f95e52183ed29f785c
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Sun May 2 17:24:56 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 355 messages complete with 0 fuzzies and 257 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 1004 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 503 insertions(+), 501 deletions(-)

commit 369ac1ab48ad04f6c5feeecff66b8d3de47d2a51
Author: Elad <el.il@doom.co.il>
Date:   Sun May 2 17:23:12 2010 +0000

    l10n: Updated Hebrew (he) translation to 25%
    
    New status: 159 messages complete with 0 fuzzies and 453 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 1004 +++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 501 insertions(+), 503 deletions(-)

commit 008c18a299625443480629561f93b50553b0fa46
Author: Assaf Sapir <meijin007@gmail.com>
Date:   Sun May 2 08:19:36 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 355 messages complete with 0 fuzzies and 257 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 619 ++++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 311 insertions(+), 308 deletions(-)

commit 6a3a05f908cf79ca322d5d1fdc9951fa6f7b50dd
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Sat May 1 16:21:06 2010 +0200

    Improve translator comments for x-content/video-vcd, x-content/video-svcd, and x-content/image-picturecd
    
    Fixes bug #27814.

 freedesktop.org.xml.in | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

commit 5e311b0e65729a6dd9209b06eed44a53d47ecbaf
Author: Pino Toscano <pino@kde.org>
Date:   Sat May 1 16:17:45 2010 +0200

    add 'he'

 po/LINGUAS | 1 +
 1 file changed, 1 insertion(+)

commit 94eeb711de8e759c9645ef582d4a2467d2ec5eb4
Author: meijin <meijin007@gmail.com>
Date:   Sat May 1 07:38:16 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 320 messages complete with 0 fuzzies and 292 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 218 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 109 insertions(+), 109 deletions(-)

commit 50c40b5c289a00ea4c4b90cd2b6f7865713f21ff
Author: meijin <meijin007@gmail.com>
Date:   Fri Apr 30 15:09:27 2010 +0000

    l10n: Updates to Hebrew (he) translation
    
    New status: 213 messages complete with 0 fuzzies and 399 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 123 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 61 insertions(+), 62 deletions(-)

commit 819c435bf8545e38d8e09da7084a2d9e864e3234
Author: Jorge González <aloriel@gmail.com>
Date:   Fri Apr 30 06:23:27 2010 +0000

    l10n: Updates to Spanish (Castilian) (es) translation
    
    New status: 612 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/es.po | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit 56737d5f24e403e8db1d315544a9fb6436818b74
Author: Žygimantas Beručka <uid0@akl.lt>
Date:   Sat Apr 24 16:47:34 2010 +0000

    l10n: Updates to Lithuanian (lt) translation
    
    New status: 612 messages complete with 0 fuzzies and 0 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/lt.po | 1335 +++++++++++++++++++++++++++++++++++---------------------------
 1 file changed, 748 insertions(+), 587 deletions(-)

commit 6ac21414fc61a373cd60f06a6edc29147be5d6f6
Author: lielft <lielft@ubuntu.com>
Date:   Sat Apr 24 14:13:35 2010 +0000

    l10n: Updated Hebrew (he) translation to 25%
    
    New status: 159 messages complete with 0 fuzzies and 453 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit 3dab7d2ad52c3616b44ef90297e831b40fc98ada
Author: lielft <lielft@ubuntu.com>
Date:   Fri Apr 23 17:09:04 2010 +0000

    l10n: Updated Hebrew (he) translation to 22%
    
    New status: 139 messages complete with 0 fuzzies and 473 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 200 +++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 100 insertions(+), 100 deletions(-)

commit 5c4f7c12d59a0270b938bfb79b5e5d36082a79b4
Author: lielft <lielft@ubuntu.com>
Date:   Fri Apr 23 16:21:15 2010 +0000

    l10n: Updated Hebrew (he) translation to 6%
    
    New status: 39 messages complete with 0 fuzzies and 573 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fca0e0fee840ef18ea667212fab01f691a9f4c59
Author: elad <el.il@doom.co.il>
Date:   Fri Apr 23 16:03:36 2010 +0000

    l10n: Updated Hebrew (he) translation to 6%
    
    New status: 39 messages complete with 0 fuzzies and 573 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 65 ++++++++++++++++++++++++++++++++--------------------------------
 1 file changed, 33 insertions(+), 32 deletions(-)

commit e5d3c73c0cf3a68e21997669c4ee94934508f389
Author: elad <el.il@doom.co.il>
Date:   Fri Apr 23 15:56:40 2010 +0000

    l10n: Initial upload of Hebrew translation
    
    New status: 12 messages complete with 0 fuzzies and 600 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/he.po | 2501 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 2501 insertions(+)

commit dd41ca6600438fc1d2c8d44844c9549226eeca4d
Author: Aron Xu <happyaron.xu@gmail.com>
Date:   Fri Apr 23 06:38:53 2010 +0000

    l10n: Updates to Chinese (China) (zh_CN) translation
    
    New status: 603 messages complete with 1 fuzzy and 8 untranslated.
    
    Transmitted-via: Transifex (www.transifex.net).

 po/zh_CN.po | 1198 +++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 666 insertions(+), 532 deletions(-)

commit b983ae9b757a289df4c649c61f0b738311f5e93c
Author: Josep Ma. Ferrer <txemaq@gmail.com>
Date:   Thu Apr 22 20:11:13 2010 +0000

    l10n: Updates to Catalan (Valencian) (ca) translation
    
    New status: 612 messages complete with 0 fuzzies and 0 untranslated.
    
